<?php
/*

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce
  
  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
  
  Freeway eCommerce from ZacWare
http://www.zac-ware.com/freeway

Copyright 2007 ZacWare Pty. Ltd
*/
 // Check to ensure this file is included in Freeway!
defined('_FEXEC') or die(); 
//Return files stored in box that can be accessed by user
function tep_admin_files_boxes_newsdesk($filename, $sub_box_name) {
	global $login_groups_id;
	$sub_boxes = '';
	$dbquery = tep_db_query("select admin_files_name from " . TABLE_ADMIN_FILES . " where FIND_IN_SET( '" . $login_groups_id . "', admin_groups_id) and admin_files_is_boxes = '0' and admin_files_name = '" . $filename . "'");
	if (tep_db_num_rows($dbquery)) {
		$sub_boxes = '<a href="' . tep_href_link($filename,'top=1') . '" class="menuBoxContentLink">' . $sub_box_name . '</a><br>';	
	}	
	$configuration_groups_query = tep_db_query("select configuration_group_id as cgID, configuration_group_title as cgTitle from " . TABLE_NEWSDESK_CONFIGURATION_GROUP . " where visible = '1' order by sort_order");
	while ($configuration_groups = tep_db_fetch_array($configuration_groups_query)) {
		$sub_boxes .= '<a href="' . tep_href_link(FILENAME_NEWSDESK_CONFIGURATION, 'gID=' . $configuration_groups['cgID'], 'NONSSL') . '
		" class="menuBoxContentLink">' . $configuration_groups['cgTitle'] . '</a><br>';
	}
return $sub_boxes;
}

function tep_setcookie($name, $value = '', $expire = 0, $path = '/', $domain = '', $secure = 0) {
 setcookie($name, $value, $expire, $path, (tep_not_null($domain) ? $domain : ''), $secure);
}

//Return files stored in box that can be accessed by user
function tep_admin_files_boxes_faqdesk($filename, $sub_box_name) {
	global $login_groups_id;
	$sub_boxes = '';

	$dbquery = tep_db_query("select admin_files_name from " . TABLE_ADMIN_FILES . " where FIND_IN_SET( '" . tep_db_input($login_groups_id) . "', admin_groups_id) and admin_files_is_boxes = '0' and admin_files_name = '" . tep_db_input($filename) . "'");
	

	$configuration_groups_query = tep_db_query("
	select configuration_group_id as cgID, configuration_group_title as cgTitle from " . TABLE_FAQDESK_CONFIGURATION_GROUP . " where visible = '1' order by sort_order
	");
	while ($configuration_groups = tep_db_fetch_array($configuration_groups_query)) {
		$sub_boxes .= '<a href="' . tep_href_link(FILENAME_FAQDESK_CONFIGURATION, 'gID=' . (int)$configuration_groups['cgID'], 'NONSSL') . '
		" class="menuBoxContentLink">' . $configuration_groups['cgTitle'] . '</a><br>';
	}
	
	if (tep_db_num_rows($dbquery)) {
		$sub_boxes = '<a href="' . tep_href_link($filename,'top=1') . '" class="menuBoxContentLink">' . $sub_box_name . '</a><br>';
	}
return $sub_boxes;
}


  function tep_address_label($customers_id, $address_id = 1, $html = false, $boln = '', $eoln = "\n") {
    $address_query = tep_db_query("select entry_firstname as firstname, entry_lastname as lastname, entry_company as company, entry_street_address as street_address, entry_suburb as suburb, entry_city as city, entry_postcode as postcode, entry_state as state, entry_zone_id as zone_id, entry_country_id as country_id from " . TABLE_ADDRESS_BOOK . " where customers_id = '" . (int)$customers_id . "' and address_book_id = '" . (int)$address_id . "'");
    $address = tep_db_fetch_array($address_query);

    $format_id = tep_get_address_format_id($address['country_id']);

    return tep_address_format($format_id, $address, $html, $boln, $eoln);
  }
  
    function tep_get_address_format_id($country_id) {
    $address_format_query = tep_db_query("select address_format_id as format_id from " . TABLE_COUNTRIES . " where countries_id = '" . (int)$country_id . "'");
    if (tep_db_num_rows($address_format_query)) {
      $address_format = tep_db_fetch_array($address_format_query);
      return $address_format['format_id'];
    } else {
      return '1';
    }
  }
	function tep_get_mpath($menu_id){
		$sql = "select menu_id,parent_id from " . TABLE_ADMIN_MENUS . " where menu_id=" . (int)$menu_id;
		$query = tep_db_query($sql);
		$result = tep_db_fetch_array($query);
		if($result['parent_id'] > 0)return tep_get_mpath($result['parent_id']) . "_" . $result['menu_id'];
		else return $result['menu_id'];
	}
	
	function tep_get_menu_array($menu_id){
		$search_array = array();
		$top_sql = "select menu_id,filename,params from " . TABLE_ADMIN_MENUS . " where parent_id='" . (int)$menu_id . "'";
		$top_query = tep_db_query($top_sql);
		while($top_menu = tep_db_fetch_array($top_query)){
			$search_array[] = $top_menu;
			$sub_sql = "select menu_id,filename,params from " . TABLE_ADMIN_MENUS . " where parent_id='" . $top_menu['menu_id'] . "'";
			$sub_query = tep_db_query($sub_sql);
			while($sub_menu = tep_db_fetch_array($sub_query))
				$search_array[] = $sub_menu;
		}
		return $search_array;
	}

//Admin begin
////
//Check login and file access
function tep_admin_check_login() { 
	global $PHP_SELF, $login_groups_id,$login_groups_type,$HTTP_GET_VARS;
	if (!tep_session_is_registered('login_id')) {
		tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
	} else {
		$filename = basename( $PHP_SELF ); 
		if(strtolower($login_groups_type) != "top administrator"){
			// Search ` Initial Display Page `
			$admin_menus_id = array();
			$get_path = (int)$HTTP_GET_VARS['mPath'];
			if(strpos($get_path,'_')>0)$admin_menus_id = split('_',$get_path);
			else $admin_menus_id[0] = $get_path;
			// Fetch Page Root Menu Path
			$sql = "select parent_id,menu_id from " . TABLE_ADMIN_MENUS . " where menu_id='" . $admin_menus_id[0] . "'";
			$query = tep_db_query($sql);
			$result = tep_db_fetch_array($query);
			// Check the GET_VAR from column_left page
			if($HTTP_GET_VARS['from'] && $HTTP_GET_VARS['from'] == 'col' && tep_db_num_rows($query) > 0 && $HTTP_GET_VARS['mPath']){
				unset($HTTP_GET_VARS['from']);
				$search_array = array();
				$search_array = tep_get_menu_array($result['menu_id']);
				for($i=0;$i<sizeof($search_array);$i++){
					if($search_array[$i]['filename'] == '')continue;
					$filename = $search_array[$i]['filename'];
					if ($filename != FILENAME_DEFAULT && $filename != FILENAME_FORBIDEN && $filename != FILENAME_LOGOFF && $filename != FILENAME_ADMIN_ACCOUNT && $filename != FILENAME_POPUP_IMAGE && $filename != 'packingslip.php' && $filename != 'invoice.php') {
						$db_file_query = tep_db_query("select admin_files_name from " . TABLE_ADMIN_FILES . " where FIND_IN_SET( '" . $login_groups_id . "', admin_groups_id) and admin_files_name = '" . $filename . "'");
						if (!tep_db_num_rows($db_file_query)) {
							if($i == sizeof($search_array)-1){
								tep_redirect(tep_href_link(FILENAME_FORBIDEN,tep_get_all_get_params()));
							}
						}else{
							$param = '';
							if($search_array[$i]['params']!='')$param = $search_array[$i]['params'] . "&";
							tep_redirect(tep_href_link($filename,$param . 'mPath=' . tep_get_mpath($search_array[$i]['menu_id']) . tep_get_all_get_params(array('mPath','from'))));
						}
					}
				}
			}else{
				if ($filename != FILENAME_DEFAULT && $filename != FILENAME_FORBIDEN && $filename != FILENAME_LOGOFF && $filename != FILENAME_ADMIN_ACCOUNT && $filename != FILENAME_POPUP_IMAGE && $filename != 'packingslip.php' && $filename != 'invoice.php') {
					$db_file_query = tep_db_query("select admin_files_name from " . TABLE_ADMIN_FILES . " where FIND_IN_SET( '" . $login_groups_id . "', admin_groups_id) and admin_files_name = '" . $filename . "'");
					if (!tep_db_num_rows($db_file_query)) {
					
						tep_redirect(tep_href_link(FILENAME_FORBIDEN,tep_get_all_get_params()));
					}
				}
			}
		}else{
			if ($filename != FILENAME_DEFAULT && $filename != FILENAME_FORBIDEN && $filename != FILENAME_LOGOFF && $filename != FILENAME_ADMIN_ACCOUNT && $filename != FILENAME_POPUP_IMAGE && $filename != 'packingslip.php' && $filename != 'invoice.php') {
				$db_file_query = tep_db_query("select admin_files_name from " . TABLE_ADMIN_FILES . " where FIND_IN_SET( '" . $login_groups_id . "', admin_groups_id) and admin_files_name = '" . $filename . "'");
				if (!tep_db_num_rows($db_file_query)) {
				//echo $filename .'ggggggg';
				//exit;
					tep_redirect(tep_href_link(FILENAME_FORBIDEN,tep_get_all_get_params()));
				}
			}
		}
		if(isset($HTTP_GET_VARS['from']))unset($HTTP_GET_VARS['from']);
	}  
}

////
//Return 'true' or 'false' value to display boxes and files in index.php and column_left.php
function tep_admin_check_boxes($filename, $boxes='') {
  global $login_groups_id;
  
  $is_boxes = 1;
  if ($boxes == 'sub_boxes') {
    $is_boxes = 0;
  }
  $dbquery = tep_db_query("select admin_files_id from " . TABLE_ADMIN_FILES . " where FIND_IN_SET( '" . $login_groups_id . "', admin_groups_id) and admin_files_is_boxes = '" . $is_boxes . "' and admin_files_name = '" . $filename . "'");
  
  $return_value = false;
  if (tep_db_num_rows($dbquery)) {
    $return_value = true;
  }
  return $return_value;
}

////
//Return files stored in box that can be accessed by user
function tep_admin_files_boxes($filename, $sub_box_name) {
  global $login_groups_id;
  $sub_boxes = '';
  
  $dbquery = tep_db_query("select admin_files_name from " . TABLE_ADMIN_FILES . " where FIND_IN_SET( '" . $login_groups_id . "', admin_groups_id) and admin_files_is_boxes = '0' and admin_files_name = '" . $filename . "'");
  if (tep_db_num_rows($dbquery)) {
    $sub_boxes = '<a href="' . tep_href_link($filename,'top=1') . '" class="menuBoxContentLink">' . $sub_box_name . '</a><br>';

  }//else 
  //{
  	//$sub_boxes = $sub_box_name . '<br>';
  //}
  return $sub_boxes;
}

////
//Get selected file for index.php
function tep_selected_file($filename) {
  global $login_groups_id;
  $randomize = FILENAME_ADMIN_ACCOUNT;
  
  $dbquery = tep_db_query("select admin_files_id as boxes_id from " . TABLE_ADMIN_FILES . " where FIND_IN_SET( '" . $login_groups_id . "', admin_groups_id) and admin_files_is_boxes = '1' and admin_files_name = '" . $filename . "'");
  if (tep_db_num_rows($dbquery)) {
    $boxes_id = tep_db_fetch_array($dbquery);
    $randomize_query = tep_db_query("select admin_files_name from " . TABLE_ADMIN_FILES . " where FIND_IN_SET( '" . $login_groups_id . "', admin_groups_id) and admin_files_is_boxes = '0' and admin_files_to_boxes = '" . (int)$boxes_id['boxes_id'] . "'");
    if (tep_db_num_rows($randomize_query)) {
      $file_selected = tep_db_fetch_array($randomize_query);
      $randomize = $file_selected['admin_files_name'];
    }
  }
  return $randomize;
}
//Admin end

////
// Redirect to another page or site
function tep_redirect($url) {

  global $logger,$PHP_SELF,$HTTP_GET_VARS;
  $parts=parse_url($url);

  if (strpos($parts["path"],FILENAME_CHECKOUT_PAYMENT)!==false && (basename($PHP_SELF)==FILENAME_CREATE_ORDER_NEW || basename($PHP_SELF)==FILENAME_CUSTOMERS ) && isset($GLOBALS["EXECUTE_PAYMENT"])){ // ajax payment redirect
  	if (strpos($parts["query"],"error")!==false){
		$splt=split("&",$parts["query"]);
		$args=array();
		
		for ($icnt=0,$n=count($splt);$icnt<$n;$icnt++){
			$splt1=split("=",$splt[$icnt]);
			if ($splt1[0]!='' && $splt1[1]!='') $args[$splt1[0]]=$splt1[1];
			$HTTP_GET_VARS[$splt1[0]]=$splt1[1];
		}
		if (isset($args['payment_error']) && is_object($GLOBALS[$args['payment_error']]) && ($error = $GLOBALS[$args['payment_error']]->get_error())) $err_text=$error["error"];
		else if (isset($args['error_message'])&& $args["error_message"]!="") $err_text=$args["error_message"];
		else if (isset($args['error']) && $args["error"]) $err_text=$args["error"];
		else $err_text="Unknown error";
		
		echo "payment_error||" . urldecode($err_text);
		exit;
	}
  }
  
  
  
  
  
  if ( (strstr($url, "\n") != false) || (strstr($url, "\r") != false) ) {

    tep_redirect(tep_href_link(FILENAME_DEFAULT, '', 'NONSSL', false));

  }

 

  header('Location: ' . $url);

 

  if (STORE_PAGE_PARSE_TIME == 'true') {

    if (!is_object($logger)) $logger = new logger;

    $logger->timer_stop();

  }

 

  exit;

}




////
// Parse the data used in the html tags to ensure the tags will not break
  function tep_parse_input_field_data($data, $parse) {
    return strtr(trim($data), $parse);
  }

  function tep_output_string($string, $translate = false, $protected = false) {
    if ($protected == true) {
      return htmlspecialchars($string);
    } else {
      if ($translate == false) {
        return tep_parse_input_field_data($string, array('"' => '&quot;'));
      } else {
        return tep_parse_input_field_data($string, $translate);
      }
    }
  }

  function tep_output_string_protected($string) {
    return tep_output_string($string, false, true);
  }

  function tep_sanitize_string($string) {
    $string = ereg_replace(' +', ' ', $string);

    return preg_replace("/[<>]/", '_', $string);
  }

  function tep_customers_name($customers_id) {
    $customers = tep_db_query("select customers_firstname, customers_lastname from " . TABLE_CUSTOMERS . " where customers_id = '" . (int)$customers_id . "'");
    $customers_values = tep_db_fetch_array($customers);

    return $customers_values['customers_firstname'] . ' ' . $customers_values['customers_lastname'];
  }

  function tep_get_path($current_category_id = '') {
    global $cPath_array;

    if ($current_category_id == '') {
      $cPath_new = implode('_', $cPath_array);
    } else {
      if (sizeof($cPath_array) == 0) {
        $cPath_new = $current_category_id;
      } else {
        $cPath_new = '';
        $last_category_query = tep_db_query("select parent_id from " . TABLE_CATEGORIES . " where categories_id = '" . (int)$cPath_array[(sizeof($cPath_array)-1)] . "'");
        $last_category = tep_db_fetch_array($last_category_query);

        $current_category_query = tep_db_query("select parent_id from " . TABLE_CATEGORIES . " where categories_id = '" . (int)$current_category_id . "'");
        $current_category = tep_db_fetch_array($current_category_query);

        if ($last_category['parent_id'] == $current_category['parent_id']) {
          for ($i = 0, $n = sizeof($cPath_array) - 1; $i < $n; $i++) {
            $cPath_new .= '_' . $cPath_array[$i];
          }
        } else {
          for ($i = 0, $n = sizeof($cPath_array); $i < $n; $i++) {
            $cPath_new .= '_' . $cPath_array[$i];
          }
        }

        $cPath_new .= '_' . $current_category_id;

        if (substr($cPath_new, 0, 1) == '_') {
          $cPath_new = substr($cPath_new, 1);
        }
      }
    }

    return 'cPath=' . $cPath_new;
  }

  function tep_get_all_get_params($exclude_array = '',$include_error=false) {
    global $HTTP_GET_VARS;

    if ($exclude_array == '') $exclude_array = array();

    $get_url = '';

    reset($HTTP_GET_VARS);
    while (list($key, $value) = each($HTTP_GET_VARS)) {
      if (($key != tep_session_name())  && ($key != 'error' || $include_error) && $key!='top' && (!in_array($key, $exclude_array))) $get_url .= $key . '=' . $value . '&';
    }

    return $get_url;
  }

  function tep_date_long($raw_date) {
    if ( ($raw_date == '0000-00-00 00:00:00') || ($raw_date == '') ) return false;

    $year = (int)substr($raw_date, 0, 4);
    $month = (int)substr($raw_date, 5, 2);
    $day = (int)substr($raw_date, 8, 2);
    $hour = (int)substr($raw_date, 11, 2);
    $minute = (int)substr($raw_date, 14, 2);
    $second = (int)substr($raw_date, 17, 2);

    return strftime(DATE_FORMAT_LONG, mktime($hour, $minute, $second, $month, $day, $year));
  }

////
// Output a raw date string in the selected locale date format
// $raw_date needs to be in this format: YYYY-MM-DD HH:MM:SS
// NOTE: Includes a workaround for dates before 01/01/1970 that fail on windows servers
  function tep_date_short($raw_date) {
    if ( ($raw_date == '0000-00-00 00:00:00') || ($raw_date == '') ) return false;

    $year = substr($raw_date, 0, 4);
    $month = (int)substr($raw_date, 5, 2);
    $day = (int)substr($raw_date, 8, 2);
    $hour = (int)substr($raw_date, 11, 2);
    $minute = (int)substr($raw_date, 14, 2);
    $second = (int)substr($raw_date, 17, 2);

    if (@date('Y', mktime($hour, $minute, $second, $month, $day, $year)) == $year) {
      return date(DATE_FORMAT, mktime($hour, $minute, $second, $month, $day, $year));
    } else {
      return ereg_replace('2037' . '$', $year, date(DATE_FORMAT, mktime($hour, $minute, $second, $month, $day, 2037)));
    }

  }

  function tep_datetime_short($raw_datetime) {
    if ( ($raw_datetime == '0000-00-00 00:00:00') || ($raw_datetime == '') ) return false;

    $year = (int)substr($raw_datetime, 0, 4);
    $month = (int)substr($raw_datetime, 5, 2);
    $day = (int)substr($raw_datetime, 8, 2);
    $hour = (int)substr($raw_datetime, 11, 2);
    $minute = (int)substr($raw_datetime, 14, 2);
    $second = (int)substr($raw_datetime, 17, 2);

    return strftime(DATE_TIME_FORMAT, mktime($hour, $minute, $second, $month, $day, $year));
  }
    	// get page name by passing page_id and language_id
  function tep_get_page_name($page_id, $language_id) {
    $page_query = tep_db_query("select page_name from " .TABLE_MAINPAGE_DESCRIPTIONS . " where  page_id = '" . (int)$page_id . "' and language_id = '" . (int)$language_id . "'");
    $page_array = tep_db_fetch_array($page_query);
    return $page_array['page_name'];
  }

	// get page description by passing page_id and language_id
  function tep_get_page_description($page_id, $language_id) {
    $page_query = tep_db_query("select description from " . TABLE_MAINPAGE_DESCRIPTIONS . " where page_id = '" . (int)$page_id . "' and language_id = '" . (int)$language_id . "'");
    $page_array = tep_db_fetch_array($page_query);
    return $page_array['description'];
  }

  function tep_get_static_pages_tree($parent_id='0',$spacing='',$exclude='',$static_pages_tree_array='',$include_itself=false,$default='Level 1'){
  	global $languages_id;
	
	if (!is_array($static_pages_tree_array)) $static_pages_tree_array = array();
    if ( (sizeof($static_pages_tree_array) < 1) && ($exclude != '0') ) $static_pages_tree_array[] = array('id' => '0', 'text' => $default);

    if ($include_itself) {
      $static_pages_query = tep_db_query("select mp.parent_id,mp.page_id,mpd.page_name from " . TABLE_MAINPAGE . " mp," . TABLE_MAINPAGE_DESCRIPTIONS . " mpd where mp.page_id=mpd.page_id and mpd.language_id='".(int)$languages_id."'");
      $static_pages = tep_db_fetch_array($static_pages_query);
      $static_pages_tree_array[] = array('id' => $parent_id, 'text' => $static_pages['page_name']);
    }
    $static_pages_query = tep_db_query("select mp.parent_id,mpd.page_name,mp.page_id from " . TABLE_MAINPAGE . " mp," . TABLE_MAINPAGE_DESCRIPTIONS . " mpd where mp.page_id=mpd.page_id and mpd.language_id='".(int)$languages_id."' and mp.parent_id='".(int)$parent_id."' order by mp.sort_order");
    while ($static_pages = tep_db_fetch_array($static_pages_query)) {
		//$has_childs = tep_db_query("select page_id from " . TABLE_MAINPAGE . " where parent_id=" . $static_pages['page_id']);
		//if(tep_db_num_rows($has_childs)>0){
			if ($exclude != $static_pages['page_id']) $static_pages_tree_array[] = array('id' => $static_pages['page_id'], 'text' => $spacing . $static_pages['page_name']);
				//$static_pages_tree_array = tep_get_static_pages_tree($static_pages['page_id'], $spacing . '&nbsp;&nbsp;&nbsp;', $exclude, $static_pages_tree_array);
		//}
    }
	//print_r ( $static_pages_tree_array);
	
	return $static_pages_tree_array;
  }

  function tep_get_category_tree($parent_id = '0', $spacing = '', $exclude = '', $category_tree_array = '', $include_itself = false,$default=TEXT_TOP) {
    global $languages_id;

    if (!is_array($category_tree_array)) $category_tree_array = array();
    if ( (sizeof($category_tree_array) < 1) && ($exclude != '0') ) $category_tree_array[] = array('id' => '0', 'text' => $default);

    if ($include_itself) {
      $category_query = tep_db_query("select cd.categories_name from " . TABLE_CATEGORIES_DESCRIPTION . " cd where cd.language_id = '" . (int)$languages_id . "' and cd.categories_id = '" . (int)$parent_id . "' order by cd.categories_name");
      $category = tep_db_fetch_array($category_query);
      $category_tree_array[] = array('id' => $parent_id, 'text' => $category['categories_name']);
    }

    $categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id = '" . (int)$languages_id . "' and c.parent_id = '" . (int)$parent_id . "' order by cd.categories_name, c.sort_order ");
    while ($categories = tep_db_fetch_array($categories_query)) {
      if ($exclude != $categories['categories_id']) $category_tree_array[] = array('id' => $categories['categories_id'], 'text' => $spacing . $categories['categories_name']);
      $category_tree_array = tep_get_category_tree($categories['categories_id'], $spacing . '&nbsp;&nbsp;&nbsp;', $exclude, $category_tree_array);
    }

    return $category_tree_array;
  }
function tep_get_event_category_tree($parent_id = '0', $spacing = '', $exclude = '', $category_tree_array = '', $include_itself = false)
{
	global $languages_id;

    if (!is_array($category_tree_array)) $category_tree_array = array();
    if ( (sizeof($category_tree_array) < 1) && ($exclude != '0'))$category_tree_array[] = array('id' => '0', 'text' => TEXT_TOP);

    if ($include_itself) {
		
      //$category_query = tep_db_query("select cd.events_categories_name from " . TABLE_EVENTS_CATEGORIES_DESCRIPTION . " cd where cd.language_id = '" . (int)$languages_id . "' and cd.events_categories_id = '" . (int)$parent_id . "'");
	  $category_query = tep_db_query("select cd.events_categories_name from " . TABLE_EVENTS_CATEGORIES_DESCRIPTION . " cd where cd.language_id = '" . (int)$languages_id . "'");
      $category = tep_db_fetch_array($category_query);
      $category_tree_array[] = array('id' => $parent_id, 'text' => $category['events_categories_name']);
    }

    //$categories_query = tep_db_query("select c.events_categories_id, cd.events_categories_name, c.parent_id from " . TABLE_EVENTS_CATEGORIES . " c, " . TABLE_EVENTS_CATEGORIES_DESCRIPTION . " cd where c.events_categories_id = cd.events_categories_id and cd.language_id = '" . (int)$languages_id . "' and c.parent_id = '" . (int)$parent_id . "' order by c.sort_order, cd.events_categories_name");
	//$category_tree_array[] = array('id' => $categories['events_categories_id'], 'text' => '');
	$categories_query = tep_db_query("select c.events_categories_id, cd.events_categories_name, c.parent_id from " . TABLE_EVENTS_CATEGORIES . " c, " . TABLE_EVENTS_CATEGORIES_DESCRIPTION . " cd where c.events_categories_id = cd.events_categories_id and cd.language_id = '" . (int)$languages_id . "' and c.parent_id = '" . (int)$parent_id . "' order by c.sort_order, cd.events_categories_name");
    while ($categories = tep_db_fetch_array($categories_query)) {
      if ($exclude != $categories['events_categories_id']) $category_tree_array[] = array('id' => $categories['events_categories_id'], 'text' => $spacing . $categories['events_categories_name']);
	  $category_tree_array = tep_get_event_category_tree($categories['events_categories_id'], $spacing . '&nbsp;&nbsp;&nbsp;', $exclude, $category_tree_array);
    }
    return $category_tree_array;
}
	function tep_get_admin_tree($group_id = '0', $spacing = '', $exclude = '', $groups_tree_array = '', $include_itself = false,$default=TEXT_TOP) {
		
		if (!is_array($groups_tree_array)) $groups_tree_array = array();
		if ( (sizeof($groups_tree_array) < 1) && ($exclude != '0') ) $groups_tree_array[] = array('id' => '0', 'text' => $default);
		
		if ($include_itself) {
			$groups_query = tep_db_query("select ag.admin_groups_name from " . TABLE_ADMIN_GROUPS . " ag");
			$groups = tep_db_fetch_array($groups_query);
			$groups_tree_array[] = array('id' => $parent_id, 'text' => $groups['admin_groups_name']);
		}
		
		$groups_query = tep_db_query("select ag.admin_groups_id, ag.admin_groups_name from " . TABLE_ADMIN_GROUPS . " ag");
		while ($groups = tep_db_fetch_array($groups_query)) {
			if ($exclude != $groups['admin_groups_id']) $groups_tree_array[] = array('id' => $groups['admin_groups_id'], 'text' => $spacing . $groups['admin_groups_name']);
			//$groups_tree_array = tep_get_admin_tree($groups['admin_groups_id'], $spacing . '&nbsp;&nbsp;&nbsp;', $exclude, $groups_tree_array);
		}
		
		return $groups_tree_array;
	}
  function tep_draw_products_pull_down($name, $parameters = '', $exclude = '') {
    global $currencies, $languages_id;

    if ($exclude == '') {
      $exclude = array();
    }

    $select_string = '<select name="' . $name . '"';

    if ($parameters) {
      $select_string .= ' ' . $parameters;
    }

    $select_string .= '>';

    $products_query = tep_db_query("select p.products_id, pd.products_name, p.products_price from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' order by products_name");
    while ($products = tep_db_fetch_array($products_query)) {
      if (!in_array($products['products_id'], $exclude)) {
        if($products['products_name']) $select_string .= '<option value="' . $products['products_id'] . '">' . $products['products_name'] . ' (' . $currencies->format($products['products_price']) . ')</option>';
      }
    }

    $select_string .= '</select>';

    return $select_string;
  }

  function tep_options_name($options_id) {
    global $languages_id;

    $options = tep_db_query("select products_options_name from " . TABLE_PRODUCTS_OPTIONS . " where products_options_id = '" . (int)$options_id . "' and language_id = '" . (int)$languages_id . "'");
    $options_values = tep_db_fetch_array($options);

    return $options_values['products_options_name'];
  }

  function tep_values_name($values_id) {
    global $languages_id;

    $values = tep_db_query("select products_options_values_name from " . TABLE_PRODUCTS_OPTIONS_VALUES . " where products_options_values_id = '" . (int)$values_id . "' and language_id = '" . (int)$languages_id . "'");
    $values_values = tep_db_fetch_array($values);

    return $values_values['products_options_values_name'];
  }
  function tep_info_image($image, $alt, $width = '', $height = '') {
  define('TEXT_IMAGE_DOES_NOT_EXIST', 'Image does not exist ');

    if (tep_not_null($image) && (file_exists(DIR_FS_CATALOG_IMAGES . $image)) ) {
      $image = tep_image(DIR_WS_CATALOG_IMAGES . $image, $alt, $width, $height);
    } else {
      $image = TEXT_IMAGE_DOES_NOT_EXIST;
    }

    return $image;
  }

  function tep_break_string($string, $len, $break_char = '-') {
    $l = 0;
    $output = '';
    for ($i=0, $n=strlen($string); $i<$n; $i++) {
      $char = substr($string, $i, 1);
      if ($char != ' ') {
        $l++;
      } else {
        $l = 0;
      }
      if ($l > $len) {
        $l = 1;
        $output .= $break_char;
      }
      $output .= $char;
    }

    return $output;
  }

  function tep_get_country_name($country_id) {
    $country_query = tep_db_query("select countries_name from " . TABLE_COUNTRIES . " where countries_id = '" . (int)$country_id . "'");

    if (!tep_db_num_rows($country_query)) {
      return $country_id;
    } else {
      $country = tep_db_fetch_array($country_query);
      return $country['countries_name'];
    }
  }

  function tep_get_zone_name($country_id, $zone_id, $default_zone) {
    $zone_query = tep_db_query("select zone_name from " . TABLE_ZONES . " where zone_country_id = '" . (int)$country_id . "' and zone_id = '" . (int)$zone_id . "'");
    if (tep_db_num_rows($zone_query)) {
      $zone = tep_db_fetch_array($zone_query);
      return $zone['zone_name'];
    } else {
      return $default_zone;
    }
  }

  function tep_not_null($value) {
    if (is_array($value)) {
      if (sizeof($value) > 0) {
        return true;
      } else {
        return false;
      }
    } else {
      if ( (is_string($value) || is_numeric($value)) && ($value != '') && ($value != 'NULL') && (strlen(trim($value)) > 0)) {
        return true;
      } else {
        return false;
      }
    }
  }

  function tep_browser_detect($component) {
    global $HTTP_USER_AGENT;

    return stristr($HTTP_USER_AGENT, $component);
  }

  function tep_tax_classes_pull_down($parameters, $selected = '') {
    $select_string = '<select ' . $parameters . '>';
    $classes_query = tep_db_query("select tax_class_id, tax_class_title from " . TABLE_TAX_CLASS . " order by tax_class_title");
    while ($classes = tep_db_fetch_array($classes_query)) {
      $select_string .= '<option value="' . $classes['tax_class_id'] . '"';
      if ($selected == $classes['tax_class_id']) $select_string .= ' SELECTED';
      $select_string .= '>' . $classes['tax_class_title'] . '</option>';
    }
    $select_string .= '</select>';

    return $select_string;
  }

  function tep_geo_zones_pull_down($parameters, $selected = '') {
    $select_string = '<select ' . $parameters . '>';
    $zones_query = tep_db_query("select geo_zone_id, geo_zone_name from " . TABLE_GEO_ZONES . " order by geo_zone_name");
    while ($zones = tep_db_fetch_array($zones_query)) {
      $select_string .= '<option value="' . $zones['geo_zone_id'] . '"';
      if ($selected == $zones['geo_zone_id']) $select_string .= ' SELECTED';
      $select_string .= '>' . $zones['geo_zone_name'] . '</option>';
    }
    $select_string .= '</select>';

    return $select_string;
  }

  function tep_get_geo_zone_name($geo_zone_id) {
    $zones_query = tep_db_query("select geo_zone_name from " . TABLE_GEO_ZONES . " where geo_zone_id = '" . (int)$geo_zone_id . "'");

    if (!tep_db_num_rows($zones_query)) {
      $geo_zone_name = $geo_zone_id;
    } else {
      $zones = tep_db_fetch_array($zones_query);
      $geo_zone_name = $zones['geo_zone_name'];
    }

    return $geo_zone_name;
  }

  function tep_address_format($address_format_id, $address, $html, $boln, $eoln) {
    $address_format_query = tep_db_query("select address_format as format from " . TABLE_ADDRESS_FORMAT . " where address_format_id = '" . (int)$address_format_id . "'");
    $address_format = tep_db_fetch_array($address_format_query);

    $company = tep_output_string_protected($address['company']);
    if (isset($address['firstname']) && tep_not_null($address['firstname'])) {
      $firstname = tep_output_string_protected($address['firstname']);
      $lastname = tep_output_string_protected($address['lastname']);
    } elseif (isset($address['name']) && tep_not_null($address['name'])) {
      $firstname = tep_output_string_protected($address['name']);
      $lastname = '';
    } else {
      $firstname = '';
      $lastname = '';
    }
    $street = tep_output_string_protected($address['street_address']);
    $suburb = tep_output_string_protected($address['suburb']);
    $city = tep_output_string_protected($address['city']);
    $state = tep_output_string_protected($address['state']);
    if (isset($address['country_id']) && tep_not_null($address['country_id'])) {
      $country = tep_get_country_name($address['country_id']);

      if (isset($address['zone_id']) && tep_not_null($address['zone_id'])) {
        $state = tep_get_zone_code($address['country_id'], $address['zone_id'], $state);
      }
    } elseif (isset($address['country']) && tep_not_null($address['country'])) {
      $country = tep_output_string_protected($address['country']);
    } else {
      $country = '';
    }
    $postcode = tep_output_string_protected($address['postcode']);
    $zip = $postcode;

    if ($html) {
// HTML Mode
      $HR = '<hr>';
      $hr = '<hr>';
      if ( ($boln == '') && ($eoln == "\n") ) { // Values not specified, use rational defaults
        $CR = '<br>';
        $cr = '<br>';
        $eoln = $cr;
      } else { // Use values supplied
        $CR = $eoln . $boln;
        $cr = $CR;
      }
    } else {
// Text Mode
      $CR = $eoln;
      $cr = $CR;
      $HR = '----------------------------------------';
      $hr = '----------------------------------------';
    }

    $statecomma = '';
    $streets = $street;
    if ($suburb != '') $streets = $street . $cr . $suburb;
    if ($country == '') $country = tep_output_string_protected($address['country']);
    if ($state != '') $statecomma = $state . ', ';

    $fmt = $address_format['format'];
    eval("\$address = \"$fmt\";");

    if ( (ACCOUNT_COMPANY == 'true') && (tep_not_null($company)) ) {
      $address = $company . $cr . $address;
    }

    return $address;
  }

  ////////////////////////////////////////////////////////////////////////////////////////////////
  //
  // Function    : tep_get_zone_code
  //
  // Arguments   : country           country code string
  //               zone              state/province zone_id
  //               def_state         default string if zone==0
  //
  // Return      : state_prov_code   state/province code
  //
  // Description : Function to retrieve the state/province code (as in FL for Florida etc)
  //
  ////////////////////////////////////////////////////////////////////////////////////////////////
  function tep_get_zone_code($country, $zone, $def_state) {

    $state_prov_query = tep_db_query("select zone_code from " . TABLE_ZONES . " where zone_country_id = '" . (int)$country . "' and zone_id = '" . (int)$zone . "'");

    if (!tep_db_num_rows($state_prov_query)) {
      $state_prov_code = $def_state;
    }
    else {
      $state_prov_values = tep_db_fetch_array($state_prov_query);
      $state_prov_code = $state_prov_values['zone_code'];
    }
    
    return $state_prov_code;
  }

  function tep_get_uprid($prid, $params) {
    $uprid = $prid;
    if ( (is_array($params)) && (!strstr($prid, '{')) ) {
      while (list($option, $value) = each($params)) {
        $uprid = $uprid . '{' . $option . '}' . $value;
      }
    }

    return $uprid;
  }

  function tep_get_prid($uprid) {
    $pieces = explode('{', $uprid);

    return $pieces[0];
  }

  function tep_get_languages() {
    $languages_query = tep_db_query("select languages_id, name, code, image, directory from " . TABLE_LANGUAGES . " order by sort_order");
	while ($languages = tep_db_fetch_array($languages_query)) {
      $languages_array[] = array('id' => $languages['languages_id'],
                                 'name' => $languages['name'],
                                 'code' => $languages['code'],
                                 'image' => $languages['image'],
                                 'directory' => $languages['directory']);
    }

    return $languages_array;
  }

  function tep_get_category_name($category_id, $language_id) {
    $category_query = tep_db_query("select categories_name from " . TABLE_CATEGORIES_DESCRIPTION . " where categories_id = '" . (int)$category_id . "' and language_id = '" . (int)$language_id . "'");
    $category = tep_db_fetch_array($category_query);

    return $category['categories_name'];
  }

  function tep_get_orders_status_name($orders_status_id, $language_id = '') {
    global $languages_id;

    if (!$language_id) $language_id = $languages_id;
    $orders_status_query = tep_db_query("select orders_status_name from " . TABLE_ORDERS_STATUS . " where orders_status_id = '" . (int)$orders_status_id . "' and language_id = '" . (int)$language_id . "'");
    $orders_status = tep_db_fetch_array($orders_status_query);

    return $orders_status['orders_status_name'];
  }

  function tep_get_orders_status($text_all=false) {
    global $languages_id;

    $orders_status_array = array();
	if($text_all)
		$orders_status_array[]=array("id"=>"-1","text"=>TEXT_ALL);
    $orders_status_query = tep_db_query("select orders_status_id, orders_status_name from " . TABLE_ORDERS_STATUS . " where language_id = '" . (int)$languages_id . "' and lower(orders_status_name)!='refunded' order by orders_status_id");
    while ($orders_status = tep_db_fetch_array($orders_status_query)) {
      $orders_status_array[] = array('id' => $orders_status['orders_status_id'],
                                     'text' => $orders_status['orders_status_name']);
    }

    return $orders_status_array;
  }
  

  function tep_get_products_name($product_id, $language_id = 0) {
    global $languages_id;

    if ($language_id == 0) $language_id = $languages_id;
    $product_query = tep_db_query("select products_name from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id = '" . (int)$product_id . "' and language_id = '" . (int)$language_id . "'");
    $product = tep_db_fetch_array($product_query);

    return $product['products_name'];
  }

  function tep_get_infobox_file_name($infobox_id, $language_id = 0) {
    global $languages_id;

    if ($language_id == 0) $language_id = $languages_id;
    $infobox_query = tep_db_query("select infobox_file_name from " . TABLE_INFOBOX_CONFIGURATION . " where infobox_id = '" . (int)$infobox_id . "' and language_id = '" . (int)$language_id . "'");
    $infobox = tep_db_fetch_array($infobox_query);

    return $infobox['infobox_file_name'];
  }

  function tep_get_products_description($product_id, $language_id) {
    $product_query = tep_db_query("select products_description from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id = '" . (int)$product_id . "' and language_id = '" . (int)$language_id . "'");
    $product = tep_db_fetch_array($product_query);

    return $product['products_description'];
  }

  function tep_get_products_url($product_id, $language_id) {
    $product_query = tep_db_query("select products_url from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id = '" . (int)$product_id . "' and language_id = '" . (int)$language_id . "'");
    $product = tep_db_fetch_array($product_query);

    return $product['products_url'];
  }

////
// Return the manufacturers URL in the needed language
// TABLES: manufacturers_info
  function tep_get_manufacturer_url($manufacturer_id, $language_id) {
    $manufacturer_query = tep_db_query("select manufacturers_url from " . TABLE_MANUFACTURERS_INFO . " where manufacturers_id = '" . (int)$manufacturer_id . "' and languages_id = '" . (int)$language_id . "'");
    $manufacturer = tep_db_fetch_array($manufacturer_query);

    return $manufacturer['manufacturers_url'];
  }

////
// Wrapper for class_exists() function
// This function is not available in all PHP versions so we test it before using it.
  function tep_class_exists($class_name) {
    if (function_exists('class_exists')) {
      return class_exists($class_name);
    } else {
      return true;
    }
  }

////
// Count how many products exist in a category
// TABLES: products, products_to_categories, categories
  function tep_products_in_category_count($categories_id, $include_deactivated = false) {
    $products_count = 0;

    if ($include_deactivated) {
      $products_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c where p.products_id = p2c.products_id and p2c.categories_id = '" . (int)$categories_id . "'");
    } else {
      $products_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c where p.products_id = p2c.products_id and p.products_status = '1' and p2c.categories_id = '" . (int)$categories_id . "'");
    }

    $products = tep_db_fetch_array($products_query);

    $products_count += $products['total'];

    $childs_query = tep_db_query("select categories_id from " . TABLE_CATEGORIES . " where parent_id = '" . (int)$categories_id . "'");
    if (tep_db_num_rows($childs_query)) {
      while ($childs = tep_db_fetch_array($childs_query)) {
        $products_count += tep_products_in_category_count($childs['categories_id'], $include_deactivated);
      }
    }

    return $products_count;
  }

////
// Count how many subcategories exist in a category
// TABLES: categories
  function tep_childs_in_category_count($categories_id) {
    $categories_count = 0;

    $categories_query = tep_db_query("select categories_id from " . TABLE_CATEGORIES . " where parent_id = '" . (int)$categories_id . "'");
    while ($categories = tep_db_fetch_array($categories_query)) {
      $categories_count++;
      $categories_count += tep_childs_in_category_count($categories['categories_id']);
    }

    return $categories_count;
  }

////
// Returns an array with countries
// TABLES: countries
  function tep_get_countries($default = '') {
    $countries_array = array();
    if ($default) {
      $countries_array[] = array('id' => '',
                                 'text' => $default);
    }
    $countries_query = tep_db_query("select countries_id, countries_name from " . TABLE_COUNTRIES . " order by countries_name");
    while ($countries = tep_db_fetch_array($countries_query)) {
      $countries_array[] = array('id' => $countries['countries_id'],
                                 'text' => $countries['countries_name']);
    }

    return $countries_array;
  }

////
// return an array with country zones
  function tep_get_country_zones($country_id) {
    $zones_array = array();
    $zones_query = tep_db_query("select zone_id, zone_name from " . TABLE_ZONES . " where zone_country_id = '" . (int)$country_id . "' order by zone_name");
    while ($zones = tep_db_fetch_array($zones_query)) {
      $zones_array[] = array('id' => $zones['zone_id'],
                             'text' => $zones['zone_name']);
    }

    return $zones_array;
  }
  
  // return an array with all country zones except australia
   function tep_get_country_all_zones($country_id) {
    $zones_array = array();
	 $zones_array[] = array('id' => '-1',
                             'text' => TEXT_DEFAULT);
    $zones_query = tep_db_query("select zone_id, zone_name from " . TABLE_ZONES . " where zone_country_id != '" . (int)$country_id . "' order by zone_name");
    while ($zones = tep_db_fetch_array($zones_query)) {
      $zones_array[] = array('id' => $zones['zone_id'],
                             'text' => $zones['zone_name']);
    }

    return $zones_array;
  }

  function tep_prepare_country_zones_pull_down($country_id = '') {
// preset the width of the drop-down for Netscape
    $pre = '';
    if ( (!tep_browser_detect('MSIE')) && (tep_browser_detect('Mozilla/4')) ) {
      for ($i=0; $i<45; $i++) $pre .= '&nbsp;';
    }

    $zones = tep_get_country_zones($country_id);

    if (sizeof($zones) > 0) {
      $zones_select = array(array('id' => '', 'text' => PLEASE_SELECT));
      $zones = array_merge($zones_select, $zones);
    } else {
      $zones = array(array('id' => '', 'text' => TYPE_BELOW));
// create dummy options for Netscape to preset the height of the drop-down
      if ( (!tep_browser_detect('MSIE')) && (tep_browser_detect('Mozilla/4')) ) {
        for ($i=0; $i<9; $i++) {
          $zones[] = array('id' => '', 'text' => $pre);
        }
      }
    }

    return $zones;
  }

////
// Get list of address_format_id's
  function tep_get_address_formats() {
    $address_format_query = tep_db_query("select address_format_id from " . TABLE_ADDRESS_FORMAT . " order by address_format_id");
    $address_format_array = array();
    while ($address_format_values = tep_db_fetch_array($address_format_query)) {
      $address_format_array[] = array('id' => $address_format_values['address_format_id'],
                                      'text' => $address_format_values['address_format_id']);
    }
    return $address_format_array;
  }

////
// Alias function for Store configuration values in the Administration Tool
  function tep_cfg_pull_down_country_list($country_id,$key='') {
    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');
    return tep_draw_pull_down_menu($name, tep_get_countries(), $country_id);
  }

  function tep_cfg_pull_down_zone_list($zone_id,$key='') {
    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');
    return tep_draw_pull_down_menu($name, tep_get_country_zones(STORE_COUNTRY), $zone_id);
  }

  function tep_cfg_pull_down_tax_classes($tax_class_id, $key = '') {
    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');

    $tax_class_array = array(array('id' => '0', 'text' => TEXT_NONE));
    $tax_class_query = tep_db_query("select tax_class_id, tax_class_title from " . TABLE_TAX_CLASS . " order by tax_class_title");
    while ($tax_class = tep_db_fetch_array($tax_class_query)) {
      $tax_class_array[] = array('id' => $tax_class['tax_class_id'],
                                 'text' => $tax_class['tax_class_title']);
    }

    return tep_draw_pull_down_menu($name, $tax_class_array, $tax_class_id);
  }

////
// Function to read in text area in admin
 function tep_cfg_textarea($text,$key='') {
    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');
    return tep_draw_textarea_field($name, false, 35, 5, $text);
  }

 function tep_cfg_text_field($text,$key='') {
    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');
    return tep_draw_input_field($name, $text);
  }
  
 function tep_cfg_text_small_field($text,$key='') {
    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');
    return tep_draw_input_field($name, $text,'size=10');
  }


  function tep_cfg_get_zone_name($zone_id) {
    $zone_query = tep_db_query("select zone_name from " . TABLE_ZONES . " where zone_id = '" . (int)$zone_id . "'");

    if (!tep_db_num_rows($zone_query)) {
      return $zone_id;
    } else {
      $zone = tep_db_fetch_array($zone_query);
      return $zone['zone_name'];
    }
  }

////
// Sets the status of a banner
  function tep_set_banner_status($banners_id, $status) {
    if ($status == '1') {
      return tep_db_query("update " . TABLE_BANNERS . " set status = '1', expires_impressions = NULL, expires_date = NULL, date_status_change = NULL where banners_id = '" . (int)$banners_id . "'");
    } elseif ($status == '0') {
      return tep_db_query("update " . TABLE_BANNERS . " set status = '0', date_status_change = now() where banners_id = '" . (int)$banners_id . "'");
    } else {
      return -1;
    }
  }

////
// Sets the status of a product
  function tep_set_product_status($products_id, $status) {
    if ($status == '1') {
      return tep_db_query("update " . TABLE_PRODUCTS . " set products_status = '1', products_last_modified = now() where products_id = '" . (int)$products_id . "'");
    } elseif ($status == '0') {
      return tep_db_query("update " . TABLE_PRODUCTS . " set products_status = '0', products_last_modified = now() where products_id = '" . (int)$products_id . "'");
    } else {
      return -1;
    }
  }

////
// Sets the status of a product on special
  function tep_set_specials_status($specials_id, $status) {
    if ($status == '1') {
      return tep_db_query("update " . TABLE_SPECIALS . " set status = '1', expires_date = NULL, date_status_change = NULL where specials_id = '" . (int)$specials_id . "'");
    } elseif ($status == '0') {
      return tep_db_query("update " . TABLE_SPECIALS . " set status = '0', date_status_change = now() where specials_id = '" . (int)$specials_id . "'");
    } else {
      return -1;
    }
  }

////
// Sets timeout for the current script.
// Cant be used in safe mode.
  function tep_set_time_limit($limit) {
    if (!get_cfg_var('safe_mode')) {
      set_time_limit($limit);
    }
  }


  

////
// Alias function for module configuration keys
  function tep_mod_select_option($select_array, $key_name, $key_value) {
    reset($select_array);
    while (list($key, $value) = each($select_array)) {
      if (is_int($key)) $key = $value;
      $string .= '<br><input type="radio" name="configuration[' . $key_name . ']" value="' . $key . '"';
      if ($key_value == $key) $string .= ' CHECKED';
      $string .= '> ' . $value;
    }

    return $string;
  }

////
// Retreive server information
  function tep_get_system_information() {
    global $HTTP_SERVER_VARS;

    $db_query = tep_db_query("select now() as datetime");
    $db = tep_db_fetch_array($db_query);

    list($system, $host, $kernel) = preg_split('/[\s,]+/', @exec('uname -a'), 5);

    return array('date' => tep_datetime_short(date('Y-m-d H:i:s')),
                 'system' => $system,
                 'kernel' => $kernel,
                 'host' => $host,
                 'ip' => gethostbyname($host),
                 'uptime' => @exec('uptime'),
                 'http_server' => $HTTP_SERVER_VARS['SERVER_SOFTWARE'],
                 'php' => PHP_VERSION,
                 'zend' => (function_exists('zend_version') ? zend_version() : ''),
                 'db_server' => DB_SERVER,
                 'db_ip' => gethostbyname(DB_SERVER),
                 'db_version' => 'MySQL ' . (function_exists('mysql_get_server_info') ? mysql_get_server_info() : ''),
                 'db_date' => tep_datetime_short($db['datetime']));
  }

  function tep_generate_category_path($id, $from = 'category', $categories_array = '', $index = 0) {
    global $languages_id;

    if (!is_array($categories_array)) $categories_array = array();

    if ($from == 'product') {
      $categories_query = tep_db_query("select categories_id from " . TABLE_PRODUCTS_TO_CATEGORIES . " where products_id = '" . (int)$id . "'");
      while ($categories = tep_db_fetch_array($categories_query)) {
        if ($categories['categories_id'] == '0') {
          $categories_array[$index][] = array('id' => '0', 'text' => TEXT_TOP);
        } else {
          $category_query = tep_db_query("select cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = '" . (int)$categories['categories_id'] . "' and c.categories_id = cd.categories_id and cd.language_id = '" . (int)$languages_id . "'");
          $category = tep_db_fetch_array($category_query);
          $categories_array[$index][] = array('id' => $categories['categories_id'], 'text' => $category['categories_name']);
          if ( (tep_not_null($category['parent_id'])) && ($category['parent_id'] != '0') ) $categories_array = tep_generate_category_path($category['parent_id'], 'category', $categories_array, $index);
          $categories_array[$index] = array_reverse($categories_array[$index]);
        }
        $index++;
      }
    } elseif ($from == 'category') {
      $category_query = tep_db_query("select cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = '" . (int)$id . "' and c.categories_id = cd.categories_id and cd.language_id = '" . (int)$languages_id . "'");
      $category = tep_db_fetch_array($category_query);
      $categories_array[$index][] = array('id' => $id, 'text' => $category['categories_name']);
      if ( (tep_not_null($category['parent_id'])) && ($category['parent_id'] != '0') ) $categories_array = tep_generate_category_path($category['parent_id'], 'category', $categories_array, $index);
    }

    return $categories_array;
  }

  function tep_output_generated_category_path($id, $from = 'category') {
    $calculated_category_path_string = '';
    $calculated_category_path = tep_generate_category_path($id, $from);
    for ($i=0, $n=sizeof($calculated_category_path); $i<$n; $i++) {
      for ($j=0, $k=sizeof($calculated_category_path[$i]); $j<$k; $j++) {
        $calculated_category_path_string .= $calculated_category_path[$i][$j]['text'] . '&nbsp;&gt;&nbsp;';
      }
      $calculated_category_path_string = substr($calculated_category_path_string, 0, -16) . '<br>';
    }
    $calculated_category_path_string = substr($calculated_category_path_string, 0, -4);

    if (strlen($calculated_category_path_string) < 1) $calculated_category_path_string = TEXT_TOP;

    return $calculated_category_path_string;
  }

  function tep_get_generated_category_path_ids($id, $from = 'category') {
    $calculated_category_path_string = '';
    $calculated_category_path = tep_generate_category_path($id, $from);
    for ($i=0, $n=sizeof($calculated_category_path); $i<$n; $i++) {
      for ($j=0, $k=sizeof($calculated_category_path[$i]); $j<$k; $j++) {
        $calculated_category_path_string .= $calculated_category_path[$i][$j]['id'] . '_';
      }
      $calculated_category_path_string = substr($calculated_category_path_string, 0, -1) . '<br>';
    }
    $calculated_category_path_string = substr($calculated_category_path_string, 0, -4);

    if (strlen($calculated_category_path_string) < 1) $calculated_category_path_string = TEXT_TOP;

    return $calculated_category_path_string;
  }

  function tep_remove_category($category_id) {
    $category_image_query = tep_db_query("select categories_image from " . TABLE_CATEGORIES . " where categories_id = '" . (int)$category_id . "'");
    $category_image = tep_db_fetch_array($category_image_query);

    $duplicate_image_query = tep_db_query("select count(*) as total from " . TABLE_CATEGORIES . " where categories_image = '" . tep_db_input($category_image['categories_image']) . "'");
    $duplicate_image = tep_db_fetch_array($duplicate_image_query);

    if ($duplicate_image['total'] < 2) {
      if (file_exists(DIR_FS_CATALOG_IMAGES . $category_image['categories_image'])) {
        @unlink(DIR_FS_CATALOG_IMAGES . $category_image['categories_image']);
      }
    }

    tep_db_query("delete from " . TABLE_CATEGORIES . " where categories_id = '" . (int)$category_id . "'");
    tep_db_query("delete from " . TABLE_CATEGORIES_DESCRIPTION . " where categories_id = '" . (int)$category_id . "'");
    tep_db_query("delete from " . TABLE_PRODUCTS_TO_CATEGORIES . " where categories_id = '" . (int)$category_id . "'");

 }

  function tep_remove_product($product_id) {
    $product_image_query = tep_db_query("select products_image_1,products_image_2,products_image_3,products_image_4,products_image_5 from " . TABLE_PRODUCTS . " where products_id = '" . (int)$product_id . "'");
    $product_image = tep_db_fetch_array($product_image_query);

	for ($icnt=1;$icnt<=5;$icnt++){
		$duplicate_image_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS . " where products_image_" . $icnt . " = '" . tep_db_input($product_image['products_image_' . $icnt]) . "'");
		$duplicate_image = tep_db_fetch_array($duplicate_image_query);
	
		if ($duplicate_image['total'] < 2) {
		  if (file_exists(DIR_FS_CATALOG_IMAGES . $product_image['products_image_' . $icnt])) {
			@unlink(DIR_FS_CATALOG_IMAGES . $product_image['products_image_' . $icnt]);
		  }
		  if (file_exists(DIR_FS_CATALOG_IMAGES . "small/" . $product_image['products_image_' . $icnt])) {
			  @unlink(DIR_FS_CATALOG_IMAGES . "small/" . $product_image['products_image_' . $icnt]);
		  }
		  if (file_exists(DIR_FS_CATALOG_IMAGES . "big/" . $product_image['products_image_' . $icnt])) {
			  @unlink(DIR_FS_CATALOG_IMAGES . "big/" . $product_image['products_image_' . $icnt]);
		  }
		}
	}
    tep_db_query("delete from " . TABLE_SPECIALS . " where products_id = '" . (int)$product_id . "'");
    tep_db_query("delete from " . TABLE_PRODUCTS . " where products_id = '" . (int)$product_id . "'");
    tep_db_query("delete from " . TABLE_PRODUCTS_TO_CATEGORIES . " where products_id = '" . (int)$product_id . "'");
    tep_db_query("delete from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id = '" . (int)$product_id . "'");
    tep_db_query("delete from " . TABLE_PRODUCTS_ATTRIBUTES . " where products_id = '" . (int)$product_id . "'");
    tep_db_query("delete from " . TABLE_CUSTOMERS_BASKET . " where products_id = '" . (int)$product_id . "' or products_id like '" . (int)$product_id . "{%'");
    tep_db_query("delete from " . TABLE_CUSTOMERS_BASKET_ATTRIBUTES . " where products_id = '" . (int)$product_id . "' or products_id like '" . (int)$product_id . "{%'");
	tep_db_query("delete from " . TABLE_PRODUCTS_STOCK . " where products_id='".(int)$product_id."'");
	tep_db_query("delete from " . TABLE_PRODUCTS_PRICE_BREAK . " where products_id='".(int)$product_id."'");

    $product_reviews_query = tep_db_query("select reviews_id from " . TABLE_REVIEWS . " where products_id = '" . (int)$product_id . "'");
    while ($product_reviews = tep_db_fetch_array($product_reviews_query)) {
      tep_db_query("delete from " . TABLE_REVIEWS_DESCRIPTION . " where reviews_id = '" . (int)$product_reviews['reviews_id'] . "'");
    }
    tep_db_query("delete from " . TABLE_REVIEWS . " where products_id = '" . (int)$product_id . "'");
  }

  function tep_remove_order($order_id, $restock = false) {
    if ($restock == 'on') {
      $order_query = tep_db_query("select products_id, products_quantity from " . TABLE_ORDERS_PRODUCTS . " where orders_id = '" . (int)$order_id . "'");
      while ($order = tep_db_fetch_array($order_query)) {
        tep_db_query("update " . TABLE_PRODUCTS . " set products_quantity = products_quantity + " . $order['products_quantity'] . ", products_ordered = products_ordered - " . $order['products_quantity'] . " where products_id = '" . (int)$order['products_id'] . "'");
      }
    }

    tep_db_query("delete from " . TABLE_ORDERS . " where orders_id = '" . (int)$order_id . "'");
    tep_db_query("delete from " . TABLE_ORDERS_PRODUCTS . " where orders_id = '" . (int)$order_id . "'");
    tep_db_query("delete from " . TABLE_ORDERS_PRODUCTS_ATTRIBUTES . " where orders_id = '" . (int)$order_id . "'");
    tep_db_query("delete from " . TABLE_ORDERS_STATUS_HISTORY . " where orders_id = '" . (int)$order_id . "'");
    tep_db_query("delete from " . TABLE_ORDERS_TOTAL . " where orders_id = '" . (int)$order_id . "'");
  }

  function tep_reset_cache_block($cache_block) {
    global $cache_blocks;

    for ($i=0, $n=sizeof($cache_blocks); $i<$n; $i++) {
      if ($cache_blocks[$i]['code'] == $cache_block) {
        if ($cache_blocks[$i]['multiple'])  {
          if ($dir = @opendir(DIR_FS_CACHE)) {
		     while ($cache_file = readdir($dir)) {
              $cached_file = $cache_blocks[$i]['file'];
              $languages = tep_get_languages();
              for ($j=0, $k=sizeof($languages); $j<$k; $j++) {
                $cached_file_unlink = ereg_replace('-language', '-' . $languages[$j]['directory'], $cached_file);
                if (ereg('^' . $cached_file_unlink, $cache_file)) {
                  @unlink(DIR_FS_CACHE . $cache_file);
                }
              }
            }
            closedir($dir);
          }
        } else {
          $cached_file = $cache_blocks[$i]['file'];
          $languages = tep_get_languages();
          for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
            $cached_file = ereg_replace('-language', '-' . $languages[$i]['directory'], $cached_file);
            @unlink(DIR_FS_CACHE . $cached_file);
          }
        }
        break;
      }
    }
  }
	function tep_reset_seo_cache($type){ 
		$fs_cache=DIR_FS_CACHE;
		if (substr($fs_cache,-1,1)!="/") $fs_cache.="/";
		if ($type=="events"){
			@unlink($fs_cache . 'url.events.cache');
		} else if ($type=="services"){
			@unlink($fs_cache . 'url.servi.cache');
		} else if ($type=="subscriptions"){
			@unlink($fs_cache . 'url.subscr.cache');
		} else {
			@unlink($fs_cache . 'url.products.cache');
		}
	}
	
  function tep_get_file_permissions($mode) {
// determine type
    if ( ($mode & 0xC000) == 0xC000) { // unix domain socket
      $type = 's';
    } elseif ( ($mode & 0x4000) == 0x4000) { // directory
      $type = 'd';
    } elseif ( ($mode & 0xA000) == 0xA000) { // symbolic link
      $type = 'l';
    } elseif ( ($mode & 0x8000) == 0x8000) { // regular file
      $type = '-';
    } elseif ( ($mode & 0x6000) == 0x6000) { //bBlock special file
      $type = 'b';
    } elseif ( ($mode & 0x2000) == 0x2000) { // character special file
      $type = 'c';
    } elseif ( ($mode & 0x1000) == 0x1000) { // named pipe
      $type = 'p';
    } else { // unknown
      $type = '?';
    }

// determine permissions
    $owner['read']    = ($mode & 00400) ? 'r' : '-';
    $owner['write']   = ($mode & 00200) ? 'w' : '-';
    $owner['execute'] = ($mode & 00100) ? 'x' : '-';
    $group['read']    = ($mode & 00040) ? 'r' : '-';
    $group['write']   = ($mode & 00020) ? 'w' : '-';
    $group['execute'] = ($mode & 00010) ? 'x' : '-';
    $world['read']    = ($mode & 00004) ? 'r' : '-';
    $world['write']   = ($mode & 00002) ? 'w' : '-';
    $world['execute'] = ($mode & 00001) ? 'x' : '-';

// adjust for SUID, SGID and sticky bit
    if ($mode & 0x800 ) $owner['execute'] = ($owner['execute'] == 'x') ? 's' : 'S';
    if ($mode & 0x400 ) $group['execute'] = ($group['execute'] == 'x') ? 's' : 'S';
    if ($mode & 0x200 ) $world['execute'] = ($world['execute'] == 'x') ? 't' : 'T';

    return $type .
           $owner['read'] . $owner['write'] . $owner['execute'] .
           $group['read'] . $group['write'] . $group['execute'] .
           $world['read'] . $world['write'] . $world['execute'];
  }

  function tep_remove($source) {
    global $messageStack, $tep_remove_error;

    if (isset($tep_remove_error)) $tep_remove_error = false;

    if (is_dir($source)) {
      $dir = dir($source);
      while ($file = $dir->read()) {
        if ( ($file != '.') && ($file != '..') ) {
          if (is_writeable($source . '/' . $file)) {
            tep_remove($source . '/' . $file);
          } else {
            $messageStack->add(sprintf(ERROR_FILE_NOT_REMOVEABLE, $source . '/' . $file), 'error');
            $tep_remove_error = true;
          }
        }
      }
      $dir->close();

      if (is_writeable($source)) {
        rmdir($source);
      } else {
        $messageStack->add(sprintf(ERROR_DIRECTORY_NOT_REMOVEABLE, $source), 'error');
        $tep_remove_error = true;
      }
    } else {
      if (is_writeable($source)) {
        unlink($source);
      } else {
        $messageStack->add(sprintf(ERROR_FILE_NOT_REMOVEABLE, $source), 'error');
        $tep_remove_error = true;
      }
    }
  }

////
// Output the tax percentage with optional padded decimals
  function tep_display_tax_value($value, $padding = TAX_DECIMAL_PLACES) {
    if (strpos($value, '.')) {
      $loop = true;
      while ($loop) {
        if (substr($value, -1) == '0') {
          $value = substr($value, 0, -1);
        } else {
          $loop = false;
          if (substr($value, -1) == '.') {
            $value = substr($value, 0, -1);
          }
        }
      }
    }

    if ($padding > 0) {
      if ($decimal_pos = strpos($value, '.')) {
        $decimals = strlen(substr($value, ($decimal_pos+1)));
        for ($i=$decimals; $i<$padding; $i++) {
          $value .= '0';
        }
      } else {
        $value .= '.';
        for ($i=0; $i<$padding; $i++) {
          $value .= '0';
        }
      }
    }

    return $value;
  }

  function tep_mail($to_name, $to_email_address, $email_subject, $email_text, $from_email_name, $from_email_address) {
    if (SEND_EMAILS != 'true') return false;

    // Instantiate a new mail object
    $message = new email(array('X-Mailer: osCommerce'));

    // Build the text version
    $text = strip_tags($email_text);
    if (EMAIL_USE_HTML == 'true') {
      $message->add_html($email_text, $text);
    } else {
      $message->add_text($text);
    }
	 if(defined('DEBUGGING_MODE_VIEW') && (DEBUGGING_MODE_VIEW=='1' || DEBUGGING_MODE_VIEW=='true')){
	   echos($text);
	}

    // Send message
    $message->build_message();    	
    $message->send($to_name, $to_email_address, $from_email_name, $from_email_address, $email_subject);
  }

  function tep_get_tax_class_title($tax_class_id) {
    if ($tax_class_id == '0') {
      return TEXT_NONE;
    } else {
      $classes_query = tep_db_query("select tax_class_title from " . TABLE_TAX_CLASS . " where tax_class_id = '" . (int)$tax_class_id . "'");
      $classes = tep_db_fetch_array($classes_query);

      return $classes['tax_class_title'];
    }
  }

  function tep_banner_image_extension() {
    if (function_exists('imagetypes')) {
      if (imagetypes() & IMG_PNG) {
        return 'png';
      } elseif (imagetypes() & IMG_JPG) {
        return 'jpg';
      } elseif (imagetypes() & IMG_GIF) {
        return 'gif';
      }
    } elseif (function_exists('imagecreatefrompng') && function_exists('imagepng')) {
      return 'png';
    } elseif (function_exists('imagecreatefromjpeg') && function_exists('imagejpeg')) {
      return 'jpg';
    } elseif (function_exists('imagecreatefromgif') && function_exists('imagegif')) {
      return 'gif';
    }

    return false;
  }

////
// Wrapper function for round() for php3 compatibility
  function tep_round($value, $precision) {
    if (PHP_VERSION < 4) {
      $exp = pow(10, $precision);
      return round($value * $exp) / $exp;
    } else {
      return round($value, $precision);
    }
  }

////
// Add tax to a products price
  function tep_add_tax($price, $tax) {
    global $currencies;

    if (DISPLAY_PRICE_WITH_TAX == 'true') {
      return tep_round($price, $currencies->currencies[DEFAULT_CURRENCY]['decimal_places']) + tep_calculate_tax($price, $tax);
    } else {
      return tep_round($price, $currencies->currencies[DEFAULT_CURRENCY]['decimal_places']);
    }
  }

// Calculates Tax rounding the result
  function tep_calculate_tax($price, $tax) {
    global $currencies;
    return tep_round($price * $tax / 100, $currencies->currencies[DEFAULT_CURRENCY]['decimal_places']);
  }

////
// Returns the tax rate for a zone / class
// TABLES: tax_rates, zones_to_geo_zones
  function tep_get_tax_rate($class_id, $country_id = -1, $zone_id = -1) {
    global $customer_zone_id, $customer_country_id;

    if ( ($country_id == -1) && ($zone_id == -1) ) {
      if (!tep_session_is_registered('customer_id')) {
        $country_id = STORE_COUNTRY;
        $zone_id = STORE_ZONE;
      } else {
        $country_id = $customer_country_id;
        $zone_id = $customer_zone_id;
      }
    }
    $tax_query = tep_db_query("select SUM(tax_rate) as tax_rate from " . TABLE_TAX_RATES . " tr left join " . TABLE_ZONES_TO_GEO_ZONES . " za ON tr.tax_zone_id = za.geo_zone_id left join " . TABLE_GEO_ZONES . " tz ON tz.geo_zone_id = tr.tax_zone_id WHERE (za.zone_country_id IS NULL OR za.zone_country_id = '0' OR za.zone_country_id = '" . (int)$country_id  . "') AND (za.zone_id IS NULL OR za.zone_id = '0' OR za.zone_id = '" . (int)$zone_id . "') AND tr.tax_class_id = '" . (int)$class_id . "' GROUP BY tr.tax_priority");
    //echo "select SUM(tax_rate) as tax_rate from " . TABLE_TAX_RATES . " tr left join " . TABLE_ZONES_TO_GEO_ZONES . " za ON tr.tax_zone_id = za.geo_zone_id left join " . TABLE_GEO_ZONES . " tz ON tz.geo_zone_id = tr.tax_zone_id WHERE (za.zone_country_id IS NULL OR za.zone_country_id = '0' OR za.zone_country_id = '" . (int)$country_id . "') AND (za.zone_id IS NULL OR za.zone_id = '0' OR za.zone_id = '" . (int)$zone_id . "') AND tr.tax_class_id = '" . (int)$class_id . "' GROUP BY tr.tax_priority";
	if (tep_db_num_rows($tax_query)) {
      $tax_multiplier = 0;
      while ($tax = tep_db_fetch_array($tax_query)) {
        $tax_multiplier += $tax['tax_rate'];
      }
      return $tax_multiplier;
    } else {
      return 0;
    }
  }

////
// Returns the tax rate for a tax class
// TABLES: tax_rates
  function tep_get_tax_rate_value($class_id) {
    $tax_query = tep_db_query("select SUM(tax_rate) as tax_rate from " . TABLE_TAX_RATES . " where tax_class_id = '" . (int)$class_id . "' group by tax_priority");
    if (tep_db_num_rows($tax_query)) {
      $tax_multiplier = 0;
      while ($tax = tep_db_fetch_array($tax_query)) {
        $tax_multiplier += $tax['tax_rate'];
      }
      return $tax_multiplier;
    } else {
      return 0;
    }
  }

  function tep_call_function($function, $parameter, $object = '') { 
    if ($object == '') {
	   return call_user_func($function, $parameter);
    } elseif (PHP_VERSION < 4) {
      return call_user_method($function, $object, $parameter);
    } else {
      return call_user_func(array($object, $function), $parameter);
    }
  }

  function tep_get_zone_class_title($zone_class_id) {
		$geo_zone_name = '';
		if ($zone_class_id!=""){
			$geo_zone_sql = "select geo_zone_name from " . TABLE_GEO_ZONES . " where geo_zone_id in(" . $zone_class_id . ")";
			$geo_zone_query = tep_db_query($geo_zone_sql);
	
			while($geo_zone_result = tep_db_fetch_array($geo_zone_query)){
				$geo_zone_name.=$geo_zone_result["geo_zone_name"] . ",";
			}
		}		
		if($geo_zone_name=='')$geo_zone_name = TEXT_NONE;
		else $geo_zone_name=substr($geo_zone_name,0,-1);
		return $geo_zone_name;
  }
  
	function tep_get_shipping_zone_class_title($zone_class_id){
		$geo_zone_name = '';
		if ($zone_class_id!=""){
			$geo_zone_sql = "select geo_zone_name from " . TABLE_GEO_ZONES . " where geo_zone_id in(" . $zone_class_id . ")";
			$geo_zone_query = tep_db_query($geo_zone_sql);
	
			while($geo_zone_result = tep_db_fetch_array($geo_zone_query)){
				$geo_zone_name.=$geo_zone_result["geo_zone_name"] . ",";
			}
		}		
		if($geo_zone_name=='')$geo_zone_name = TEXT_NONE;
		else $geo_zone_name=substr($geo_zone_name,0,-1);
		return $geo_zone_name;
	}  

 /* function tep_cfg_pull_down_zone_classes($zone_class_id, $key = '') {
    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');

    $zone_class_array = array(array('id' => '0', 'text' => TEXT_NONE));
    $zone_class_query = tep_db_query("select geo_zone_id, geo_zone_name from " . TABLE_GEO_ZONES . " order by geo_zone_name");
    while ($zone_class = tep_db_fetch_array($zone_class_query)) {
      $zone_class_array[] = array('id' => $zone_class['geo_zone_id'],
                                  'text' => $zone_class['geo_zone_name']);
    }

    return tep_draw_pull_down_menu($name, $zone_class_array, $zone_class_id);
  }*/
  
   function tep_cfg_pull_down_zone_classes($zone_class_id, $key = '',$country_control='default',$country_key='default') {
    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');

   $zone_original=$zone_class_id;
   $zone_class_id="," .$zone_class_id .",";
   $zone_class_sql = "select distinct gz.geo_zone_id, gz.geo_zone_name from " . TABLE_GEO_ZONES . " gz," . TABLE_ZONES_TO_GEO_ZONES . " zgz where gz.geo_zone_id=zgz.geo_zone_id order by geo_zone_name";
   //$zone_class_sql = "select distinct gz.geo_zone_id, gz.geo_zone_name from " . TABLE_GEO_ZONES . " gz order by geo_zone_name";
   $zone_class_query = tep_db_query($zone_class_sql);
   $result.='<input type="hidden" name="' . $name . '" value="' . $zone_original . '" id="' . $name .'">';
   $result.='<div style="height:100px;overflow:auto;width:200px;vertical-align:top"><table border="0" width="100%" cellpadding="0" cellspacing="0" valign="top">';
   $icnt=0;
    while ($zone_class = tep_db_fetch_array($zone_class_query)) {
		$checked='';
		if (strpos($zone_class_id,"," . $zone_class['geo_zone_id'] . ",")!==FALSE) $checked=" checked ";
		$result.='<tr><td valign="top" class="smallText" style="height:4px" valign="top"><input type=checkbox name="check_' . $name. '" id="check_' . $icnt . '_' . $name . '" value="' . $zone_class['geo_zone_id'] .'"' . $checked . ' onClick="javascript:check_selected_values(this,\'' . $name . '\',\'' . $country_control . '\',\'' . $country_key . '\');">' . $zone_class['geo_zone_name'] . '</td>';
		$icnt++;
    }
	$result.='<input type="hidden" id="count_' . $name . '" value="' . ($icnt-1) . '">';
	$result.='</tr>';
	$result.='</table>';
	$result.='</div>';
    return $result;
  }
  
   function tep_cfg_pull_down_shipping_zone_classes($zone_class_id, $key = '',$country_control='default',$country_key='default') {
  //  $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');

   /* $zone_class_array = array(array('id' => '0', 'text' => TEXT_NONE),
								array('id'=>'-1', 'text'=>TEXT_WORLD_ZONES),
								array('id'=>'13', 'text'=>TEXT_AUSTRALIAN_ZONES));*/
  /* $zone_original=$zone_class_id;
   $zone_class_id="," .$zone_class_id .",";
   $zone_class_query = tep_db_query("select geo_zone_id, geo_zone_name from " . TABLE_GEO_ZONES . " order by geo_zone_name");

   $result.='<input type="hidden" name="' . $name . '" value="' . $zone_original . '">';
   $result.='<div style="height:100px;overflow:auto;width:200px;vertical-align:top"><table border="0" width="100%" cellpadding="0" cellspacing="0" valign="top">';
    while ($zone_class = tep_db_fetch_array($zone_class_query)) {
		$checked='';
		if (strpos($zone_class_id,"," . $zone_class['geo_zone_id'] . ",")!==FALSE) $checked=" checked ";
		$result.='<tr><td valign="top" class="smallText"><input type=checkbox name="config_check_shipping" id="config_check_shipping" value="' . $zone_class['geo_zone_id'] .'"' . $checked . ' onClick="javascript:check_selected_zone(this,\'' . $name . '\');">&nbsp;' . $zone_class['geo_zone_name'] . '<td width="20"><a href="' . tep_href_link(FILENAME_PRODUCTS_FREIGHT,'zID='. $zone_class['geo_zone_id']) . '">' . tep_image(DIR_WS_ICONS . 'image_edit.gif','Update Frieght') . '</a></td></tr>';
    }
	$result.='<tr>';
	$result.='</table>';
	$result.='</div>';
    return $result; */
    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');

   $zone_original=$zone_class_id;
   $zone_class_id="," .$zone_class_id .",";
   $zone_class_query = tep_db_query("select geo_zone_id, geo_zone_name from " . TABLE_GEO_ZONES . " order by geo_zone_name");
   $result.='<input type="hidden" name="' . $name . '" value="' . $zone_original . '" id="' . $name . '">';
   $result.='<div style="height:100px;overflow:auto;width:200px;vertical-align:top"><table border="0" width="100%" cellpadding="0" cellspacing="0" valign="top">';
   $icnt=0;
    while ($zone_class = tep_db_fetch_array($zone_class_query)) {
		$checked='';
		if (strpos($zone_class_id,"," . $zone_class['geo_zone_id'] . ",")!==FALSE) $checked=" checked ";
		$result.='<tr><td valign="top" class="smallText" style="height:4px" valign="top"><input type=checkbox name="check_' . $name. '" id="check_' . $icnt . "_"  .$name . '" value="' . $zone_class['geo_zone_id'] .'"' . $checked . ' onClick="javascript:check_selected_values(this,\'' . $name . '\',\'' . $country_control . '\',\'' . $country_key . '\');">' . $zone_class['geo_zone_name'] . '</td>'.'<td width="20"><a href="' . tep_href_link(FILENAME_PRODUCTS_FREIGHT,'zID='. $zone_class['geo_zone_id']) . '">' . tep_image(DIR_WS_ICONS . 'image_edit.gif','Update Frieght') . '</a></td>';
		$icnt++;
    }
	$result.='<input type="hidden" id="count_' . $name . '" value="' . ($icnt-1) . '">';
	$result.='</tr>';
	$result.='</table>';
	$result.='</div>';
    return $result;
  }

   /*function tep_cfg_pull_down_shipping_zone_classes($zone_class_id, $key = '') {
    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');

   $zone_class_query = tep_db_query("select geo_zone_id, geo_zone_name from " . TABLE_GEO_ZONES . " order by geo_zone_name");
    while ($zone_class = tep_db_fetch_array($zone_class_query)) {
      $zone_class_array[] = array('id' => $zone_class['geo_zone_id'],
                                  'text' => $zone_class['geo_zone_name']);
    }
	$result = tep_draw_pull_down_menu($name, $zone_class_array, $zone_class_id, 'id="' . $name . '"') . '<br><br>&nbsp;&nbsp;&nbsp;' . tep_image_button('button_edit.gif', IMAGE_EDIT,'onClick=javascript:getZones(\'' . $name . '\');');
    return $result;
  }*/
  
  function tep_cfg_pull_down_order_statuses($order_status_id, $key = '') {
    global $languages_id;

    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');

    $statuses_array = array(array('id' => '0', 'text' => TEXT_DEFAULT));
    $statuses_query = tep_db_query("select orders_status_id, orders_status_name from " . TABLE_ORDERS_STATUS . " where language_id = '" . (int)$languages_id . "' and lower(orders_status_name)!='refunded' order by orders_status_name");
    while ($statuses = tep_db_fetch_array($statuses_query)) {
      $statuses_array[] = array('id' => $statuses['orders_status_id'],
                                'text' => $statuses['orders_status_name']);
    }

    return tep_draw_pull_down_menu($name, $statuses_array, $order_status_id);
  }

  function tep_get_order_status_name($order_status_id, $language_id = '') {
    global $languages_id;

    if ($order_status_id < 1) return TEXT_DEFAULT;

    if (!is_numeric($language_id)) $language_id = $languages_id;

    $status_query = tep_db_query("select orders_status_name from " . TABLE_ORDERS_STATUS . " where orders_status_id = '" . (int)$order_status_id . "' and language_id = '" . (int)$language_id . "'");
    $status = tep_db_fetch_array($status_query);

    return $status['orders_status_name'];
  }

////
// Return a random value
  function tep_rand($min = null, $max = null) {
    static $seeded;

    if (!$seeded) {
      mt_srand((double)microtime()*1000000);
      $seeded = true;
    }

    if (isset($min) && isset($max)) {
      if ($min >= $max) {
        return $min;
      } else {
        return mt_rand($min, $max);
      }
    } else {
      return mt_rand();
    }
  }

// nl2br() prior PHP 4.2.0 did not convert linefeeds on all OSs (it only converted \n)
  function tep_convert_linefeeds($from, $to, $string) {
    if ((PHP_VERSION < "4.0.5") && is_array($from)) {
      return ereg_replace('(' . implode('|', $from) . ')', $to, $string);
    } else {
      return str_replace($from, $to, $string);
    }
  }

  function tep_string_to_int($string) {
    return (int)$string;
  }

////
// Parse and secure the cPath parameter values
  function tep_parse_category_path($cPath) {
// make sure the category IDs are integers
    $cPath_array = array_map('tep_string_to_int', explode('_', $cPath));

// make sure no duplicate category IDs exist which could lock the server in a loop
    $tmp_array = array();
    $n = sizeof($cPath_array);
    for ($i=0; $i<$n; $i++) {
      if (!in_array($cPath_array[$i], $tmp_array)) {
        $tmp_array[] = $cPath_array[$i];
      }
    }

    return $tmp_array;
  }
// Alias function for array of configuration values in the Administration Tool
  function tep_cfg_select_multioption($select_array, $key_value, $key = ''){
  	  $check_array=array('P' =>'Products','E'=>'Events','S' =>'Subscriptions','V' =>'Services');
  	  for($i=0;$i<sizeof($select_array);$i++){
		$name = (($key) ? 'configuration[' . $key . '][]' : 'configuration_value');
		$checked="";
		if($key==''){
			$string .= '<input type="checkbox" name="check_' . $name . '" id="check_' . $name . '" value="' . $select_array[$i] . '"';
			if (strpos($key_value, $select_array[$i] )!==FALSE) $string.=" CHECKED "; 
			  $string.=' onClick="javascript:check_selected_values(this,\'' . $name . '\');" >'.$check_array[$select_array[$i]];
		}else {
			$string .= '<br><input type="checkbox" name="' . $name . '" value="' . $select_array[$i] . '"';		
      		$key_values = explode(", ", $key_value);
      		if (in_array($select_array[$i],$key_values) ) $string .= ' CHECKED ';
      		$string .= '> ' . $select_array[$i];
		}
	  }
	  return $string;
  } 
  ////
// Alias function for Store configuration values in the Administration Tool

  
  function tep_cfg_select_option($select_array, $key_value, $key = '') {
    $string = '';
    for ($i=0, $n=sizeof($select_array); $i<$n; $i++) {
    	 $name = ((tep_not_null($key)) ? 'configuration[' . $key . ']' : 'configuration_value');
     if($i%2 && $i!=0)
	  $string .= '<br>';
      $string .= '<input type="radio" name="' . $name . '" value="' . $select_array[$i] . '"'.'&nbsp;';

      if ($key_value == $select_array[$i]) $string .= ' CHECKED';

      $string .= '> ' . $select_array[$i];
    }

    return $string;
  }
  
  function tep_cfg_select_option_title($value){
  	$check_array=array('P' =>'Products','E'=>'Events','S' =>'Subscriptions','V' =>'Services');
	for($i=0;$i<strlen($value);$i++){
		$check_value=substr($value,$i,1);
		$result.=$check_array[$check_value] .",";
	}
	if($result!='')
		$result=substr($result,0,-1);
	return $result;
  }
  
   function tep_cfg_password_option($select_array, $key_value, $key = '') {
    $string = '';
  	$check_array=array('1' =>'no checking','2'=>'alphanumeric','3' =>'alphanumeric + symbols');
    for ($i=0, $n=sizeof($select_array); $i<$n; $i++) {
    	  $name = ((tep_not_null($key)) ? 'configuration[' . $key . ']' : 'configuration_value');
		  
	 $string .= '<input type="radio" name="' . $name . '" value="' . $select_array[$i] . '"'.'&nbsp;';

      if ($key_value == $select_array[$i]) $string .= ' CHECKED';

      $string .= '> ' . $check_array[$select_array[$i]];
    }

    return $string;
  }
  
  /*  function tep_cfg_password_option($select_array, $key_value, $key = '') {
    $string = '';
  	$check_array=array('1' =>'no checking','2'=>'alphanumeric','3' =>'alphanumeric + symbols','4' =>'alphanumeric + symbols + dictionary words');
	$string .='<table cellpadding="0" cellspacing="0" width="0" border="0"><tr>';
    for ($i=0, $n=sizeof($select_array); $i<$n; $i++) {
    	  $name = ((tep_not_null($key)) ? 'configuration[' . $key . ']' : 'configuration_value');
		  
	
      $string .= '<td nowrap="nowrap"><input type="radio" name="' . $name . '" value="' . $select_array[$i] . '"'.'&nbsp;';

      if ($key_value == $select_array[$i]) $string .= ' CHECKED';

      $string .= '> ' . $check_array[$select_array[$i]] .'<td>';
	  if($i=='1') $string .='</tr><tr>';
    }
	$string .='</tr></table>';
    return $string;
  }*/
  
    function tep_get_password_option_title($value){
  	$check_array=array('1' =>'no checking','2'=>'alphanumeric','3' =>'alphanumeric + symbols');
	for($i=0;$i<strlen($value);$i++){
		$check_value=substr($value,$i,1);
		$result.=$check_array[$check_value] .",";
	}
	if($result!='')
		$result=substr($result,0,-1);
	return $result;
  }
  
//create a select list to display list of themes available for selection
  function tep_cfg_pull_down_template_list($template_id, $key = '') {
    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');

    $template_query = tep_db_query("select template_id, template_name from " . TABLE_TEMPLATE . " order by template_name");
    while ($template = tep_db_fetch_array($template_query)) {
      $template_array[] = array('id' => $template['template_name'],
                                 'text' => $template['template_name']);
    }

    return tep_draw_pull_down_menu($name, $template_array, $template_id);
  }

 //create a select list of  product listing navigation bar
    function tep_cfg_pull_down_navigation_type($id,$key='')
	{
	    $name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');
		$minimum_type_array = array(array('id' =>1,'text'=>'top'),array('id'=>2,'text'=>'bottom'),array('id'=>3,'text'=>'both'));
		return tep_draw_pull_down_menu($name, $minimum_type_array, $id);	
	} 
	function tep_get_order_count($products_id,$where_clause='1=1')
	{
		$res = tep_db_query("SELECT sum(ord.products_quantity) as total_quantity from " . TABLE_ORDERS_PRODUCTS . " ord," . TABLE_ORDERS . " o where o.orders_id=ord.orders_id and ord.products_type='P' and ord.orders_products_status!=3 and o.orders_status=2 and ord.products_id=" . (int)$products_id . " and " . $where_clause);
		$row = mysql_fetch_array($res);
		return $row[0]; 
	}
	function tep_get_quantity_remaining($products_id)
	{
		$res = tep_db_query("SELECT (products_quantity-products_ordered) as products_remaining  from " . TABLE_PRODUCTS . " where products_id=" . $products_id);
		$row = mysql_fetch_array($res);
		return $row[0]; 
	}
  function tep_get_group_id($grpname) {
	$group_query = tep_db_query("select admin_groups_id from " . TABLE_ADMIN_GROUPS . " where admin_groups_name= '" . $grpname . "'");
	if (tep_db_num_rows($group_query)) {
		$groups = tep_db_fetch_array($group_query);
		return $groups['admin_groups_id'];
	} else {
		return 0;
	}
  }
  function tep_set_customer_admin_groups($customer_id, $is_blocked) {
      return tep_db_query("update " . TABLE_CUSTOMERS . " set is_blocked = '" . $is_blocked. "' where customers_id = '" . (int)$customer_id . "'");
  }
//change for Echo
function echos($string){
if(HTTP_SERVER=='http://raga:82'){
 if(is_array($string)) print_r($string);
 else echo $string;
 }
}
	function tep_cfg_user_defined_text_field($assign,$value,$text,$key=''){
		$name = (($key) ? 'configuration[' . $key . ']' : 'configuration_value');
		if($assign=="before"){
			return "&nbsp;<b>" . $value . "</b>&nbsp;".tep_draw_input_field($name,$text);
		}else if($assign=="after"){
			return tep_draw_input_field($name,$text) . "&nbsp;<b>" . $value . "</b>&nbsp;";
		}
	}
	function tep_cfg_file_field($name,$value,$type='file'){
		return "<input class='inputNormal' type='" . $type . "' name='" . $name . "'><br>" . $value;
	}



// BOF: WebMakers.com Added: Downloads Controller
require(DIR_WS_FUNCTIONS . 'downloads_controller.php');
// EOF: WebMakers.com Added: Downloads Controller
// osCommRes added
require(DIR_WS_FUNCTIONS . 'events_general.php');
require(DIR_WS_FUNCTIONS . 'subscription_general.php');
require(DIR_WS_FUNCTIONS . 'services_general.php');
require(DIR_WS_FUNCTIONS . 'freeway_general.php');
if(file_exists(DIR_WS_FUNCTIONS . 'contractor_general.php'))
	require(DIR_WS_FUNCTIONS . "contractor_general.php");
?>