<?php
// Check to ensure this file is included in Freeway!
defined('_FEXEC') or die();
/*
  $Id: auspostexpress.php,v 2.0.2 2003/10/15

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  class auspostexpress {
    var $code, $title, $description, $icon, $enabled;
// class constructor
    function auspostexpress() {
      global $order, $enabled;
      $this->code = 'auspostexpress';
      $this->title = MODULE_SHIPPING_AUSPOST_EXPRESS_TEXT_TITLE;
      $this->description = MODULE_SHIPPING_AUSPOST_EXPRESS_TEXT_DESCRIPTION;
      $this->sort_order = MODULE_SHIPPING_AUSPOST_EXPRESS_SORT_ORDER;
      $this->icon = DIR_WS_ICONS . 'auspost_express.gif';
      $this->tax_class = MODULE_SHIPPING_AUSPOST_EXPRESS_TAX_CLASS;
      $this->enabled = ((MODULE_SHIPPING_AUSPOST_EXPRESS_STATUS == 'True') ? true : false);
	  tep_check_shipping_module_status($this,MODULE_SHIPPING_AUSPOST_EXPRESS_ZONE,trim(MODULE_SHIPPING_AUSPOST_EXPRESS_EXCEPT_ZONE),trim(MODULE_SHIPPING_AUSPOST_EXPRESS_EXCEPT_COUNTRY));
    }

// class methods
    function quote($method = '') {
      global $order,  $cart, $shipping_weight, $shipping_num_boxes, $total_weight;

      $frompcode = MODULE_SHIPPING_AUSPOST_EXPRESS_SPCODE;
      $topcode = $order->delivery['postcode'];
      $sweight = $shipping_weight*1000;
      $swidth = MODULE_SHIPPING_AUSPOST_EXPRESS_SWIDTH;
      $sheight = MODULE_SHIPPING_AUSPOST_EXPRESS_SHEIGHT;
      $slength = MODULE_SHIPPING_AUSPOST_EXPRESS_SDEPTH;
      $error = false;

      $insurance_table = split("[:,]" , MODULE_SHIPPING_AUSPOST_EXPRESS_INSURANCE);
        for ($i = 0; $i < count($insurance_table); $i+=2) {
          if ($cart->show_total() <= $insurance_table[$i]) {
            $insurance = $insurance_table[$i+1];
            $insurance_details = " $" .$insurance . " " .MODULE_SHIPPING_AUSPOST_EXPRESS_TEXT_INSURANCE;
            break;
          }
        }
        $url = "http://drc.edeliver.com.au/ratecalc.asp?Pickup_Postcode=$frompcode&Destination_Postcode=$topcode&Country=AU&Weight=$sweight&Service_Type=EXPRESS&Height=$sheight&Width=$swidth&Length=$slength&Quantity=$shipping_num_boxes";
        $myfile = file($url);
        foreach($myfile as $vals)
        {
                $bits = split("=", $vals);
                $$bits[0] = $bits[1];
        }

      if ($charge <= 0) {
        $error = true;
      } else {

		$handling = MODULE_SHIPPING_AUSPOST_EXPRESS_HANDLING;
	      if ($handling >0) {
	        $handling_details = " $" . MODULE_SHIPPING_AUSPOST_EXPRESS_HANDLING . " " .MODULE_SHIPPING_AUSPOST_EXPRESS_TEXT_HANDLING;
	      } else {
	        $handling_details = "";
		  }

	      if ($insurance >0) {
	        $insurance_details = " $" .$insurance . " " .MODULE_SHIPPING_AUSPOST_EXPRESS_TEXT_INSURANCE;
	      } else {
	        $insurance_details = "";
		  }

	      	if ($insurance == 0 && $handling  == 0) {
		    	$auspostexpress_addons = "";
	      	} else {
				if(strtolower(DISPLAY_HANDLING_CHARGE )=='true')
		   		 	$auspostexpress_addons = " (" . MODULE_SHIPPING_AUSPOST_EXPRESS_TEXT_INCLUDE . $handling_details . $insurance_details . ") ";
				else
					$auspostexpress_addons = "";	
		  	}

        $shipping_auspostexpress_method = MODULE_SHIPPING_AUSPOST_EXPRESS_TEXT_WAY. " <b>"  . $topcode . "</b> - " . $days . " " . MODULE_SHIPPING_AUSPOST_EXPRESS_TEXT_SHIPPINGDAYS . "<br>" .$shipping_num_boxes . "&nbsp;" .MODULE_SHIPPING_AUSPOST_EXPRESS_TEXT_BOXES  . " " . $total_weight . MODULE_SHIPPING_AUSPOST_EXPRESS_TEXT_UNITS . $auspostexpress_addons;
        $shipping_auspostexpress_cost = (($charge/1.1)* $shipping_num_boxes);
      }

      $this->quotes = array('id' => $this->code,
                            'module' => MODULE_SHIPPING_AUSPOST_EXPRESS_TEXT_TITLE,
                            'methods' => array(array('id' => $this->code,
                                                     'title' => $shipping_auspostexpress_method,
                                                     'cost' => ($shipping_auspostexpress_cost + MODULE_SHIPPING_AUSPOST_EXPRESS_HANDLING) + $insurance)));

      if ($this->tax_class > 0) {
        $this->quotes['tax'] = tep_get_tax_rate($this->tax_class, $order->delivery['country']['id'], $order->delivery['zone_id']);
      }

      if (tep_not_null($this->icon)) $this->quotes['icon'] = tep_image($this->icon, $this->title);

      if ($error == true) $this->quotes['error'] = MODULE_SHIPPING_AUSPOST_EXPRESS_TEXT_ERROR;

      return $this->quotes;
    }

    function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_SHIPPING_AUSPOST_EXPRESS_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }
      return $this->_check;
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Enable auspostexpress', 'MODULE_SHIPPING_AUSPOST_EXPRESS_STATUS', 'True', 'Do you want to offer auspostexpress?', '6', '0', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Insurance', 'MODULE_SHIPPING_AUSPOST_EXPRESS_INSURANCE', '25:5.90', 'Insurance cost is based on the total cost of items. Example: 25:8.50,50:5.50,etc.. Up to $25 charge $8.50, from there to $50 charge $5.50, etc', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) VALUES ('Dispatch Postcode', 'MODULE_SHIPPING_AUSPOST_EXPRESS_SPCODE', '2000', 'Dispatch Postcode?', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Handling Fee', 'MODULE_SHIPPING_AUSPOST_EXPRESS_HANDLING', '10', 'Handling Fee for this shipping method', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) VALUES ('Parcel Height', 'MODULE_SHIPPING_AUSPOST_EXPRESS_SHEIGHT', '100', 'Parcel Height (in mm)', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) VALUES ('Parcel Width', 'MODULE_SHIPPING_AUSPOST_EXPRESS_SWIDTH', '100', 'Parcel Width (in mm)', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) VALUES ('Parcel Depth', 'MODULE_SHIPPING_AUSPOST_EXPRESS_SDEPTH', '100', 'Parcel Depth (in mm)', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Shipping Zone', 'MODULE_SHIPPING_AUSPOST_EXPRESS_ZONE', '3', 'If a zone is selected, only enable this shipping method for that zone.', '6', '0', 'tep_get_zone_class_title', 'tep_cfg_pull_down_zone_classes(', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Country', 'MODULE_SHIPPING_AUSPOST_EXPRESS_EXCEPT_COUNTRY', '', 'If countries are selected, disable this shipping method for that countries.', '6', '4', 'tep_cfg_pull_down_zone_except_countries(MODULE_SHIPPING_AUSPOST_EXPRESS_ZONE,', 'tep_get_zone_except_country', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Except Shipping Zone', 'MODULE_SHIPPING_AUSPOST_EXPRESS_EXCEPT_ZONE', '', 'If a zone is selected, disable this shipping method for that zone.', '6', '3', 'tep_cfg_pull_down_zone_classes(','tep_get_zone_class_title', now())");
	  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Tax Class', 'MODULE_SHIPPING_AUSPOST_EXPRESS_TAX_CLASS', '2', 'Use the following tax class on the shipping fee.', '6', '0', 'tep_get_tax_class_title', 'tep_cfg_pull_down_tax_classes(', now())");      
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort order of display.', 'MODULE_SHIPPING_AUSPOST_EXPRESS_SORT_ORDER', '3', 'Sort order of display. Lowest is displayed first.', '6', '0', now())");

    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_SHIPPING_AUSPOST_EXPRESS_STATUS', 'MODULE_SHIPPING_AUSPOST_EXPRESS_INSURANCE', 'MODULE_SHIPPING_AUSPOST_EXPRESS_SPCODE', 'MODULE_SHIPPING_AUSPOST_EXPRESS_HANDLING', 'MODULE_SHIPPING_AUSPOST_EXPRESS_SHEIGHT', 'MODULE_SHIPPING_AUSPOST_EXPRESS_SWIDTH', 'MODULE_SHIPPING_AUSPOST_EXPRESS_SDEPTH', 'MODULE_SHIPPING_AUSPOST_EXPRESS_ZONE', 'MODULE_SHIPPING_AUSPOST_EXPRESS_EXCEPT_ZONE', 'MODULE_SHIPPING_AUSPOST_EXPRESS_EXCEPT_COUNTRY', 'MODULE_SHIPPING_AUSPOST_EXPRESS_TAX_CLASS', 'MODULE_SHIPPING_AUSPOST_EXPRESS_SORT_ORDER');
    }
  }
?>