 DROP TABLE IF EXISTS admin_files_groups;
CREATE TABLE admin_files_groups (
 `admin_files_groups_id` int(11) default NULL,
  `admin_files_groups_name` varchar(40) default NULL,
  `admin_files_groups_desc` text,
  `admin_groups_id` varchar(255) NOT NULL default '1'
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1; 


DROP TABLE IF EXISTS admin_menus;
CREATE TABLE admin_menus (
  `menu_id` int(11) unsigned NOT NULL auto_increment,
  `parent_id` int(11) unsigned NOT NULL default '0',
  `admin_groups_id` varchar(255) NOT NULL default '1',
  `menu_pos` int(11) unsigned NOT NULL default '1',
  `filename` varchar(100) NOT NULL default '',
  `params` varchar(255) NOT NULL default '',
  `menu_item_type` char(1) NOT NULL,
  PRIMARY KEY  (`menu_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
			
 DROP TABLE IF EXISTS admin_menus_description;
 CREATE TABLE admin_menus_description (
  `menu_id` int(11) unsigned NOT NULL default '0',
  `menu_text` varchar(255) NOT NULL default '',
  `language_id` int(11) unsigned NOT NULL default '1'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

 DROP TABLE IF EXISTS quick_links;
 CREATE TABLE quick_links (
  `links_id` int(11) NOT NULL auto_increment,
  `login_group_id` int(11) default '0',
  `filename` varchar(255) default NULL,
  `params` varchar(255) NOT NULL default '',
  `count` int(11) NOT NULL default '0',
  `title` text,
  `sort_order` int(11) NOT NULL default '0',
  PRIMARY KEY  (`links_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



DROP TABLE IF EXISTS `admin_files`;
CREATE TABLE admin_files (
  admin_files_id int(11) NOT NULL auto_increment,
  admin_files_name varchar(64) NOT NULL default '',
  admin_files_is_boxes tinyint(5) NOT NULL default '0',
  admin_files_to_boxes int(11) NOT NULL default '0',
  admin_groups_id varchar(255) NOT NULL default '1',
  admin_files_type varchar(1) NOT NULL default 'D',
  admin_files_help_id varchar(1) NOT NULL default 'D',
  admin_new_group_id int(11) default NULL,
  PRIMARY KEY  (admin_files_id)
) ENGINE=MyISAM AUTO_INCREMENT=1157 DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS customers_basket_address;
CREATE TABLE `customers_basket_address` (
  `orders_id` int(11) NOT NULL default 0,
  `customers_id` int(11) NOT NULL default '0',
  `delivery_name` varchar(64) NOT NULL default '',
  `delivery_company` varchar(32) default NULL,
  `delivery_street_address` varchar(64) NOT NULL default '',
  `delivery_suburb` varchar(32) default NULL,
  `delivery_city` varchar(32) NOT NULL default '',
  `delivery_postcode` varchar(10) NOT NULL default '',
  `delivery_state` varchar(32) default NULL,
  `delivery_country` varchar(32) NOT NULL default '',
  `delivery_address_format_id` int(5) NOT NULL default '0',
  `billing_name` varchar(64) NOT NULL default '',
  `billing_company` varchar(32) default NULL,
  `billing_street_address` varchar(64) NOT NULL default '',
  `billing_suburb` varchar(32) default NULL,
  `billing_city` varchar(32) NOT NULL default '',
  `billing_postcode` varchar(10) NOT NULL default '',
  `billing_state` varchar(32) default NULL,
  `billing_country` varchar(32) NOT NULL default '',
  `billing_address_format_id` int(5) NOT NULL default '0',
  `customers_second_telephone` varchar(32) default NULL,
  `customers_second_email_address` varchar(96) default NULL,
  `customers_fax` varchar(32) default NULL,
  `customers_telephone` varchar(32) NOT NULL default '',
  `customers_email_address` varchar(96) NOT NULL default '',
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00'
);  


INSERT INTO admin_files VALUES (1146, 'reports', 0, 0, '1', 'D', 'D', NULL),
(1139, 'services', 0, 0, '1', 'D', 'D', NULL),
(1144, 'sales', 0, 0, '1', 'D', 'D', NULL),
(1138, 'events', 0, 0, '1', 'D', 'D', NULL),
(10, 'shop_admin_members.php', 1, 1, '1', 'D', 'D', 28),
(11, 'admin_files.php', 0, 1, '1', 'D', 'D', NULL),
(12, 'configuration.php', 0, 2, '1', 'D', 'D', NULL),
(13, 'products_create.php', 0, 3, '1', 'D', 'D', NULL),
(14, 'products_attributes.php', 1, 3, '1', 'D', 'D', 16),
(15, 'products_manufacturers.php', 0, 3, '1', 'D', 'D', NULL),
(16, 'products_reviews.php', 0, 3, '1', 'D', 'D', NULL),
(17, 'products_specials.php', 0, 3, '1', 'D', 'D', NULL),
(18, 'products_expected.php', 0, 3, '1', 'D', 'D', NULL),
(19, 'modules.php', 0, 4, '1', 'D', 'D', NULL),
(20, 'customers.php', 0, 5, '1', 'D', 'D', NULL),
(21, 'customers_orders.php', 0, 5, '1', 'D', 'D', NULL),
(22, 'shop_countries.php', 1, 6, '1', 'D', 'D', 28),
(23, 'shop_zones.php', 1, 6, '1', 'D', 'D', 28),
(24, 'shop_geo_zones.php', 1, 6, '1', 'D', 'D', 28),
(25, 'payment_tax_classes.php', 1, 6, '1', 'D', 'D', 30),
(26, 'payment_tax_rates.php', 1, 6, '1', 'D', 'D', 30),
(27, 'payment_currencies.php', 1, 7, '1', 'D', 'D', 30),
(28, 'shop_languages.php', 1, 7, '1', 'D', 'D', 28),
(29, 'shop_orders_status.php', 1, 7, '1', 'D', 'D', 28),
(30, 'reports_products_viewed.php', 1, 8, '1', 'D', 'D', 20),
(31, 'stats_products_purchased.php', 0, 8, '1', 'D', 'D', NULL),
(32, 'stats_customers.php', 0, 8, '1', 'D', 'D', NULL),
(33, 'shop_backup.php', 1, 9, '1', 'D', 'D', 28),
(34, 'banner_manager.php', 0, 9, '1', 'D', 'D', NULL),
(35, 'cache.php', 0, 9, '1', 'D', 'D', NULL),
(36, 'shop_define_language.php', 1, 9, '1', 'D', 'D', 28),
(37, 'shop_file_manager.php', 1, 9, '1', 'D', 'D', 28),
(38, 'mail.php', 0, 9, '1', 'D', 'D', NULL),
(39, 'marketing_newsletters.php', 0, 9, '1', 'D', 'D', NULL),
(40, 'server_info.php', 0, 9, '1', 'D', 'D', NULL),
(41, 'shop_whos_online.php', 1, 9, '1', 'D', 'D', 28),
(42, 'banner_statistics.php', 0, 9, '1', 'D', 'D', NULL),
(44, 'marketing_affiliate_affiliates.php', 1, 43, '1', 'D', 'D', 11),
(45, 'marketing_affiliate_clicks.php', 1, 43, '1', 'D', 'D', 11),
(46, 'marketing_affiliate_banners.php', 1, 43, '1', 'D', 'D', 11),
(47, 'marketing_affiliate_contact.php', 1, 43, '1', 'D', 'D', 11),
(48, 'marketing_affiliate_invoice.php', 1, 43, '1', 'D', 'D', 11),
(49, 'marketing_affiliate_payment.php', 1, 43, '1', 'D', 'D', 11),
(50, 'marketing_affiliate_popup_image.php', 1, 43, '1', 'D', 'D', 11),
(51, 'marketing_affiliate_sales.php', 1, 43, '1', 'D', 'D', 11),
(52, 'marketing_affiliate_statistics.php', 1, 43, '1', 'D', 'D', 11),
(53, 'marketing_affiliate_summary.php', 1, 43, '1', 'D', 'D', 11),
(1123, 'sales_gv_sent.php', 1, 1, '1', 'D', 'D', 26),
(1145, 'payment', 1, 0, '1', 'D', 'D', 30),
(63, 'sales_xsell_products.php', 0, 3, '1', 'D', 'D', NULL),
(64, 'products_easypopulate.php', 0, 3, '1', 'D', 'D', NULL),
(65, 'cms_mainpage.php', 0, 5, '1', 'D', 'D', NULL),
(66, 'customers_edit_orders.php', 1, 5, '1', 'D', 'D', 6),
(67, 'shop_infobox_configuration.php', 1, 173, '1', 'D', 'D', 28),
(69, 'sales_maker.php', 0, 3, '1', 'D', 'D', NULL),
(70, 'myaccount_update_account.php', 0, 1, '1', 'D', 'D', NULL),
(71, 'sales_coupon_listcategories.php', 1, 3, '1', 'D', 'D', 25),
(72, 'products_attributes_quick_popup.php', 1, 3, '1', 'D', 'D', 16),
(73, 'products_quick_popup.php', 0, 3, '1', 'D', 'D', NULL),
(75, 'cms_news_configuration.php', 1, 74, '1,6', 'D', 'D', 3),
(76, 'cms_news.php', 1, 74, '1,6', 'D', 'D', 3),
(77, 'cms_news_reviews.php', 1, 74, '1,6', 'D', 'D', 3),
(1120, 'sales_coupon.php', 1, 1, '1', 'D', 'D', 25),
(80, 'cms_faq.php', 1, 82, '1,6', 'D', 'D', 1),
(82, 'products_featured.php', 0, 3, '1', 'D', 'D', NULL),
(83, 'products_salemaker_info.php', 1, 3, '1', 'D', 'D', 17),
(84, 'customers_create_account_success.php', 1, 5, '1', 'D', 'D', 5),
(85, 'customers_create_account_process.php', 1, 5, '1', 'D', 'D', 5),
(86, 'create_order_new.php', 1, 5, '1', 'D', 'D', 7),
(87, 'customers_create.php', 1, 5, '1', 'D', 'D', 5),
(88, 'customers_create_order_process.php', 1, 5, '1', 'D', 'D', 5),
(89, 'reports_monthly_sales.php', 0, 8, '1', 'D', 'D', NULL),
(1142, 'cms', 0, 0, '1', 'D', 'D', NULL),
(1143, 'marketing', 0, 0, '1', 'D', 'D', NULL),
(95, 'events_create.php', 1, 92, '1', 'E', 'E', 9),
(96, 'events_booking.php', 0, 92, '1', 'E', 'E', NULL),
(97, 'events_pop_questions.php', 0, 92, '1', 'E', 'E', NULL),
(98, 'events_locations.php', 1, 92, '1', 'E', 'E', 9),
(99, 'events_options.php', 0, 92, '1', 'E', 'E', NULL),
(100, 'sales_events_discounts.php', 0, 92, '1', 'E', 'E', NULL),
(101, 'admin_letters.php', 0, 92, '1', 'E', 'E', NULL),
(102, 'events_waitlists.php', 0, 92, '1', 'E', 'R', NULL),
(103, 'marketing_events_messages.php', 1, 92, '1', 'E', 'M', 12),
(104, 'send_email.php', 0, 92, '1', 'E', 'M', NULL),
(105, 'marketing_events_sms_messages.php', 1, 92, '1', 'E', 'M', 12),
(106, 'send_sms_email.php', 0, 92, '1', 'E', 'M', NULL),
(107, 'events_copy_messages.php', 0, 92, '1', 'E', 'M', NULL),
(108, 'marketing_events_messages_log.php', 1, 92, '1', 'E', 'M', 12),
(109, 'events_bookings_search.php', 0, 93, '1', 'E', 'R', NULL),
(110, 'events_search_reservation_print.php', 1, 93, '1', 'E', 'R', 10),
(111, 'events_search_reservation_dated.php', 1, 93, '1', 'E', 'R', 10),
(112, 'events_search_reservation_print_dated.php', 1, 93, '1', 'E', 'R', 10),
(113, 'events_search_reservation_print_dated_pdf.php', 1, 93, '1', 'E', 'R', 10),
(114, 'events_search_reservation_print_pdf.php', 1, 93, '1', 'E', 'R', 10),
(115, 'events_refund_reservation.php', 1, 93, '1', 'E', 'R', 9),
(116, 'events_refund_confirm_reservation.php', 1, 93, '1', 'E', 'R', 9),
(117, 'events_refund_process.php', 1, 93, '1', 'E', 'R', 9),
(118, 'events_refund_success.php', 1, 93, '1', 'E', 'R', 9),
(119, 'events_withdraw_reservation.php', 1, 93, '1', 'E', 'R', 9),
(120, 'events_withdraw_process.php', 1, 93, '1', 'E', 'R', 9),
(121, 'events_move_reservations_confirm.php', 1, 93, '1', 'E', 'R', 9),
(122, 'events_move_reservations_process.php', 1, 93, '1', 'E', 'R', 9),
(125, 'events_pending_waitlist_payments.php', 1, 93, '1', 'E', 'O', 9),
(126, 'events_pending_waitlist_payments_confirm.php', 1, 93, '1', 'E', 'O', 9),
(127, 'events_pending_waitlist_payments_process.php', 1, 93, '1', 'E', 'O', 9),
(128, 'events_pending_waitlist_new_order.php', 1, 93, '1', 'E', 'O', 9),
(129, 'marketing_survey_events.php', 1, 93, '1', 'E', 'U', 15),
(130, 'events_surveys_edit.php', 1, 93, '1', 'E', 'U', 10),
(131, 'events_surveys_answer.php', 1, 93, '1', 'E', 'U', 10),
(132, 'events_surveys_process.php', 1, 93, '1', 'E', 'U', 10),
(133, 'events_copy_surveys.php', 0, 93, '1', 'E', 'U', NULL),
(134, 'events_browse.php', 0, 93, '1', 'E', 'E', NULL),
(135, 'events_instructors.php', 1, 94, '1', 'E', 'I', 9),
(136, 'events_instructors_options.php', 1, 94, '1', 'E', 'I', 9),
(137, 'events_instructor_view.php', 1, 94, '1', 'E', 'I', 9),
(138, 'payment_events.php', 1, 94, '1', 'E', 'I', 30),
(139, 'events_payments_detail.php', 0, 94, '1', 'E', 'I', NULL),
(140, 'events_instructor_messages.php', 1, 94, '1', 'E', 'I', 9),
(141, 'events_instructor_payments.php', 1, 94, '1', 'E', 'I', 9),
(142, 'events_admin_payments_detail.php', 1, 94, '1', 'E', 'I', 9),
(143, 'marketing_email_messages.php', 0, 1, '1', 'D', 'D', NULL),
(144, 'reports_events_progress.php', 1, 8, '1', 'E', 'P', 18),
(145, 'reports_events_birthday_list.php', 1, 8, '1', 'E', 'P', 18),
(146, 'reports_events_daily_reservations.php', 1, 8, '1', 'E', 'P', 18),
(147, 'reports_events_unpaid_payments.php', 1, 8, '1', 'E', 'P', 18),
(148, 'reports_events_call_centre_orders.php', 1, 8, '1', 'E', 'P', 18),
(149, 'reports_products_inventory.php', 1, 8, '1', 'E', 'P', 20),
(150, 'reports_events_customer_details.php', 1, 8, '1', 'E', 'P', 18),
(151, 'reports_events_non_returns.php', 1, 8, '1', 'E', 'P', 18),
(152, 'reports_events_attendees.php', 1, 8, '1', 'E', 'P', 18),
(153, 'reports_events_attendance_analysis.php', 1, 8, '1', 'E', 'P', 18),
(154, 'reports_events_mailing_labels.php', 1, 8, '1', 'E', 'P', 18),
(155, 'reports_sales_category.php', 1, 8, '1', 'E', 'P', 21),
(1147, 'shop', 1, 0, '1', 'D', 'D', 28),
(1152, 'reports_mainpage.php', 1, 8, '1', 'E', 'P', 21),
(157, 'reports_sales_products.php', 1, 8, '1', 'E', 'P', 21),
(158, 'reports_events_sales.php', 1, 8, '1', 'E', 'P', 18),
(159, 'reports_events_instructor_payments.php', 1, 8, '1', 'E', 'P', 18),
(160, 'reports_events_pending_payments.php', 1, 8, '1', 'E', 'P', 18),
(161, 'reports_events_waitlist.php', 1, 8, '1', 'E', 'P', 18),
(162, 'reports_events_surveys.php', 1, 8, '1', 'E', 'P', 19),
(163, 'reports_events_surveys_summary.php', 1, 8, '1', 'E', 'P', 19),
(164, 'reports_events_surveys_detail.php', 1, 8, '1', 'E', 'P', 19),
(165, 'reports_events_surveys_relation.php', 1, 8, '1', 'E', 'P', 19),
(166, 'customers_order_addevents.php', 1, 5, '1', 'E', 'O', 7),
(167, 'customers_edit_orders_confirm.php', 1, 5, '1', 'E', 'O', 6),
(168, 'customers_edit_orders_process.php', 1, 5, '1', 'E', 'O', 6),
(169, 'customers_checkout_payment.php', 1, 5, '1', 'E', 'O', 4),
(170, 'customers_checkout_process.php', 1, 5, '1', 'E', 'D', 4),
(171, 'customers_edit_orders_success.php', 1, 5, '1', 'E', 'O', 6),
(175, 'reports_events_viewed.php', 1, 8, '1', 'E', 'P', 18),
(1148, 'myaccount', 0, 0, '1', 'D', 'D', NULL),
(177, 'events_check_in.php', 0, 93, '1', 'D', 'D', NULL),
(1100, 'subscriptions_create.php', 1, 187, '1', 'D', 'D', 29),
(181, 'subscriptions_copy_messages.php', 1, 172, '1', 'D', 'D', 29),
(182, 'customers_subscription_groups.php', 0, 5, '1', 'D', 'D', NULL),
(183, 'reports_subscription_viewed.php', 1, 8, '1', 'E', 'P', 24),
(184, 'reports_subscriptions_sales.php', 1, 8, '1', 'E', 'P', 24),
(185, 'reports_subscription_unpaid_payments.php', 1, 8, '1', 'E', 'P', 24),
(186, 'reports_sales_subscriptions.php', 1, 8, '1', 'E', 'P', 21),
(1140, 'products', 0, 0, '1', 'D', 'D', NULL),
(188, 'reports_subscription_details.php', 1, 8, '1', 'E', 'P', 24),
(189, 'reports_subscription_renewals.php', 1, 8, '1', 'E', 'P', 24),
(190, 'reports_subscription_non_renewals.php', 1, 8, '1', 'E', 'P', 24),
(191, 'reports_subscription_monthlysales.php', 1, 8, '1', 'E', 'P', 24),
(192, 'subscriptions_send_email.php', 1, 172, '1', 'E', 'B', 29),
(193, 'reports_subscription_packing_slip.php', 1, 8, '1', 'E', 'P', 24),
(194, 'events_preview_tickets.php', 1, 92, '1', 'D', 'D', 9),
(195, 'events_preview_idcards.php', 1, 92, '1', 'D', 'D', 9),
(196, 'reports_event_tickets.php', 1, 8, '1', 'D', 'D', 18),
(197, 'reports_events_idcards.php', 1, 8, '1', 'D', 'D', 18),
(198, 'events_ticket.php', 0, 5, '1', 'D', 'D', NULL),
(199, 'events_id_card.php', 0, 5, '1', 'D', 'D', 9),
(200, 'payment_general_templates.php', 1, 92, '1', 'D', 'D', 30),
(201, 'customers_groups.php', 0, 5, '1', 'D', 'D', NULL),
(1119, 'reports_wallet.php', 0, 1, '1', 'D', 'D', NULL),
(1104, 'marketing_wallet.php', 0, 1, '1', 'D', 'D', NULL),
(204, 'customers_payment_wallet.php', 0, 5, '1', 'D', 'D', NULL),
(205, 'customers_wallet_confirmation.php', 1, 5, '1', 'D', 'D', 8),
(206, 'customers_wallet_process.php', 1, 5, '1', 'D', 'D', 8),
(207, 'customers_wallet_success.php', 1, 5, '1', 'D', 'D', 8),
(208, 'marketing_survey_referrals.php', 1, 5, '1', 'D', 'D', 15),
(209, 'reports_sales_referral_sources.php', 1, 8, '1', 'E', 'P', 21),
(1118, 'cms_faq_reviews.php', 1, 1, '1,6', 'D', 'D', 1),
(1121, 'sales_gv_mail.php', 1, 1, '1', 'D', 'D', 26),
(1122, 'sales_gv_queue.php', 1, 1, '1', 'D', 'D', 26),
(218, 'marketing_survey_customer_options.php', 1, 5, '1', 'D', 'D', 15),
(221, 'marketing_seo.php', 0, 2, '1', 'D', 'D', NULL),
(222, 'reports_products_fulfiller.php', 1, 8, '1', 'D', 'D', 20),
(223, 'reports_products_fulfiller_mail_backorder.php', 1, 8, '1', 'D', 'D', 20),
(224, 'reports_products_invoice.php', 1, 8, '1', 'D', 'D', 20),
(225, 'reports_products_packslip.php', 1, 8, '1', 'D', 'D', 20),
(226, 'reports_products_pickpack.php', 1, 8, '1', 'D', 'D', 20),
(1135, 'products_easypopulate_functions.php', 0, 3, '1', 'D', 'D', NULL),
(228, 'products_freight.php', 0, 3, '1', 'D', 'D', NULL),
(229, 'reports_products_cart_drop.php', 1, 8, '1', 'D', 'D', 20),
(230, 'products_options.php', 0, 3, '1', 'D', 'D', NULL),
(231, 'marketing_products_message.php', 0, 3, '1', 'D', 'D', NULL),
(232, 'paypal_notify.php', 0, 5, '1', 'D', 'D', NULL),
(1000, 'services_mainpage.php', 1, 0, '1', 'D', 'D', 27),
(1001, 'services_create.php', 1, 1000, '1', 'D', 'D', 27),
(1002, 'services_categories.php', 1, 1000, '1', 'D', 'D', 27),
(1003, 'marketing_services_messages.php', 1, 1000, '1', 'D', 'D', 13),
(1004, 'send_services_email.php', 1, 1000, '1', 'D', 'D', 13),
(1005, 'services_copy_messages.php', 1, 1000, '1', 'D', 'D', 27),
(1006, 'marketing_services_sms_messages.php', 1, 1000, '1', 'D', 'D', 13),
(1007, 'reports_services_viewed.php', 1, 8, '1', 'D', 'D', 22),
(1008, 'reports_services_forsale.php', 1, 8, '1', 'D', 'D', 22),
(1009, 'marketing_survey_services.php', 1, 1000, '1', 'D', 'D', 15),
(1010, 'services_surveys_edit.php', 1, 1000, '1', 'D', 'D', 27),
(1011, 'reports_services_customer_details.php', 1, 8, '1', 'D', 'D', 22),
(1012, 'services_copy_surveys.php', 1, 1000, '1', 'D', 'D', 27),
(1013, 'services_attributes.php', 1, 1000, '1', 'D', 'D', 27),
(1014, 'services_bookings.php', 1, 8, '1', 'D', 'D', 27),
(1015, 'reports_services_non_returns.php', 1, 8, '1', 'D', 'D', 22),
(1016, 'reports_services_surveys.php', 1, 8, '1', 'D', 'D', 23),
(1017, 'reports_services_pending_orders.php', 1, 8, '1', 'D', 'D', 22),
(1018, 'reports_services_attendees.php', 1, 8, '1', 'D', 'D', 22),
(1019, 'reports_services_salesby_category.php', 1, 8, '1', 'D', 'D', 22),
(1020, 'reports_services_sales.php', 1, 8, '1', 'D', 'D', 22),
(1021, 'reports_services_monthly_salestax.php', 1, 8, '1', 'D', 'D', 22),
(1022, 'reports_services_provider_payments.php', 1, 8, '1', 'D', 'D', 22),
(1023, 'reports_services_idcarts.php', 1, 8, '1', 'D', 'D', 22),
(1024, 'reports_services_tickets.php', 1, 8, '1', 'D', 'D', 22),
(1025, 'customers_order_add_services.php', 1, 5, '1', 'D', 'D', 7),
(1026, 'services_id_card.php', 1, 8, '1', 'D', 'D', 27),
(1027, 'services_ticket.php', 1, 8, '1', 'D', 'D', 27),
(1028, 'payment_services_templates.php', 1, 1000, '1', 'D', 'D', 30),
(1029, 'services_resources.php', 1, 1000, '1', 'D', 'D', 27),
(1114, 'services_locations.php', 1, 1, '1', 'D', 'D', 27),
(1031, 'reports_services_util.php', 1, 0, '1', 'D', 'D', 22),
(1032, 'reports_services_bookings.php', 1, 8, '1', 'D', 'D', 22),
(1033, 'reports_services_callc_orders.php', 1, 8, '1', 'D', 'D', 22),
(1034, 'reports_services_surveys_summary.php', 1, 8, '1', 'D', 'D', 23),
(1035, 'reports_services_surveys_crosstab.php', 1, 8, '1', 'D', 'D', 23),
(1036, 'reports_services_surveys_detail.php', 1, 8, '1', 'D', 'D', 23),
(1037, 'reports_services_surveys_relation.php', 1, 8, '1', 'D', 'D', 23),
(1038, 'send_service_sms_email.php', 1, 96, '1', 'D', 'D', 13),
(1039, 'services_options.php', 1, 1000, '1', 'D', 'D', 27),
(1040, 'send_services_messages_script_new.php', 0, 1000, '1', 'D', 'D', NULL),
(1041, 'marketing_services_messages_log.php', 1, 1000, '1', 'D', 'D', 13),
(1042, 'services_send_messages.php', 1, 1000, '1', 'D', 'D', 27),
(1043, 'services_send_sms_messages.php', 1, 1000, '1', 'D', 'D', 27),
(1044, 'services_send_sms_messages.php', 0, 1000, '1', 'D', 'D', 0),
(1045, 'services_bookings.php', 1, 1000, '1', 'D', 'D', 27),
(1047, 'reports_services_resources_view.php', 1, 8, '1', 'D', 'D', 22),
(1050, 'services_move_bookings_confirm.php', 1, 1000, '1', 'D', 'D', 27),
(1051, 'reports_products_reconciliation.php', 1, 8, '1', 'D', 'D', 20),
(1052, 'shop_compat_test.php', 1, 9, '1', 'D', 'D', 28),
(1053, 'customers_checkout_virtualpay_result.php', 1, 0, '1', 'D', 'D', 4),
(1054, 'customers_checkout_commbank_result.php', 1, 1, '1', 'D', 'D', 4),
(1055, 'customers_checkout_westpac_result.php', 1, 0, '1', 'D', 'D', 4),
(1056, 'cms_level_pages_update.php', 1, 0, '1,6', 'D', 'D', 2),
(1057, 'cms_level_pages.php', 1, 0, '1,6', 'D', 'D', 2),
(1058, 'customers_order_addproducts.php', 1, 5, '1', 'D', 'D', 7),
(1059, 'customers_order_addsubscriptions.php', 1, 5, '1', 'D', 'D', 7),
(1060, 'reports_sales_direct_deposit.php', 1, 8, '1', 'D', 'D', 21),
(1065, 'customers_checkout_attendees.php', 1, 247, '1', 'D', 'D', 4),
(1066, 'paypalipn_txn.php', 0, 59, '1', 'D', 'D', NULL),
(1067, 'paypalipn_tests.php', 0, 59, '1', 'D', 'D', NULL),
(1069, 'search_links.php', 0, 0, '1', 'D', 'D', NULL),
(1071, 'send_subscription_sms_email.php', 0, 0, '1', 'D', 'D', 14),
(1078, 'reports_general_customer_detail.php', 0, 8, '1', 'D', 'D', NULL),
(1137, 'customers', 0, 0, '1', 'D', 'D', NULL),
(1083, 'reports_general_call_center_orders.php', 0, 8, '1', 'D', 'D', NULL),
(1141, 'subscriptions', 1, 0, '1', 'D', 'D', 29),
(1085, 'language_tool.php', 1, 1, '1', 'D', 'D', NULL),
(1087, 'language_admin.php', 0, 9, '1', 'D', 'D', NULL),
(1089, 'reports_events_surveys_crosstab.php', 1, 8, '1', 'D', 'D', 19),
(1090, 'reports_events_surveys_file.php', 1, 8, '1', 'D', 'D', 19),
(1091, 'site_settings.php', 0, 1, '1', 'D', 'D', NULL),
(1092, 'configuration_new.php', 0, 2, '1', 'D', 'D', NULL),
(1093, 'quick_links.php', 0, 2, '1', 'D', 'D', NULL),
(1094, 'customers_mainpage.php', 0, 0, '1', 'D', 'D', NULL),
(1113, 'menus.php', 0, 1, '1', 'D', 'D', NULL),
(1096, 'products_mainpage.php', 0, 3, '1', 'D', 'D', NULL),
(1097, 'configuration_mainpage.php', 1, 0, '1', 'D', 'D', NULL),
(1098, 'events_mainpage.php', 0, 3, '1', 'D', 'D', NULL),
(1099, 'subscriptions_mainpage.php', 1, 3, '1', 'D', 'D', 29),
(1101, 'services_mainpage.php', 1, 1000, '1', 'D', 'D', 27),
(1103, 'cms_homepage.php', 0, 1, '1', 'D', 'D', NULL),
(1105, 'marketing_subscription_messages.php', 1, 1, '1', 'D', 'D', 14),
(1107, 'marketing_subscription_messages_logs.php', 1, 1, '1', 'D', 'D', 14),
(1108, 'marketing_subscription_sms_messages.php', 1, 1, '1', 'D', 'D', 14),
(1117, 'cms_faq_configuration.php', 1, 1, '1,6', 'D', 'D', 1),
(1110, 'shop_template_configuration.php', 1, 1, '1', 'D', 'D', 28),
(1126, 'customers_checkout_paypalipn.php', 1, 5, '1', 'E', 'D', 4),
(1127, 'sales_coupon_listeventcategories.php', 1, 3, '1', 'D', 'D', 25),
(1128, 'sales_coupon_listevents.php', 1, 3, '1', 'D', 'D', 25),
(1129, 'sales_coupon_listproducts.php', 1, 3, '1', 'D', 'D', 25),
(1130, 'sales_coupon_listservice.php', 1, 3, '1', 'D', 'D', 25),
(1131, 'sales_coupon_listservicecategories.php', 1, 3, '1', 'D', 'D', 25),
(1132, 'sales_coupon_listsubcategories.php', 1, 3, '1', 'D', 'D', 25),
(1133, 'sales_coupon_listsubscription.php', 1, 3, '1', 'D', 'D', 25),
(1136, 'products_salemaker.php', 1, 3, '1', 'D', 'D', 17),
(1149, 'customers_checkout_cs_result.php', 1, 0, '1', 'D', 'D', 1),
(1150, 'customers_mainpage_real.php', 1, 0, '1', 'D', 'D', NULL),
(1151, 'customers_packingslip.php', 1, 0, '1', 'D', 'D', 5),
(1153, 'marketing_affiliate_emarketing.php', 1, 1, '1', 'D', 'D', NULL),
(1154, 'shop_admin_groups_file_permission.php', 1, 0, '1', 'D', 'D', 28),
(1155, 'marketing_affiliate_commission.php', 1, 1, '1', 'D', 'D', NULL),
(1156, 'marketing_affiliate_commission.php', 1, 1, '1', 'D', 'D', NULL);



INSERT INTO admin_files_groups VALUES (1, 'cms_faq', NULL, '1'),
(2, 'cms_level', NULL, '1'),
(3, 'cms_news', NULL, '1'),
(4, 'customers_checkout', NULL, '1'),
(5, 'customers_create', NULL, '1'),
(6, 'customers_edit_orders', NULL, '1'),
(7, 'customers_order', NULL, '1'),
(8, 'customers_wallet', NULL, '1'),
(9, 'events', NULL, '1'),
(10, 'events_search', NULL, '1'),
(11, 'marketing_affiliate', NULL, '1'),
(12, 'marketing_events', NULL, '1'),
(13, 'marketing_services', NULL, '1'),
(14, 'marketing_subscription', NULL, '1'),
(15, 'marketing_survey', NULL, '1'),
(16, 'products_attributes', NULL, '1'),
(17, 'products_salemaker', NULL, '1'),
(18, 'reports_events', NULL, '1'),
(19, 'reports_events_survey', NULL, '1'),
(20, 'reports_products', NULL, '1'),
(21, 'reports_sales', NULL, '1'),
(22, 'reports_services', NULL, '1'),
(23, 'reports_services_survey', NULL, '1'),
(24, 'reports_subscription', NULL, '1'),
(25, 'sales_coupon', NULL, '1'),
(26, 'sales_giftvoucher', NULL, '1'),
(27, 'services', NULL, '1'),
(28, 'shop', NULL, '1'),
(29, 'subscriptions', NULL, '1'),
(30, 'payment', NULL, '1');


INSERT INTO `admin_menus` (`menu_id`, `parent_id`, `admin_groups_id`, `menu_pos`, `filename`, `params`, `menu_item_type`) VALUES 
  (1,0,'1',1,'customers_mainpage.php','',''),
  (2,0,'1',2,'events_mainpage.php','','E'),
  (3,0,'1',3,'services_mainpage.php','','V'),
  (4,0,'1',4,'products_mainpage.php','','P'),
  (5,0,'1',5,'subscriptions_mainpage.php','','S'),
  (6,0,'1',6,'cms_homepage.php','',''),
  (7,0,'1',7,'','',''),
  (8,0,'1',8,'','',''),
  (9,0,'1',9,'','',''),
  (10,0,'1',10,'reports_mainpage.php','',''),
  (11,0,'1',11,'','',''),
  (12,0,'1',12,'myaccount_update_account.php','',''),
  (13,1,'1',13,'customers_create.php','',''),
  (14,1,'1',14,'create_order_new.php','',''),
  (15,1,'1',15,'configuration.php','',''),
  (16,15,'1',16,'customers_groups.php','',''),
  (17,15,'1',17,'customers_subscription_groups.php','','S'),
  (19,2,'1',19,'events_check_in.php','','E'),
  (20,2,'1',20,'events_mainpage.php','',''),
  (21,2,'1',21,'events_bookings_search.php','','E'),
  (22,2,'1',22,'events_waitlists.php','','E'),
  (23,2,'1',23,'events_locations.php','','E'),
  (24,2,'1',24,'events_instructors.php','tests',''),
  (25,2,'1',25,'configuration.php','gID=915','E'),
  (26,20,'1',26,'events_create.php','$ecPath&action=new_event','E'),
  (27,24,'1',27,'events_instructor_messages.php','','E'),
  (28,24,'1',27,'events_instructors_options.php','','E'),
  (29,24,'1',29,'events_instructor_view.php','','E'),
  (30,25,'1',30,'events_pop_questions.php','',''),
  (31,3,'1',31,'services_create.php','',''),
  (32,3,'1',32,'services_resources.php','','V'),
  (33,3,'1',33,'services_locations.php','','V'),
  (34,3,'1',34,'services_attributes.php','','V'),
  (35,3,'1',35,'services_bookings.php','','V'),
  (36,31,'1',36,'services_create.php','$secPath&action=new_service','V'),
  (37,4,'1',1,'products_mainpage.php','','P'),
  (38,4,'1',2,'products_attributes.php','','P'),
  (39,4,'1',3,'products_manufacturers.php','','P'),
  (40,4,'1',4,'modules.php','set=shipping',''),
  (41,4,'1',5,'modules.php','set=fulfiller',''),
  (42,4,'1',6,'products_reviews.php','','P'),
  (43,4,'1',8,'products_specials.php','','P'),
  (44,4,'1',9,'products_expected.php','','P'),
  (45,4,'1',10,'products_easypopulate.php','',''),
  (46,4,'1',11,'configuration.php','',''),
  (47,37,'1',1,'products_create.php','$cPath&action=new_product','P'),
  (180,4,'1',180,'products_featured.php','',''),
  (179,40,'1',1,'configuration.php','',''),
  (51,5,'1',51,'subscriptions_mainpage.php','',''),
  (52,51,'1',52,'subscriptions_create.php','$sucPath&action=new_subscription','S'),
  (53,6,'1',1,'cms_mainpage.php','',''),
  (54,6,'1',54,'cms_level_pages.php','level=1',''),
  (55,6,'1',55,'cms_level_pages.php','level=2',''),
  (56,6,'1',56,'','',''),
  (58,7,'1',58,'marketing_email_messages.php','',''),
  (59,7,'1',59,'configuration.php','',''),
  (60,7,'1',60,'configuration.php','',''),
  (61,7,'1',61,'configuration.php','',''),
  (62,7,'1',62,'marketing_affiliate_affiliates.php','',''),
  (63,7,'1',63,'marketing_seo.php','',''),
  (200,7,'1',200,'marketing_wallet.php','',''),
  (65,7,'1',65,'marketing_newsletters.php','',''),
  (67,59,'1',2,'marketing_survey_events.php','','E'),
  (68,59,'1',3,'marketing_survey_services.php','','V'),
  (69,60,'1',69,'marketing_events_messages.php','','E'),
  (70,60,'1',70,'marketing_services_messages.php','','V'),
  (71,60,'1',71,'marketing_products_message.php','','P'),
  (72,60,'1',72,'marketing_subscription_messages.php','','S'),
  (73,60,'1',73,'configuration.php','',''),
  (75,61,'1',1,'configuration.php','',''),
  (76,61,'1',2,'marketing_events_sms_messages.php','','E'),
  (77,61,'1',77,'marketing_services_sms_messages.php','',''),
  (78,61,'1',4,'marketing_subscription_sms_messages.php','','S'),
  (79,62,'1',79,'configuration.php','',''),
  (185,62,'1',2,'marketing_affiliate_payment.php','',''),
  (184,62,'1',1,'marketing_affiliate_summary.php','',''),
  (182,61,'1',5,'modules.php','set=sms',''),
  (85,8,'1',85,'','',''),
  (86,8,'1',86,'','','P'),
  (87,8,'1',87,'sales_coupon.php','',''),
  (88,85,'1',88,'sales_events_discounts.php','','E'),
  (89,85,'1',89,'sales_maker.php','','P'),
  (247,86,'1',247,'sales_xsell_products.php','type=S','S'),
  (91,9,'1',91,'modules.php','set=payment',''),
  (93,9,'1',93,'configuration.php','',''),
  (94,9,'1',94,'payment_currencies.php','',''),
  (95,9,'1',95,'','',''),
  (96,9,'1',96,'','',''),
  (97,9,'1',99,'','',''),
  (98,95,'1',98,'payment_general_templates.php','action=create_template&type=TIC','E'),
  (99,95,'1',99,'payment_services_templates.php','action=create_template&type=TICS','V'),
  (100,96,'1',100,'payment_general_templates.php','action=create_template&type=ICD','E'),
  (101,96,'1',101,'payment_services_templates.php','action=create_template&type=ICDS','V'),
  (102,10,'1',102,'','',''),
  (103,10,'1',103,'','','E'),
  (104,10,'1',104,'','','P'),
  (105,10,'1',105,'','','V'),
  (106,10,'1',106,'','','S'),
  (107,10,'1',107,'','',''),
  (108,102,'1',108,'reports_sales_products.php','',''),
  (109,102,'1',109,'reports_sales_referral_sources.php','',''),
  (110,102,'1',110,'reports_sales_direct_deposit.php','',''),
  (111,103,'1',111,'reports_events_surveys_summary.php','','E'),
  (112,103,'1',112,'reports_events_viewed.php','','E'),
  (113,103,'1',113,'reports_events_waitlist.php','','E'),
  (114,103,'1',114,'reports_events_progress.php','','E'),
  (115,103,'1',115,'reports_events_birthday_list.php','','E'),
  (116,103,'1',116,'reports_events_daily_reservations.php','','E'),
  (117,103,'1',117,'reports_events_unpaid_payments.php','','E'),
  (118,103,'1',118,'reports_events_call_centre_orders.php','','E'),
  (119,103,'1',119,'reports_events_customer_details.php','','E'),
  (120,103,'1',120,'reports_events_non_returns.php','','E'),
  (121,103,'1',121,'reports_events_attendees.php','','E'),
  (122,103,'1',122,'reports_events_attendance_analysis.php','','E'),
  (123,103,'1',123,'reports_events_mailing_labels.php','','E'),
  (124,103,'1',124,'reports_events_instructor_payments.php','','E'),
  (125,103,'1',125,'reports_events_pending_payments.php','','E'),
  (126,103,'1',126,'reports_event_tickets.php','','E'),
  (127,103,'1',127,'reports_events_idcards.php','','E'),
  (128,104,'1',128,'reports_products_viewed.php','','P'),
  (129,104,'1',129,'reports_products_inventory.php','','P'),
  (130,104,'1',130,'reports_products_cart_drop.php','','P'),
  (131,104,'1',131,'reports_products_fulfiller.php','','P'),
  (132,105,'1',132,'reports_services_bookings.php','','V'),
  (133,105,'1',133,'reports_services_attendees.php','','V'),
  (134,105,'1',134,'reports_services_util.php','','V'),
  (135,105,'1',135,'reports_services_surveys_summary.php','','V'),
  (136,105,'1',136,'reports_services_viewed.php','','V'),
  (137,105,'1',137,'reports_services_forsale.php','','V'),
  (138,105,'1',138,'reports_services_pending_orders.php','','V'),
  (139,105,'1',139,'reports_services_callc_orders.php','','V'),
  (140,105,'1',140,'reports_services_customer_details.php','','V'),
  (141,105,'1',141,'reports_services_non_returns.php','','V'),
  (142,105,'1',142,'reports_services_resources_view.php','','V'),
  (143,105,'1',143,'reports_services_idcarts.php','','V'),
  (144,105,'1',144,'reports_services_tickets.php','','V'),
  (145,106,'1',145,'reports_subscription_details.php','','S'),
  (146,106,'1',146,'reports_subscription_renewals.php','','S'),
  (147,106,'1',147,'reports_subscription_non_renewals.php','','S'),
  (148,106,'1',148,'reports_subscription_viewed.php','','S'),
  (149,106,'1',149,'reports_subscription_unpaid_payments.php','','S'),
  (150,106,'1',150,'reports_subscription_packing_slip.php','','S'),
  (151,107,'1',151,'reports_wallet.php','',''),
  (152,11,'1',152,'configuration.php','',''),
  (153,11,'1',153,'shop_template_configuration.php','',''),
  (154,11,'1',154,'shop_zones.php','',''),
  (155,11,'1',155,'configuration.php','',''),
  (156,11,'1',156,'shop_languages.php','',''),
  (157,11,'1',157,'shop_file_manager.php','',''),
  (158,11,'1',158,'shop_admin_members.php','',''),
  (159,11,'1',159,'configuration.php','',''),
  (160,11,'1',160,'configuration.php','',''),
  (161,155,'1',161,'configuration.php','',''),
  (162,159,'1',162,'configuration.php','',''),
  (163,159,'1',163,'configuration.php','',''),
  (165,160,'1',2,'configuration.php','gID=2',''),
  (166,160,'1',3,'configuration.php','',''),
  (168,160,'1',6,'configuration.php','',''),
  (169,160,'1',7,'configuration.php','',''),
  (170,160,'1',170,'configuration.php','',''),
  (171,160,'1',10,'shop_backup.php','',''),
  (172,160,'1',11,'shop_whos_online.php','',''),
  (173,160,'1',12,'shop_compat_test.php','',''),
  (183,12,'1',1,'myaccount_update_account.php','action=check_account',''),
  (176,11,'1',176,'account.php','',''),
  (201,93,'1',1,'shop_geo_zones.php','',''),
  (223,7,'1',223,'marketing_events_messages_log.php','',''),
  (178,2,'1',177,'events_pending_waitlist_payments.php','','E'),
  (186,62,'1',3,'marketing_affiliate_sales.php','',''),
  (187,62,'1',4,'marketing_affiliate_clicks.php','',''),
  (188,62,'1',5,'marketing_affiliate_banners.php','',''),
  (189,62,'1',6,'marketing_affiliate_contact.php','',''),
  (190,87,'1',1,'sales_gv_queue.php','',''),
  (191,87,'1',2,'sales_gv_mail.php','',''),
  (192,87,'1',3,'sales_gv_sent.php','',''),
  (194,46,'1',1,'configuration.php','',''),
  (195,46,'1',2,'configuration.php','',''),
  (196,46,'1',3,'configuration.php','',''),
  (197,59,'1',4,'marketing_survey_referrals.php','',''),
  (198,59,'1',5,'marketing_survey_customer_options.php','type=O',''),
  (199,59,'1',6,'marketing_survey_customer_options.php','type=I',''),
  (202,93,'1',2,'payment_tax_classes.php','',''),
  (203,93,'1',2,'payment_tax_rates.php','',''),
  (204,46,'1',204,'configuration.php','',''),
  (208,97,'1',208,'configuration.php','',''),
  (207,97,'1',207,'modules.php','set=ordertotal',''),
  (209,160,'1',209,'configuration.php','',''),
  (210,56,'1',1,'cms_news.php','',''),
  (211,56,'1',2,'cms_news_reviews.php','',''),
  (212,56,'1',3,'cms_news_configuration.php','gID=3',''),
  (213,56,'1',5,'cms_news_configuration.php','gID=2',''),
  (214,56,'1',6,'cms_news_configuration.php','gID=4',''),
  (215,56,'1',4,'cms_news_configuration.php','gID=1',''),
  (216,6,'1',216,'cms_faq.php','',''),
  (217,216,'1',1,'cms_faq_reviews.php','',''),
  (218,216,'1',2,'cms_faq_configuration.php','gID=1',''),
  (219,216,'1',5,'cms_faq_configuration.php','gID=2',''),
  (220,216,'1',4,'cms_faq_configuration.php','gID=3',''),
  (221,216,'1',4,'cms_faq_configuration.php','gID=4',''),
  (222,216,'1',6,'cms_faq_configuration.php','gID=5',''),
  (224,223,'1',1,'marketing_events_messages_log.php','','E'),
  (225,223,'1',2,'marketing_services_messages_log.php','','V'),
  (226,223,'1',3,'marketing_subscription_messages_logs.php','','S'),
  (227,11,'1',227,'shop_orders_status.php','',''),
  (228,11,'1',228,'quick_links.php','',''),
  (229,24,'1',229,'events_instructor_payments.php','','E'),
  (230,9,'1',97,'configuration.php','',''),
  (231,7,1,231,'configuration.php','',''),
  (232,8,1,1,'create_order_new.php','',''),
  (233,62,1,8,'marketing_affiliate_emarketing.php','action=new_message&type=FAQ',''),
  (234,62,1,9,'marketing_affiliate_emarketing.php','action=new_message&type=TRM',''),
  (235,62,1,10,'marketing_affiliate_emarketing.php','action=new_message&type=AIM',''),
  (236,153,1,2,'shop_infobox_configuration.php','','');

INSERT INTO `admin_menus_description` (`menu_id`, `menu_text`, `language_id`) VALUES 
  (1,'Customers',1),
  (2,'Events',1),
  (3,'Services',1),
  (4,'Products',1),
  (5,'Subscriptions',1),
  (6,'CMS',1),
  (7,'Marketing',1),
  (8,'Sales',1),
  (9,'Payment',1),
  (10,'Reports',1),
  (11,'Shop Settings',1),
  (12,'My Account',1),
  (13,'Create Customer',1),
  (14,'Create Order',1),
  (15,'Advanced',1),
  (16,'Customer Groups',1),
  (17,'Subscription Groups',1),
  (209,'Download',1),
  (19,'Check In',1),
  (20,'Manage Events',1),
  (21,'Bookings',1),
  (22,'Wait Lists',1),
  (23,'Locations',1),
  (24,'Instructors',1),
  (25,'Advanced',1),
  (26,'Create Event',1),
  (27,'Messages',1),
  (28,'Advanced',1),
  (29,'View Events',1),
  (30,'Custom Questions',1),
  (31,'Manage Services',1),
  (32,'Resources',1),
  (33,'Locations',1),
  (34,'Attributes',1),
  (35,'Bookings',1),
  (36,'Create Service',1),
  (37,'Manage Products',1),
  (38,'Attributes',1),
  (39,'Manufacturers',1),
  (40,'Shipping',1),
  (41,'Fulfillers',1),
  (42,'Reviews',1),
  (43,'Specials',1),
  (44,'Expected Products',1),
  (45,'Quick Uploads',1),
  (46,'Advanced',1),
  (47,'Create Product',1),
  (204,'Listing',1),
  (180,'Featured',1),
  (179,'Options',1),
  (51,'Manage Subscriptions',1),
  (52,'Create Subscription',1),
  (53,'Homepage',1),
  (54,'Level1',1),
  (55,'Level2',1),
  (56,'News',1),
  (58,'General',1),
  (59,'Surveys',1),
  (60,'eMarketing',1),
  (61,'SMS Marketing',1),
  (62,'Affiliates',1),
  (63,'SEO',1),
  (200,'Wallet',1),
  (65,'Newsletters',1),
  (203,'Rates',1),
  (67,'Events',1),
  (68,'Services',1),
  (69,'Events',1),
  (70,'Services',1),
  (71,'Products',1),
  (72,'Subscriptions',1),
  (202,'Classes',1),
  (76,'Events',1),
  (77,'Services',1),
  (78,'Subscriptions',1),
  (79,'Advanced',1),
  (188,'Banners',1),
  (187,'Clicks',1),
  (186,'Sales',1),
  (185,'Payment',1),
  (182,'SMS Gateways',1),
  (85,'Discounts',1),
  (86,'Cross Sales',1),
  (87,'Vouchers/Coupons',1),
  (88,'Events',1),
  (89,'Products',1),
  (90,'Products',1),
  (91,'Payment Gateways',1),
  (201,'Zones',1),
  (93,'Tax',1),
  (94,'Currencies',1),
  (95,'Tickets',1),
  (96,'ID Cards',1),
  (97,'Advanced',1),
  (98,'Events',1),
  (99,'Services',1),
  (100,'Events',1),
  (101,'Services',1),
  (102,'General',1),
  (103,'Events',1),
  (104,'Products',1),
  (105,'Services',1),
  (106,'Subscriptions',1),
  (107,'Wallet',1),
  (108,'Sales',1),
  (109,'Referral Sources',1),
  (110,'Bank Deposits',1),
  (111,'Surveys',1),
  (112,'Events Viewed',1),
  (113,'Waitlists',1),
  (114,'Events Progress',1),
  (115,'Birthday List',1),
  (116,'Daily Reservations',1),
  (117,'Unpaid Payments',1),
  (118,'Call Centre Orders',1),
  (119,'Customer Details',1),
  (120,'Events Non Returns',1),
  (121,'Events Attendees',1),
  (122,'Attendance Analysis',1),
  (123,'Mailing Labels',1),
  (124,'Instructor Payments',1),
  (125,'Pending Payments',1),
  (126,'Tickets',1),
  (127,'ID Cards',1),
  (128,'Products Viewed',1),
  (129,'Inventory',1),
  (130,'Dropped Cart',1),
  (131,'Fulfiller',1),
  (132,'Bookings',1),
  (133,'Services Attendees',1),
  (134,'Services Utilization',1),
  (135,'Surveys',1),
  (136,'Services Viewed',1),
  (137,'Services for sale',1),
  (138,'Pending Orders',1),
  (139,'Call Center Orders',1),
  (140,'Customer Details',1),
  (141,'Services Non Returns',1),
  (142,'Resources View',1),
  (143,'ID Cards',1),
  (144,'Tickets',1),
  (145,'Subscriptions',1),
  (146,'Renewals',1),
  (147,'Non Renewals',1),
  (148,'Subscription Viewed',1),
  (149,'Unpaid Payments',1),
  (150,'Packing Slip',1),
  (151,'Wallet Uploads',1),
  (152,'General',1),
  (153,'Template',1),
  (154,'Zones',1),
  (155,'Images',1),
  (156,'Languages',1),
  (157,'Files',1),
  (158,'Admin User Groups',1),
  (159,'Emergency Processes',1),
  (160,'Advanced',1),
  (161,'Advanced',1),
  (162,'Site Maintenance Wizard',1),
  (163,'Emergency Support',1),
  (223,'Logs',1),
  (165,'Values',1),
  (166,'Logging',1),
  (210,'Article Management',1),
  (168,'Sessions',1),
  (169,'Reports',1),
  (170,'HTMLArea',1),
  (171,'Backups',1),
  (172,'Who''s Online',1),
  (173,'Compatability Test',1),
  (184,'Summary',1),
  (183,'Update Account',1),
  (178,'Waitlist Payments',1),
  (189,'Contact',1),
  (190,'Gift Voucher Queue',1),
  (191,'Mail Gift Voucher',1),
  (192,'Gift Vouchers sent',1),
  (194,'Stock',1),
  (195,'Orders',1),
  (196,'GZip Compression',1),
  (197,'Customer Referral',1),
  (198,'Customer Occupation',1),
  (199,'Customer Interest',1),
  (208,'Wallet',1),
  (207,'Order Totals',1),
  (211,'Reviews Management',1),
  (212,'Reviews Settings',1),
  (213,'Frontpage Settings',1),
  (214,'Sticky Settings',1),
  (215,'Listing Settings',1),
  (216,'FAQ',1),
  (217,'Reviews Management',1),
  (218,'Listing Settings',1),
  (219,'Frontpage Settings',1),
  (220,'Reviews Settings',1),
  (221,'Sticky Settings',1),
  (222,'Other Settings',1),
  (224,'Events',1),
  (225,'Services',1),
  (226,'Subscriptions',1),
  (227,'Orders Status',1),
  (228,'Quick Links',1),
  (229,'Payments',1),
  (230,'General',1),
  (231,'Options',1),
  (232,'Create Order',1),
  (233,'FAQ',1),
  (234,'Terms',1),
  (235,'Information',1),
  (236,'Infoboxes',1),
  (247,'Subscription',1);

INSERT INTO `admin_menus` (`menu_id`, `parent_id`, `admin_groups_id`, `menu_pos`, `filename`, `params`, `menu_item_type`) VALUES 
(244, 97, '1', 244, 'configuration.php', '', '');

INSERT INTO `admin_menus_description` (`menu_id`, `menu_text`, `language_id`) VALUES 
(244, 'geoIP', 1); 

INSERT INTO `admin_menus` (`menu_id`, `parent_id`, `admin_groups_id`, `menu_pos`, `filename`, `params`, `menu_item_type`) VALUES 
(245, 158, '1', 245, 'shop_admin_groups_file_permission.php', '', '');

ALTER TABLE `events_attendees_confirm` MODIFY COLUMN `customers_paid_type` VARCHAR(64) COLLATE latin1_swedish_ci NOT NULL;

ALTER TABLE `events_refund_reservation` MODIFY COLUMN `payment_method` TEXT COLLATE latin1_swedish_ci;

ALTER TABLE `orders` ADD COLUMN `date_paid` DATETIME DEFAULT '0000-00-00 00:00:00';

ALTER TABLE `orders` ADD COLUMN `ip_address` VARCHAR(15);

ALTER TABLE `wallet_uploads` MODIFY COLUMN `payment_method` TEXT COLLATE latin1_swedish_ci;

ALTER TABLE `wallet_uploads` MODIFY COLUMN `payment_info` TEXT COLLATE latin1_swedish_ci;

ALTER TABLE `configuration_group` ADD COLUMN `configuration_access_key` VARCHAR(255);

update configuration_group set configuration_access_key ='Marketing eMarketing' where configuration_group_id='12';

update configuration_group set configuration_access_key ='Marketing SMS Marketing' where configuration_group_id='903';


Alter table affiliate_banners add flash_banner char(1) Not Null default 'N';

Alter table affiliate_banners add affiliate_flash_banner_width varchar(64) not null default '0';

Alter table affiliate_banners add affiliate_flash_banner_height varchar(64) not null default '0';

update affiliate_banners set affiliate_banners_title ='Freeway reservations 728*90',affiliate_banners_image='freeway_banner.swf',flash_banner='Y',affiliate_flash_banner_width='728',affiliate_flash_banner_height='90' where affiliate_banners_id='4';

update email_messages set message_text='<table width=\'100%\' cellspacing="0" cellpadding="0" border="0"><tbody><tr><td class="main" colspan="2">We hope this info answers the questions you have about the Freeway affiliate program.<br />If you have any questions please <a href="affiliate_contact.php" style="color:#0C67CD"> Contact Us </a> for more information.</td></tr><tr><td width="10" height="10" colspan="2"></td></tr><tr><td width="10" height="45"></td> <td class="main"><p><font size="4" color="#000000"><b>FrequentlyAsked Questions</b></font></p> <ul> <li><strong>Why does ZacWare use Commission Junction for their Affiliate Programme?</strong><font color="maroon">&nbsp;</font><a name="1"></a></li> <li><strong>How do I join the Freeway Affiliate Program? </strong><a name="2"></a></li> <li><strong>Why should I join the Affilate programme? </strong><a name="3"></a></li> <li><strong>What is the commission payout for the Freeway Affiliate Program powered by Commission Junction?</strong><a name="4"></a></li> <li><strong>Does the Affiliate programme have multiple tiers? </strong><a name="5"></a></li> <li><strong>Can I see a record of the clicks that come from my site? </strong><a name="6"></a></li> <li><strong>Is there a minimum commission value which must be reached before an Affiliate will be paid out? </strong><a name="7"></a></li> <li><strong>How are Affiliates paid? </strong><a name="8"></a></li> <li><strong>What is the cookie duration for the Freeway Affiliate Program? </strong><a name="9"></a></li> <li><strong>When will I get paid for affiliate commissions?</strong><a name="10" id="10"></a></li> <li><strong>How do I check reports on the Freeway Affiliate Program?  </strong><a name="11" id="11"></a></li> <li><strong>How much money do I have to earn before I am eligible to receive a check?</strong><a name="12" id="12"></a></li> <li><strong>Who do I contact if I have questions regarding the Freeway Affiliate Program? </strong><a name="13" id="13"></a></li> <li><strong>When How soon will my affiliate application be processed by Freeway?</strong><a name="14" id="14"></a></li> </ul> </td> </tr><tr><td width="10"></td><td><table width="100%" cellspacing="0" cellpadding="0" border="0"><tbody><tr> <td class="main"><strong>Why does ZacWare use Commission Junction for their Affiliate Programme?</strong><font color="maroon">&nbsp;</font></td> </tr><tr> <td class="main">ZacWare has chosen Commission Junction to manage our Affiliate Programme because of their size and scope. The affiliate features in Freeway are adequate for a smaller programme.</td> </tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#1" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"><strong>How do I join the Freeway Affiliate Program?  </strong></td> </tr><tr><td class="main">To join the Freeway Affiliate Program:</td></tr><tr><td class="main"><ol> <li> 1. Go to <a href="http://www.cj.com" style="color:#0C67CD">www.cj.com</a><br> 2. Create an affiliate account or login to your existing CJ affiliate account<br> 3. Click the Get Links Tab<br> 4. Enter &quot;cafepress&quot; in the search box<br> 5. Click &quot;Join&quot; to enroll in the CafePress Affiliate Program</li> </ol></td></tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#2" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"><strong>Why should I join the Affilate programme?  </strong></td> </tr><tr><td class="main">You can make money when your website visitors click through to the Freeway site and purchase support agreements. Simply add our banners to your site. Need any other reasons? .</td></tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#3" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"> <strong>What is the commission payout for the Freeway Affiliate Program powered by Commission Junction?</strong></td> </tr><tr> <td class="main">The base commission rate is 20%. Affiliates that generate greater than $10,000 / month in revenue should contact affiliate@zac-ware.com to learn if you qualify for a higher commission rate.</td> </tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#4" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"><strong>Does the Affiliate programme have multiple tiers? </strong></td> </tr><tr><td class="main">No, we only have one tier in our programme. </td></tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#5" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"><strong>Can I see a record of the clicks that come from my site? </strong></td> </tr><tr><td class="main">Yes, you can see your affiliate clickthroughs at any time. </td></tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#6" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"><strong>Is there a minimum commission value which must be reached before an Affiliate will be paid out? </strong></td> </tr><tr> <td class="main">Yes, an Affiliate must have reached $25.00 USD in commissions before the Affiliate will be paid out.</td> </tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#7" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"><strong>How are Affiliates paid? </strong></td> </tr><tr> <td class="main">Affiliates are paid via Cheque, Direct Bank deposits or PayPal. </td> </tr><tr><td class="main"><ul type="disc"><li>Real time tracking and reporting of affiliate sales and commissions.</li><li>Monthly payment </li><li>Flash and HTML banner availability. </li><li>Seasonal and holiday banner creative.</li></ul></td></tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#8" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"><strong>What is the cookie duration for the Freeway Affiliate Program? </strong></td> </tr><tr><td class="main">The cookie duration for the Freeway Affiliate Program 30 days. This means that you will earn a commission on orders for users you refer to Freeway that do not make a purchase immediately but return to the site within 30 days of the initial visit. If the visitor returns to Freeway via another affiliate link or a Freeway marketing campaign within that 30-day period, the most recent referrer earns credit for the sale. </td></tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#9" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"><strong>When will I get paid for affiliate commissions?</strong></td> </tr><tr> <td class="main">The Freeway transaction life cycle is 45 days.  This means orders and commissions reported in your affiliate account may potentially get reversed if an order is cancelled or returned within the 45 day life cycle period. After 45 days, the transaction &quot;locks&quot; for payment. Commission Junction is responsible for payment to affiliates and issues commission payments on the 20th of each month.</td> </tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#10" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"><strong>How do I check reports on the Freeway Affiliate Program?</strong></td> </tr><tr><td class="main"><ul type="circle"><li>Login to your affiliate account.</li><li>Review your reports </li> <li>If you have specific questions about reports available, please contact Freeway for help or email <a href="mailto:affiliate@zac-ware.com" style="color:#0C67CD">  affiliate@zac-ware.com</a></li> </ul></td></tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#11" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"><strong>How much money do I have to earn before I am eligible to receive a check?</strong></td> </tr><tr> <td class="main">You must earn $25 in your Commission Junction account before you can receive payment. Please check with Commission Junction if you have additional questions regarding payment.</td> </tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#12" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"><strong>Who do I contact if I have questions regarding the Freeway Affiliate Program? </strong></td> </tr><tr> <td class="main">Please email us at <a href="mailto:affiliate@zac-ware.com" style="color:#0C67CD">affiliate@zac-ware.com</a>  and we would be happy to help you with questions regarding joining the Freeway affiliate program. </td> </tr><tr> <td align="right" class="main"><a href="affiliate_faq.php#13" style="color:#0C67CD">top</a></td> </tr><tr> <td class="main"><strong>When How soon will my affiliate application be processed by Freeway?</strong></td> </tr><tr><td class="main">Due to our application review process, please allow 4-5 business days for your affiliate application to be processed. </td></tr><tr> <td align="right" class="main">&nbsp;</td> </tr></tbody></table></td></tr></tbody></table>' where message_type='FAQ';


INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES 
(NULL, 'GeoIP Service License key', 'GEOIP_LICENSE_KEY', '', 'GeoIP License ', 202, 1, '2007-06-22 20:03:42', '0000-00-00 00:00:00', NULL, NULL);

UPDATE `template` SET `template_name`= 'Freeway' WHERE `template_name`='osCommRes';

UPDATE `configuration` SET `configuration_value`= 'Freeway' WHERE `configuration_value`='osCommRes' and configuration_key='DEFAULT_TEMPLATE' ;

ALTER TABLE `configuration` MODIFY COLUMN `configuration_title` VARCHAR(255) COLLATE latin1_swedish_ci NOT NULL;

INSERT into sql_queries values('freeway_v1_0_1.sql',now());