<?php
/* 
	osCommerce, Open Source E-Commerce Solutions 
	http://www.oscommerce.com 
	
	Copyright (c) 2003 osCommerce 
	
	osCommRes, Services Oline 
	http://www.oscommres.com 
	Copyright (c) 2005 osCommRes 
	
	Freeway eCommerce 
	http://www.zac-ware.com/freeway 
	Copyright (c) 2007 ZacWare 
	
	Released under the GNU General Public License 
*/ 
  $https_www_address = str_replace('http://', 'https://', $HTTP_POST_VARS['HTTP_WWW_ADDRESS']);
  $current_step="config";
?>
<table width="100%" cellpadding="0" cellspacing="0">
<form name="install" action="install.php?step=6" method="post">
	<tr>
		<td>
		<?php echo osc_draw_box_start();?>
		<table width="100%" border="0" cellpadding="5">
			<tr>
				<td>
				<?php echo osc_title_bar('Please enter the secure web server information:');?>
				</td>
			</tr>
			<tr>
				<td>
				<table width="100%" border="0" cellpadding="2" class="formPage">
				  <tr>
					<td width="30%" valign="top">Secure WWW Address:</td>
					<td width="70%" class="smallDesc">
					  <?php echo osc_draw_input_field('HTTPS_WWW_ADDRESS', $https_www_address,'','size=50'); ?>
					  <img src="images/layout/help_icon.gif" onClick="toggleBox('httpsWWW');" align="absmiddle"><br>
					  <div id="httpsWWWSD">The full website address to the online store on the secure server</div>
					  <div id="httpsWWW" class="longDescription">The secure web address to the online store, for example <i>https://ssl.my-hosting-company.com/my_name/catalog/</i></div>
					</td>
				  </tr>
				  <tr>
					<td width="30%" valign="top">Secure Cookie Domain:</td>
					<td width="70%" class="smallDesc">
					  <?php echo osc_draw_input_field('HTTPS_COOKIE_DOMAIN', $HTTP_POST_VARS['HTTP_COOKIE_DOMAIN'],'','size=50'); ?>
					  <img src="images/layout/help_icon.gif" onClick="toggleBox('httpsCookieD');"  align="absmiddle"><br>
					  <div id="httpsCookieDSD">The secure domain to store cookies in</div>
					  <div id="httpsCookieD" class="longDescription">The full or top-level domain of the secure server to store the cookies in, for example <i>ssl.my-hosting-company.com</i></div>
					</td>
				  </tr>
				  <tr>
					<td width="30%" valign="top">Secure Cookie Path:</td>
					<td width="70%" class="smallDesc">
					  <?php echo osc_draw_input_field('HTTPS_COOKIE_PATH', $HTTP_POST_VARS['HTTP_COOKIE_PATH'],'','size=50'); ?>
					  <img src="images/layout/help_icon.gif" onClick="toggleBox('dbCookieP');"  align="absmiddle"><br>
					  <div id="dbCookiePSD">The secure path to store cookies under</div>
					  <div id="dbCookieP" class="longDescription">The web address of the secure server to limit the cookie to, for example <i>/my_name/catalog/</i></div>
					</td>
				  </tr>
				</table>
				</td>
			</tr>
		</table>
		<?php echo osc_draw_box_end();?>
		</td>
	</tr>
	<tr>
		<td>
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		  <tr>
			<td><a href="index.php"><img src="images/button_cancel.gif" border="0" alt="Cancel"></a></td>
			<td align="right"><input type="image" src="images/button_continue.gif" border="0" alt="Continue" class="imageButton"></td>
		  </tr>
		</table>
		</td>
	</tr>
<?php
  reset($HTTP_POST_VARS);
  while (list($key, $value) = each($HTTP_POST_VARS)) {
    if (($key != 'x') && ($key != 'y')) {
      if (is_array($value)) {
        for ($i=0; $i<sizeof($value); $i++) {
          echo osc_draw_hidden_field($key . '[]', $value[$i]);
        }
      } else {
        echo osc_draw_hidden_field($key, $value);
      }
    }
  }
?>
</form>
</table>
