
#
# Data for the `categories` table  
#

INSERT INTO `categories` (`categories_id`, `categories_image`, `parent_id`, `sort_order`, `date_added`, `last_modified`) VALUES 
  (1,'alb_tenology.jpg',0,1,'2007-04-26 17:35:17','0000-00-00'),
  (2,'colours_video.jpg',0,2,'2007-04-26 17:35:17','0000-00-00'),
  (3,'t_shirt.jpg',0,3,'2007-04-26 17:35:17','0000-00-00'),
  (4,'stubby_holder.jpg',0,4,'2007-04-26 17:35:17','0000-00-00');

#
# Data for the `categories_description` table  
#

INSERT INTO `categories_description` (`categories_id`, `language_id`, `categories_name`, `categories_heading_title`, `categories_description`) VALUES 
  (1,1,'CD','CD','All CD items'),
  (2,1,'DVD and Video','DVD and Video','All DVD and videos'),
  (3,1,'Clothes','Clothes','All Clothes'),
  (4,1,'Merchandise','Merchandise','All Merchandise');


#
# Data for the `products` table  
#

INSERT INTO `products` (`products_id`, `products_quantity`, `products_model`, `products_image_1`, `products_price`, `products_date_added`, `products_last_modified`, `products_date_available`, `products_weight`, `products_status`, `products_tax_class_id`, `manufacturers_id`, `products_ordered`, `products_image_2`, `products_image_3`, `products_image_4`, `products_image_5`, `products_title_1`, `products_title_2`, `products_title_3`, `products_title_4`, `products_title_5`, `products_sort_order`, `is_attributes`, `products_sku`, `author_name`) VALUES 
  (3,100,'','alb_tenology.jpg',28,'2007-04-26 17:35:26','0000-00-00','2007-04-26 17:35:26',0.2,1,2,0,0,'','','','',' Tenology CD','','','','',0,'N','',''),
  (4,100,'','colours_video.jpg',40,'2007-04-26 17:35:27','0000-00-00','2007-04-26 17:35:27',0.3,1,2,0,0,'','','','','Colours - The Video','','','','',0,'N','',''),
  (5,100,'','t_shirt.jpg',36.36,'2007-04-26 17:35:27','0000-00-00','2007-04-26 17:35:27',0.3,1,2,0,0,'','','','','Signed T-Shirt','','','','',0,'N','',''),
  (6,100,'','navy_blue_10_cap.jpg',30,'2007-04-26 17:35:26','0000-00-00','2007-04-26 17:35:26',0.2,1,2,0,0,'','','','','Blue 10 Cap','','','','',0,'N','',''),
  (7,100,'','larger_than_life.jpg',23.32,'2007-04-26 17:35:26','0000-00-00','2007-04-26 17:35:26',0.2,1,2,0,0,'','','','','Larger than Life CD','','','','',0,'N','',''),
  (8,100,'','ten_tenors.jpg',26.32,'2007-04-26 17:35:27','0000-00-00','2007-04-26 17:35:27',0.2,1,2,0,0,'','','','','Ten Tenors CD','','','','',0,'N','',''),
  (9,100,'','stubby_holder.jpg',6.5,'2007-04-26 17:35:27','0000-00-00','2007-04-26 17:35:27',0.1,1,2,0,0,'','','','','Stubby Holder','','','','',0,'N','',''),
  (10,100,'','larger_than_life.jpg',30.4,'2007-04-26 17:35:27','0000-00-00','2012-04-26',0.2,1,2,0,0,'','','','','Larger Than Life DVD','','','','',0,'N','',''),
  (11,100,'','untied.jpg',26.32,'2007-04-26 17:35:27','0000-00-00','2007-04-26 17:35:27',0.2,1,2,0,0,'','','','','Untied CD','','','','',0,'N','',''),
  (12,100,'','colours.jpg',26.32,'2007-04-26 17:35:27','0000-00-00','2007-04-26 17:35:27',0.2,1,2,0,0,'','','','','Colours CD','','','','',0,'N','',''),
  (13,100,'','tennorissimo.jpg',26.32,'2007-04-26 17:35:27','0000-00-00','2007-04-26 17:35:27',0.2,1,2,0,0,'','','','','Tennorissimo CD','','','','',0,'N','',''),
  (14,100,'','poster.jpg',30,'2007-04-26 17:35:27','0000-00-00','2007-04-26 17:35:27',0.2,1,2,0,0,'','','','','Signed Poster - Larger Than Life','','','','',0,'N','','');

#
# Data for the `products_attributes` table  
#

INSERT INTO `products_attributes` (`products_attributes_id`, `products_id`, `options_id`, `options_values_id`, `options_values_price`, `price_prefix`, `products_options_sort_order`, `product_attributes_one_time`, `products_attributes_weight`, `products_attributes_weight_prefix`, `products_attributes_units`, `products_attributes_units_price`) VALUES 
  (5,5,1,1,0,'+',1,0,0,'',0,0),
  (7,5,1,3,0,'+',3,0,0,'',0,0),
  (8,5,1,4,0,'+',4,0,0,'',0,0),
  (6,5,1,2,0,'+',2,0,0,'',0,0),
  (9,6,1,1,0,'',0,0,0,'',0,0),
  (10,6,1,2,0,'',0,0,0,'',0,0),
  (11,6,1,3,0,'',0,0,0,'',0,0),
  (12,7,2,5,3,'+',1,0,0,'',0,0),
  (13,7,2,6,0,'+',2,0,0,'',0,0);

#
# Data for the `products_attributes_download` table  
#

INSERT INTO `products_attributes_download` (`products_attributes_id`, `products_attributes_filename`, `products_attributes_maxdays`, `products_attributes_maxcount`) VALUES 
  (26,'unreal.zip',7,3);

#
# Data for the `products_description` table  
#

INSERT INTO `products_description` (`products_id`, `language_id`, `products_name`, `products_description`, `products_url`, `products_viewed`) VALUES 
  (1,1,'Tenology','<!--StartFragment -->&nbsp;<STRONG>Track Listings</STRONG><BR>\r\n<TABLE cellSpacing=0 cellPadding=0 width=\"100%\" border=0>\r\n<TBODY>\r\n<TR>\r\n<TD vAlign=top width=\"50%\"><FONT style=\"FONT: 11pt/16pt Arial,Helvetica; font-size-adjust: none; font-stretch: normal\">1. Water / Va Pensiero<BR>2. Italian Medley <BR>3. World Anthem <BR>4. The Way Away From You <BR>5. Sundance <BR>6. Stonde <BR>7. Mama <BR>8. Por una Cabeza <BR>9. Conquest of Paradise <BR>10. Cast In Stone <BR>11. Veni, Veni Emmanuel <BR></FONT></TD>\r\n<TD width=\"5%\"></TD>\r\n<TD vAlign=top width=\"45%\"><FONT style=\"FONT: 11pt/16pt Arial,Helvetica; font-size-adjust: none; font-stretch: normal\"><STRONG>Bonus Tracks</STRONG><BR>1. Opera Without the Boring Bits (live) <BR>2. Bohemian Rhapsody (live) <BR>3. Bicycle Race <BR></FONT></TD></TR></TBODY></TABLE><STRONG>Other Details<BR></STRONG><FONT style=\"FONT: 10pt/16pt Arial,Helvetica; font-size-adjust: none; font-stretch: normal\">- Compilation album featuring tracks from Colours, unTied, <BR>One is not enough and Larger than Life<BR>- Released in Australia July 29, 2005</FONT>','',0),
  (2,1,'Tenology','<!--StartFragment --><STRONG>&nbsp;Track Listings</STRONG><BR>\r\n<TABLE cellSpacing=0 cellPadding=0 width=\"100%\" border=0>\r\n<TBODY>\r\n<TR>\r\n<TD vAlign=top width=\"50%\"><FONT style=\"FONT: 11pt/16pt Arial,Helvetica; font-size-adjust: none; font-stretch: normal\">1. Water / Va Pensiero<BR>2. Italian Medley <BR>3. World Anthem <BR>4. The Way Away From You <BR>5. Sundance <BR>6. Stonde <BR>7. Mama <BR>8. Por una Cabeza <BR>9. Conquest of Paradise <BR>10. Cast In Stone <BR>11. Veni, Veni Emmanuel <BR></FONT></TD>\r\n<TD width=\"5%\"></TD>\r\n<TD vAlign=top width=\"45%\"><FONT style=\"FONT: 11pt/16pt Arial,Helvetica; font-size-adjust: none; font-stretch: normal\"><STRONG>Bonus Tracks</STRONG><BR>1. Opera Without the Boring Bits (live) <BR>2. Bohemian Rhapsody (live) <BR>3. Bicycle Race <BR></FONT></TD></TR></TBODY></TABLE><STRONG>Other Details</STRONG><BR><FONT style=\"FONT: 10pt/16pt Arial,Helvetica; font-size-adjust: none; font-stretch: normal\">- Compilation album featuring tracks from Colours, unTied, <BR>One is not enough and Larger than Life<BR>- Released in Australia July 29, 2005</FONT>','',0),
  (3,1,'Tenology CD','<P><FONT size=1></FONT><FONT size=1>Featuring a selection of The Ten Tenors favourites and original pieces from their previously released albums (Colours, unTied, One Is Not Enough, Larger Than Life). The album also features three bonus tracks, including their version of Queen???s classic song ???Bicycle Race??? that was specifically chosen by a German Television Network to coincide with their 2004 Tour de France coverage. </FONT></P>\r\n<TABLE cellPadding=5 width=\"100%\" border=0>\r\n<TBODY>\r\n<TR>\r\n<TD width=\"50%\"><FONT size=1>1. Water / Va Pensiero<BR>2. Italian Medley:<BR>&nbsp;&nbsp;&nbsp; Mattinata<BR>&nbsp;&nbsp;&nbsp; Santa Lucia <BR>&nbsp;&nbsp;&nbsp; Volare (Nel blu di pinto di blu)<BR>3. World Anthem<BR>4. The Way Away From You<BR>5. Sundance<BR>6. Stonde<BR>7. Mama<BR>8. Por una Cabeza<BR>9. Conquest of Paradise<BR>10. Cast In Stone<BR>11. Veni Veni Emmanuel<BR><STRONG>Bonus Tracks<BR></STRONG>1. Opera Without the Boring Bits (live):<BR>&nbsp;&nbsp;&nbsp; La donna ? mobile<BR>&nbsp;&nbsp;&nbsp; Che gelida manina<BR>&nbsp;&nbsp;&nbsp; Va Pensiero<BR>&nbsp;&nbsp;&nbsp; Largo al factotum<BR>2. Bohemian Rhapsody (live)<BR>3. Bicycle Race<BR>Total playing time ~ 54.30 </FONT><FONT style=\"FONT: 11pt/16pt Arial,Helvetica; font-size-adjust: none; font-stretch: normal\">&nbsp;</FONT><FONT size=1> \r\n<P>&nbsp;</P></FONT>\r\n<P></P></FONT></TD>\r\n<TD vAlign=top align=right width=\"50%\"></TD></TR></TBODY></TABLE>','',12),
  (4,1,'Colours - The Video','<P><FONT size=1></FONT><FONT size=1><FONT size=1>The Ten Tenors 3rd album. Released in 2000. Features 10 Tenors originals and other Australian favourites.</FONT></FONT></P>\r\n<P><FONT size=1><B>Please note that this VHS is only available in PAL format</B><BR>Last copies of \"Colours - The Video\" available internationally. Hurry before they are all sold.</FONT></P>\r\n<TABLE cellPadding=5 width=\"100%\" border=0>\r\n<TBODY>\r\n<TR>\r\n<TD width=\"50%\"><FONT size=1>1. Funiculi, Funicula<BR>2. Mama<BR>3. Girls Where Made to Love and Kiss <BR>4. The Colour of Your Voice<BR>5. Stayin'' Alive<BR>6. Intalian Mediley<BR>7. Rawhide<BR>8. Memory (Cats)<BR>9. New York, New York<BR>10. Brindisi (La Traviata)<BR>11. Musical Theatre Medley<BR>12. Bridge Over Troubled Water<BR>13. Music of the Night (Phantom of the Opera)<BR>14. French Opera Medley<BR>15. That''s Amore<BR>16. Nussum dorma! (Turandot)<BR>17. Danny Boy<BR>18. O Sole Mio</FONT></TD>\r\n<TD vAlign=top align=right width=\"50%\"></TD></TR></TBODY></TABLE>\r\n<P>&nbsp;</P>\r\n<P>&nbsp;</P>','',5),
  (5,1,'Signed T-Shirt','<P>&nbsp;</P>\r\n<TABLE cellPadding=5 width=\"100%\" border=0>\r\n<TBODY>\r\n<TR>\r\n<TD vAlign=top width=\"50%\"><FONT size=1>\r\n<P>\r\n<P><B><FONT size=1>Limited number of Signed T-shirts - Hurry, while stocks \r\nlast!</FONT></B></P>\r\n<P><FONT size=1>This 100% cotton (pre-shrunk) t-shirt, with The Ten Tenors logo \r\non both front and back has been signed by Dion Molinas, Liam McLachlan, David \r\nKidd, Craig Atkinson, Stewart Morris, Tod Strike, Jason Turnbull, Craig Hendry, \r\nShannon Brown &amp; Drew Graham.<BR><BR>Please note: As there are so few left \r\nand these are signed items, there will be no returns for incorrect size \r\nselection.</FONT> </P>\r\n<P></P></FONT></TD>\r\n<TD vAlign=top align=right width=\"50%\"></TD></TR></TBODY></TABLE>','',11),
  (6,1,'Blue 10 Cap','<P>&nbsp;</P>\r\n<TABLE cellPadding=5 width=\"100%\" border=0>\r\n<TBODY>\r\n<TR>\r\n<TD vAlign=top width=\"50%\"><FONT size=1>\r\n<P>This navy blue cap featuring The Ten Tenors ''10'' logo is the last remaining stock from their Spring 2005 USA tour. There are two ''flexifit'' sizes available. Numbers are limited so order while stocks last. </P></FONT></TD>\r\n<TD vAlign=top align=right width=\"50%\"></TD></TR></TBODY></TABLE>','',5),
  (7,1,'Larger than Life CD','<P><FONT size=1> Larger than Life features orginal music written especially for \r\n  The Ten Tenors, Ten Tenors orginals and includes a bonus ''live'' CD.</FONT></P>\r\n<table width=\"100%\" border=\"0\" cellpadding=\"5\">\r\n  <tr>\r\n    <td width=\"50%\"><FONT size=1>1. Water / Va Pensiero <BR>\r\n      2. Stonde <BR>\r\n      3. The Way Away From You <BR>\r\n      4. Angel <BR>\r\n      5. Por Una Cabeza <BR>\r\n      6. Together <BR>\r\n      7. Feet Lift Off The Ground <BR>\r\n      8. Cast In Stone <BR>\r\n      9. Sundance <BR>\r\n      10. World Anthem <BR>\r\n      11. Destiny Lies <BR>\r\n      12. Thunder Point <BR>\r\n      13. Burn for you <BR>\r\n      14. Conquest of Paradise <BR>\r\n      15. Bicycle Race <BR>\r\n      <BR>\r\n      Bonus Live CD <BR>\r\n      1.Funiculi Funicula <BR>\r\n      2. Granada <BR>\r\n      3. Bohemian Rhapsody <BR>\r\n      4. Bee Gees Medley <BR>\r\n      5. Opera Medley <BR>\r\n      6. Dancing Queen</FONT></td>\r\n    <td width=\"50%\" align=\"right\" valign=\"top\"></td>\r\n  </tr>\r\n</table>\r\n<P> <FONT size=1><B>Upgrade to the Special Edition for only A$3.00 extra, and \r\n  receive a bonus 7th track with the Ralph Siegel Medley</B></FONT> </P>','',9),
  (8,1,'Ten Tenors CD','<P><FONT size=1><STRONG>Special European version of Larger than Life</STRONG></FONT></P>\r\n<P><FONT size=1>Larger than Life features orginal music written especially for The Ten Tenors, Ten Tenors orginals and includes a bonus ''live'' CD which includes the Ralph Siegel Medley.</FONT></P>\r\n<TABLE cellPadding=5 width=\"100%\" border=0>\r\n<TBODY>\r\n<TR>\r\n<TD width=\"50%\"><FONT size=1>\r\n<P>1<FONT size=1>. Water / Va Pensiero <BR>2. Stonde <BR>3. The Way Away From You <BR>4. Angel <BR>5. Por Una Cabeza <BR>6. Together <BR>7. Feet Lift Off The Ground <BR>8. Cast In Stone <BR>9. Sundance <BR>10. World Anthem <BR>11. Destiny Lies <BR>12. Thunder Point <BR>13. Burn for you <BR>14. Conquest of Paradise <BR>15. Bicycle Race <BR><BR>Bonus Live CD <BR>1.Funiculi Funicula <BR>2. Granada <BR>3. Bohemian Rhapsody <BR>4. Bee Gees Medley <BR>5. Opera Medley <BR>6. Dancing Queen <BR>7. Ralph Siegel Medley</FONT></P></FONT></TD>\r\n<TD vAlign=top align=right width=\"50%\"></TD></TR></TBODY></TABLE>','',1),
  (9,1,'Stubby Holder','<!--StartFragment --><FONT size=1>&nbsp;Ten Tenors ''stubbie cooler'' for keeping drinks cool</FONT>','',4),
  (10,1,'Larger Than Life DVD','<P><FONT size=1> </FONT><FONT size=1><font size=1><b>Multi-regional (international) \r\n  format</b><br>\r\n  Classically trained tenors encouraging the audience to act like football fans? \r\n  That???s right! The entertaining public television special THE TEN TENORS: LARGER \r\n  THAN LIFE is a one-of-a-kind performance showcasing the group???s range and abilities. \r\n  The program features the cast of ten energetic and talented Australian tenors \r\n  who blend music and a sense of humour to produce a unique concert experience.</font></FONT></P>\r\n<TABLE cellPadding=5 width=\"100%\" border=0>\r\n  <TBODY>\r\n<TR>\r\n<TD width=\"50%\"><FONT size=1>\r\n        <P><FONT size=1>1. Funiculi Funicula <BR>\r\n          2. Italian medley:<BR>\r\n          &nbsp;&nbsp;&nbsp; Torna Surriento<BR>\r\n          &nbsp;&nbsp;&nbsp; La Danza<BR>\r\n          &nbsp;&nbsp;&nbsp; Core??? ngrato<BR>\r\n          &nbsp;&nbsp;&nbsp; Volare<BR>\r\n          3. Thunder Point <BR>\r\n          4. Nessun Dorma <BR>\r\n          5. Por una Cabeza <BR>\r\n          6. Opera medley:<BR>\r\n          &nbsp;&nbsp;&nbsp; La Donna ? Mobile (Rigoletto)<BR>\r\n          &nbsp;&nbsp;&nbsp; Che Gelida Manina (La Boheme)<BR>\r\n          &nbsp;&nbsp;&nbsp; Va Pensiero (Nabucco)<BR>\r\n          &nbsp;&nbsp;&nbsp; Largo al Factotum (The Barber of Seville) <BR>\r\n          7. Conquest of Paradise <BR>\r\n          8. Stonde <BR>\r\n          9. Water/Va Pensiero <BR>\r\n          10. Australian medley: Botany Bay; Moreton Bay; Waltzing Matilda<BR>\r\n          11. Rawhide <BR>\r\n          <BR>\r\n          Filmed at the Lyric Theatre, Queensland Performing Arts Complex, Brisbane, \r\n          Australia, 21 April, 2004. <BR>\r\n          Multi-regional (international) format</FONT></P>\r\n</FONT></TD>\r\n      <TD width=\"50%\" align=\"right\" valign=\"top\"></TD>\r\n    </TR></TBODY></TABLE>\r\n<P>&nbsp;</P>\r\n<P>&nbsp;</P>','',3),
  (11,1,'Untied CD','<P><FONT size=1></FONT><FONT size=1><FONT size=1>The Ten Tenors 3rd album. Released in 2000. Features 10 Tenors originals and other Australian favourites.</FONT></FONT></P>\r\n<TABLE cellPadding=5 width=\"100%\" border=0>\r\n<TBODY>\r\n<TR>\r\n<TD width=\"50%\"><FONT size=1>\r\n<P><FONT size=1>1. Rocket<BR>2. What Am I Waiting For?<BR>3. Bohemian Rhapsody <BR>4. Darlinghurst Road <BR>5. My Daughter <BR>6. Because of you <BR>7. Throw Your Arms Around Me <BR>8. Where do I go? <BR>9. Never (Just A Memory) <BR>10. Dancing Queen <BR>11. Australian Medley</FONT></P>\r\n<P>&nbsp;</P></FONT>\r\n<P></P></FONT></TD>\r\n<TD vAlign=top align=right width=\"50%\"></TD></TR></TBODY></TABLE>','',3),
  (12,1,'Colours CD','<P><FONT size=1>The Ten Tenors 2nd Album. Released in 1999. Featuring mix of well known songs from musicals, and contempory classics. </FONT></P>\r\n<TABLE cellPadding=5 width=\"100%\" border=0>\r\n<TBODY>\r\n<TR>\r\n<TD width=\"50%\"><FONT size=1>1. Mama <BR>2. Italian Medley <BR>3. The Colour of Your Voice <BR>4. My Heart and I <BR>5. Irish Medley <BR>6. The Way You Look Tonight <BR>7. Sit Down, You''re Rockin'' the Boat <BR>8. Musical Medley <BR>9. New York, New York <BR>10. Lullabye (Goodnight, My Angel) <BR>11. Bridge Over Troubled Water <BR>12. Rawhide <BR>13. Stayin'' Alive <BR>14. A Short Lesson In Opera <BR>15. Opera Medley</FONT></TD>\r\n<TD vAlign=top align=right width=\"50%\"></TD></TR></TBODY></TABLE>\r\n<P><FONT size=1></FONT></P>\r\n<P>&nbsp;</P>','',4),
  (13,1,'Tennorissimo CD','<P><FONT size=1> <font size=1>The Ten Tenors Debut Album. Released in 1998 . \r\n  Featuring a mix of opera favourite and tradional classics.</font> </FONT><font size=1>.</font></P>\r\n<table width=\"100%\" border=\"0\" cellpadding=\"5\">\r\n  <tr>\r\n    <td width=\"50%\"><FONT size=1> \r\n      <P><FONT size=1>1. Funiculi Funicula <BR>2. You Are My Hearts Delight <BR>3. \r\nGranada <BR>4. La Donna e Mobile <BR>5. Nessun Dorma <BR>6. Torna a Surriento \r\n<BR>7. O Sole Mio <BR>8. Girls Were Made To Love And Kiss <BR>9. Memory <BR>10. \r\nStranger In Paradise <BR>11. Love Changes Everything <BR>12. Danny Boy <BR>13. \r\nMusical Medley <BR>14. That''s Amore <BR>15. Calypso (Bonus Track)</FONT></P></FONT></P>\r\n</FONT></td>\r\n    <td width=\"50%\" align=\"right\" valign=\"top\"></td>\r\n  </tr>\r\n</table>','',2),
  (14,1,'Signed Poster - Larger Than Life','<P>&nbsp;</P>\r\n<TABLE cellPadding=5 width=\"100%\" border=0>\r\n<TBODY>\r\n<TR>\r\n      <TD vAlign=top width=\"50%\"><FONT size=1> \r\n        <P> \r\n        <P><B><FONT size=1>Limited number of Signed Posters - Hurry, while stocks \r\n          last!</FONT></B></P>\r\n        <P>This rare, collectable 2004 tour poster has been autographed by Liam \r\n          McLachlan, Tod Strike, Dion Molinas, Craig Atkinson, Craig Hendry, Stewart \r\n          Morris, Shannon Brown, David Kidd, Drew Graham, and Dom Smith. </P></P>\r\n        </FONT></TD>\r\n<TD vAlign=top align=right width=\"50%\"></TD></TR></TBODY></TABLE>','',4);


#
# Data for the `products_options_values_to_products_options` table  
#

INSERT INTO `products_options_values_to_products_options` (`products_options_values_to_products_options_id`, `products_options_id`, `products_options_values_id`) VALUES 
  (1,1,1),
  (2,1,2),
  (3,1,3),
  (4,1,4),
  (5,2,5),
  (6,2,6);

#
# Data for the `products_to_categories` table  
#

INSERT INTO `products_to_categories` (`products_id`, `categories_id`) VALUES 
  (3,1),
  (4,2),
  (5,3),
  (6,3),
  (7,1),
  (8,1),
  (9,4),
  (10,2),
  (11,1),
  (12,1),
  (13,1),
  (14,4);

#
# Data for the `events` table  
#

INSERT INTO `events` (`events_id`, `events_image`, `events_date_added`, `events_last_modified`, `events_date_available`, `events_status`, `sessions_start_date`, `sessions_end_date`, `events_tax_class_id`, `events_max_reserve`, `events_fees`, `events_start_time`, `events_end_time`, `events_instructor`, `events_backup_instructor`, `events_location`, `events_payment`, `refund_percentage1`, `refund_percentage2`, `refund_percentage3`, `events_wait_list`, `priority_vip`, `priority_firstcome`, `priority_custom`, `priority_question`, `sessions_select_count`, `sessions_select_interval`, `sessions_date_count`, `waitsize_vip`, `waitsize_firstcome`, `waitsize_custom`, `events_conditions`, `waitfee_vip`, `waitfee_firstcome`, `waitfee_custom`, `events_forward_period`, `events_forward_length`, `events_pending_period`, `events_renewal_start`, `events_renewal_end`, `session_gaps`, `session_reduction`, `session_style`, `instructors_rate_type`, `instructors_rate`, `instructors_base_rate`, `events_overbook_reserve`, `subscription_overbook_reserve`, `events_group_bookings`, `events_group_min`, `events_group_max`, `link_service`, `service_id`) VALUES 
  (1,'afl_grand_final_small.jpg','2007-04-26 17:36:12','0000-00-00','2007-04-26 17:36:12',1,'2007-04-26','2012-04-26',0,5,100,'20:00:00','22:00:00',2,2,1,'none',5,5,5,'N',0,0,0,0,1,1,15,0,1,1,'Add your conditions here',0,0,0,'N',0,0,'FLS',0,'N','N','S','GP',0,0,50,0,'N',0,0,'L',0),
  (2,'top.jpg','2007-04-26 17:36:12','0000-00-00','2007-04-26 17:36:12',1,'2007-04-26','2012-04-26',2,20,25,'19:00:00','20:00:00',2,2,3,'none',10,30,50,'Y',1,2,3,0,3,6,6,1,1,1,'These are the event conditions. You can add your description here.',0,0,0,'Y',100,7,'FLS',3,'N','N','S','GP',0,0,0,0,'N',0,0,'L',0);

#
# Data for the `events_description` table  
#

INSERT INTO `events_description` (`events_id`, `language_id`, `events_name`, `events_description`, `events_url`, `events_viewed`, `events_teaser_text`) VALUES 
  (1,1,'Ten Tenors at Carnegie Hall','Their critically acclaimed performance of rock classics, ballads of the Neopolitan crooners and classical tenor repertoire, combine with their unmistakable Australian charm, to capture the hearts of audiences worldwide.','',0,NULL),
  (2,1,'Intro to Dance','<html><head></head><body><font size=\"2\" face=\"Arial\">Our Intro to Dance series is an\r\n      ideal way for the adult dancer to learn the basic of dance technique and\r\n      terminology.<span>&nbsp;</span>For the\r\n      individual who is new to movement, we recommend our Intro to Dance\r\n      class, which is an excellent precursor to any further study in\r\n      dance.<span>&nbsp;</span>After completing our\r\n      Intro to Dance , students may choose to explore our other Intro\r\n      classes giving them an excellent foundation in the basic study of\r\n      ballet, jazz, and hip hop.<span>&nbsp;</span>Offered\r\n      each semester, these classes give students the necessary skill\r\n      sets to attend our drop-in classes in ballet, jazz, modern, and hip hop with a\r\n      greater level of success and accomplishment.</font></body></html>','',0,NULL);


#
# Data for the `events_categories` table  
#

INSERT INTO `events_categories` (`events_categories_id`, `events_categories_image`, `parent_id`, `sort_order`, `date_added`, `last_modified`) VALUES 
  (1,'afl_grand_final_small.jpg',0,1,'2007-04-26 17:36:12','0000-00-00'),
  (2,'ballet_shoes.jpg',0,1,'2007-04-26 17:36:12','0000-00-00');

#
# Data for the `events_categories_description` table  
#

INSERT INTO `events_categories_description` (`events_categories_id`, `language_id`, `events_categories_name`, `events_categories_heading_title`, `events_categories_description`) VALUES 
  (1,1,'Ten Tenors','Ten Tenors','The Ten Tenors have become an international success story since first stepping out on an Australian tour in 1998.  Interestingly, when they embarked on the tour with their first full length show, the Tenors were all full-time university students studying for careers in opera, music theatre and also as musicians.\r\n\r\nToday, they are veterans of a hectic international touring schedule, having sold-out hundreds of headlining shows throughout Australia, Europe, Asia, New Zealand, Canada and the US.  They have performed to around 77 million television viewers and have sold out nearly 500,000 records through licences in sixteen countries.'),
  (2,1,'Dance Classes','Dance Classes','Our Intro to Dance series is an ideal way for the adult dancer to learn the basic of dance technique and terminology.  For the individual who is new to movement, we recommend our Intro to Dance class, which is an excellent precursor to any further study in dance.  After completing our Intro to Dance, students may choose to explore our other Intro classes giving them an excellent foundation in the basic study of ballet, jazz, and hip hop.  Offered each semester, these classes give students the necessary skill sets to attend our drop-in classes in ballet, jazz, modern, and hip hop with a greater level of success and accomplishment.');


#
# Data for the `events_discounts` table  
#

INSERT INTO `events_discounts` (`discount_id`, `discount_start_date`, `discount_end_date`, `discount_value`, `discount_type`, `events_id`) VALUES 
  (1,'2007-04-26','2007-04-26',1.5,'A',1),
  (2,'2007-04-26','2007-04-26',20,'P',1),
  (3,'2007-04-26','2007-04-26',4,'P',1);


#
# Data for the `events_recursive_sessions` table  
#

INSERT INTO `events_recursive_sessions` (`recursive_sessions_id`, `events_id`, `sessions_start_date`, `sessions_end_date`, `sessions_type`, `sessions_type_option`, `sessions_type_daily_days`, `sessions_type_weekly_weeks`, `sessions_type_weekly_days`, `sessions_type_monthly_days`, `sessions_type_monthly_months`, `sessions_type_monthly_weeks`, `sessions_type_monthly_weekdays`, `sessions_type_monthly_weekmonths`, `sessions_type_yearly_months`, `sessions_type_yearly_monthdays`, `sessions_type_yearly_weeks`, `sessions_type_yearly_weekdays`, `sessions_type_yearly_weekmonths`) VALUES 
  (1,1,'2005-09-26','2009-12-31','R','WW',1,1,'0001110',1,1,1,1,1,1,1,1,1,1),
  (2,2,'2006-12-07','2009-12-31','R','WW',1,1,'0010000',1,1,1,1,1,1,1,1,1,1);

#
# Data for the `events_sessions` table  
#

INSERT INTO `events_sessions` (`sessions_id`, `events_id`, `start_date`, `sessions_type`, `recursive_sessions_id`) VALUES 
  (106,1,'2005-09-29','R',1),
  (107,1,'2005-09-30','R',1),
  (108,1,'2005-10-01','R',1),
  (109,1,'2005-10-06','R',1),
  (110,1,'2005-10-07','R',1),
  (111,1,'2005-10-08','R',1),
  (112,1,'2005-10-13','R',1),
  (113,1,'2005-10-14','R',1),
  (114,1,'2005-10-15','R',1),
  (115,1,'2005-10-20','R',1),
  (116,1,'2005-10-21','R',1),
  (117,1,'2005-10-22','R',1),
  (118,1,'2005-10-27','R',1),
  (119,1,'2005-10-28','R',1),
  (120,1,'2005-10-29','R',1),
  (121,1,'2005-11-03','R',1),
  (122,1,'2005-11-04','R',1),
  (123,1,'2005-11-05','R',1),
  (124,1,'2005-11-10','R',1),
  (125,1,'2005-11-11','R',1),
  (126,1,'2005-11-12','R',1),
  (127,1,'2005-11-17','R',1),
  (128,1,'2005-11-18','R',1),
  (129,1,'2005-11-19','R',1),
  (130,1,'2005-11-24','R',1),
  (131,1,'2005-11-25','R',1),
  (132,1,'2005-11-26','R',1),
  (133,1,'2005-12-01','R',1),
  (134,1,'2005-12-02','R',1),
  (135,1,'2005-12-03','R',1),
  (136,1,'2005-12-08','R',1),
  (137,1,'2005-12-09','R',1),
  (138,1,'2005-12-10','R',1),
  (139,1,'2005-12-15','R',1),
  (140,1,'2005-12-16','R',1),
  (141,1,'2005-12-17','R',1),
  (142,1,'2005-12-22','R',1),
  (143,1,'2005-12-23','R',1),
  (144,1,'2005-12-24','R',1),
  (145,1,'2005-12-29','R',1),
  (146,1,'2005-12-30','R',1),
  (147,1,'2005-12-31','R',1),
  (148,1,'2006-01-05','R',1),
  (149,1,'2006-01-06','R',1),
  (150,1,'2006-01-07','R',1),
  (151,1,'2006-01-12','R',1),
  (152,1,'2006-01-13','R',1),
  (153,1,'2006-01-14','R',1),
  (154,1,'2006-01-19','R',1),
  (155,1,'2006-01-20','R',1),
  (156,1,'2006-01-21','R',1),
  (157,1,'2006-01-26','R',1),
  (158,1,'2006-01-27','R',1),
  (159,1,'2006-01-28','R',1),
  (160,1,'2006-02-02','R',1),
  (161,1,'2006-02-03','R',1),
  (162,1,'2006-02-04','R',1),
  (163,1,'2006-02-09','R',1),
  (164,1,'2006-02-10','R',1),
  (165,1,'2006-02-11','R',1),
  (166,1,'2006-02-16','R',1),
  (167,1,'2006-02-17','R',1),
  (168,1,'2006-02-18','R',1),
  (169,1,'2006-02-23','R',1),
  (170,1,'2006-02-24','R',1),
  (171,1,'2006-02-25','R',1),
  (172,1,'2006-03-02','R',1),
  (173,1,'2006-03-03','R',1),
  (174,1,'2006-03-04','R',1),
  (175,1,'2006-03-09','R',1),
  (176,1,'2006-03-10','R',1),
  (177,1,'2006-03-11','R',1),
  (178,1,'2006-03-16','R',1),
  (179,1,'2006-03-17','R',1),
  (180,1,'2006-03-18','R',1),
  (181,1,'2006-03-23','R',1),
  (182,1,'2006-03-24','R',1),
  (183,1,'2006-03-25','R',1),
  (184,1,'2006-03-30','R',1),
  (185,1,'2006-03-31','R',1),
  (186,1,'2006-04-01','R',1),
  (187,1,'2006-04-06','R',1),
  (188,1,'2006-04-07','R',1),
  (189,1,'2006-04-08','R',1),
  (190,1,'2006-04-13','R',1),
  (191,1,'2006-04-14','R',1),
  (192,1,'2006-04-15','R',1),
  (193,1,'2006-04-20','R',1),
  (194,1,'2006-04-21','R',1),
  (195,1,'2006-04-22','R',1),
  (196,1,'2006-04-27','R',1),
  (197,1,'2006-04-28','R',1),
  (198,1,'2006-04-29','R',1),
  (199,1,'2006-05-04','R',1),
  (200,1,'2006-05-05','R',1),
  (201,1,'2006-05-06','R',1),
  (202,1,'2006-05-11','R',1),
  (203,1,'2006-05-12','R',1),
  (204,1,'2006-05-13','R',1),
  (205,1,'2006-05-18','R',1),
  (206,1,'2006-05-19','R',1),
  (207,1,'2006-05-20','R',1),
  (208,1,'2006-05-25','R',1),
  (209,1,'2006-05-26','R',1),
  (210,1,'2006-05-27','R',1),
  (211,1,'2006-06-01','R',1),
  (212,1,'2006-06-02','R',1),
  (213,1,'2006-06-03','R',1),
  (214,1,'2006-06-08','R',1),
  (215,1,'2006-06-09','R',1),
  (216,1,'2006-06-10','R',1),
  (217,1,'2006-06-15','R',1),
  (218,1,'2006-06-16','R',1),
  (219,1,'2006-06-17','R',1),
  (220,1,'2006-06-22','R',1),
  (221,1,'2006-06-23','R',1),
  (222,1,'2006-06-24','R',1),
  (223,1,'2006-06-29','R',1),
  (224,1,'2006-06-30','R',1),
  (225,1,'2006-07-01','R',1),
  (226,1,'2006-07-06','R',1),
  (227,1,'2006-07-07','R',1),
  (228,1,'2006-07-08','R',1),
  (229,1,'2006-07-13','R',1),
  (230,1,'2006-07-14','R',1),
  (231,1,'2006-07-15','R',1),
  (232,1,'2006-07-20','R',1),
  (233,1,'2006-07-21','R',1),
  (234,1,'2006-07-22','R',1),
  (235,1,'2006-07-27','R',1),
  (236,1,'2006-07-28','R',1),
  (237,1,'2006-07-29','R',1),
  (238,1,'2006-08-03','R',1),
  (239,1,'2006-08-04','R',1),
  (240,1,'2006-08-05','R',1),
  (241,1,'2006-08-10','R',1),
  (242,1,'2006-08-11','R',1),
  (243,1,'2006-08-12','R',1),
  (244,1,'2006-08-17','R',1),
  (245,1,'2006-08-18','R',1),
  (246,1,'2006-08-19','R',1),
  (247,1,'2006-08-24','R',1),
  (248,1,'2006-08-25','R',1),
  (249,1,'2006-08-26','R',1),
  (250,1,'2006-08-31','R',1),
  (251,1,'2006-09-01','R',1),
  (252,1,'2006-09-02','R',1),
  (253,1,'2006-09-07','R',1),
  (254,1,'2006-09-01','R',1),
  (255,1,'2006-09-09','R',1),
  (256,1,'2006-09-14','R',1),
  (257,1,'2006-09-15','R',1),
  (258,1,'2006-09-16','R',1),
  (259,1,'2006-09-21','R',1),
  (260,1,'2006-09-22','R',1),
  (261,1,'2006-09-23','R',1),
  (262,1,'2006-09-28','R',1),
  (263,1,'2006-09-29','R',1),
  (264,1,'2006-09-30','R',1),
  (265,1,'2006-10-05','R',1),
  (266,1,'2006-10-06','R',1),
  (267,1,'2006-10-07','R',1),
  (268,1,'2006-10-12','R',1),
  (269,1,'2006-10-13','R',1),
  (270,1,'2006-10-14','R',1),
  (271,1,'2006-10-19','R',1),
  (272,1,'2006-10-20','R',1),
  (273,1,'2006-10-21','R',1),
  (274,1,'2006-10-26','R',1),
  (275,1,'2006-10-27','R',1),
  (276,1,'2006-10-28','R',1),
  (277,1,'2006-11-02','R',1),
  (278,1,'2006-11-03','R',1),
  (279,1,'2006-11-04','R',1),
  (280,1,'2006-11-09','R',1),
  (281,1,'2006-11-10','R',1),
  (282,1,'2006-11-11','R',1),
  (283,1,'2006-11-16','R',1),
  (284,1,'2006-11-17','R',1),
  (285,1,'2006-11-18','R',1),
  (286,1,'2006-11-23','R',1),
  (287,1,'2006-11-24','R',1),
  (288,1,'2006-11-25','R',1),
  (289,1,'2006-11-30','R',1),
  (290,1,'2006-12-01','R',1),
  (291,1,'2006-12-02','R',1),
  (292,1,'2006-12-07','R',1),
  (293,1,'2006-12-08','R',1),
  (294,1,'2006-12-09','R',1),
  (295,1,'2006-12-14','R',1),
  (296,1,'2006-12-15','R',1),
  (297,1,'2006-12-16','R',1),
  (298,1,'2006-12-21','R',1),
  (299,1,'2006-12-22','R',1),
  (300,1,'2006-12-23','R',1),
  (301,1,'2006-12-28','R',1),
  (302,1,'2006-12-29','R',1),
  (303,1,'2006-12-30','R',1),
  (304,1,'2007-01-04','R',1),
  (305,1,'2007-01-05','R',1),
  (306,1,'2007-01-06','R',1),
  (307,1,'2007-01-11','R',1),
  (308,1,'2007-01-12','R',1),
  (309,1,'2007-01-13','R',1),
  (310,1,'2007-01-18','R',1),
  (311,1,'2007-01-19','R',1),
  (312,1,'2007-01-20','R',1),
  (313,1,'2007-01-25','R',1),
  (314,1,'2007-01-26','R',1),
  (315,1,'2007-01-27','R',1),
  (316,1,'2007-02-01','R',1),
  (317,1,'2007-02-02','R',1),
  (318,1,'2007-02-03','R',1),
  (319,1,'2007-02-08','R',1),
  (320,1,'2007-02-09','R',1),
  (321,1,'2007-02-10','R',1),
  (322,1,'2007-02-15','R',1),
  (323,1,'2007-02-16','R',1),
  (324,1,'2007-02-17','R',1),
  (325,1,'2007-02-22','R',1),
  (326,1,'2007-02-23','R',1),
  (327,1,'2007-02-24','R',1),
  (328,1,'2007-03-01','R',1),
  (329,1,'2007-03-02','R',1),
  (330,1,'2007-03-03','R',1),
  (331,1,'2007-03-08','R',1),
  (332,1,'2007-03-09','R',1),
  (333,1,'2007-03-10','R',1),
  (334,1,'2007-03-15','R',1),
  (335,1,'2007-03-16','R',1),
  (336,1,'2007-03-17','R',1),
  (337,1,'2007-03-22','R',1),
  (338,1,'2007-03-23','R',1),
  (339,1,'2007-03-24','R',1),
  (340,1,'2007-03-29','R',1),
  (341,1,'2007-03-30','R',1),
  (342,1,'2007-03-31','R',1),
  (343,1,'2007-04-05','R',1),
  (344,1,'2007-04-06','R',1),
  (345,1,'2007-04-07','R',1),
  (346,1,'2007-04-12','R',1),
  (347,1,'2007-04-13','R',1),
  (348,1,'2007-04-14','R',1),
  (349,1,'2007-04-19','R',1),
  (350,1,'2007-04-20','R',1),
  (351,1,'2007-04-21','R',1),
  (352,1,'2007-04-26','R',1),
  (353,1,'2007-04-27','R',1),
  (354,1,'2007-04-28','R',1),
  (355,1,'2007-05-03','R',1),
  (356,1,'2007-05-04','R',1),
  (357,1,'2007-05-05','R',1),
  (358,1,'2007-05-10','R',1),
  (359,1,'2007-05-11','R',1),
  (360,1,'2007-05-12','R',1),
  (361,1,'2007-05-17','R',1),
  (362,1,'2007-05-18','R',1),
  (363,1,'2007-05-19','R',1),
  (364,1,'2007-05-24','R',1),
  (365,1,'2007-05-25','R',1),
  (366,1,'2007-05-26','R',1),
  (367,1,'2007-05-31','R',1),
  (368,1,'2007-06-01','R',1),
  (369,1,'2007-06-02','R',1),
  (370,1,'2007-06-07','R',1),
  (371,1,'2007-06-08','R',1),
  (372,1,'2007-06-09','R',1),
  (373,1,'2007-06-14','R',1),
  (374,1,'2007-06-15','R',1),
  (375,1,'2007-06-16','R',1),
  (376,1,'2007-06-21','R',1),
  (377,1,'2007-06-22','R',1),
  (378,1,'2007-06-23','R',1),
  (379,1,'2007-06-28','R',1),
  (380,1,'2007-06-29','R',1),
  (381,1,'2007-06-30','R',1),
  (382,1,'2007-07-05','R',1),
  (383,1,'2007-07-06','R',1),
  (384,1,'2007-07-07','R',1),
  (385,1,'2007-07-12','R',1),
  (386,1,'2007-07-13','R',1),
  (387,1,'2007-07-14','R',1),
  (388,1,'2007-07-19','R',1),
  (389,1,'2007-07-20','R',1),
  (390,1,'2007-07-21','R',1),
  (391,1,'2007-07-26','R',1),
  (392,1,'2007-07-27','R',1),
  (393,1,'2007-07-28','R',1),
  (394,1,'2007-08-02','R',1),
  (395,1,'2007-08-03','R',1),
  (396,1,'2007-08-04','R',1),
  (397,1,'2007-08-09','R',1),
  (398,1,'2007-08-10','R',1),
  (399,1,'2007-08-11','R',1),
  (400,1,'2007-08-16','R',1),
  (401,1,'2007-08-17','R',1),
  (402,1,'2007-08-18','R',1),
  (403,1,'2007-08-23','R',1),
  (404,1,'2007-08-24','R',1),
  (405,1,'2007-08-25','R',1),
  (406,1,'2007-08-30','R',1),
  (407,1,'2007-08-31','R',1),
  (408,1,'2007-09-01','R',1),
  (409,1,'2007-09-06','R',1),
  (410,1,'2007-09-07','R',1),
  (411,1,'2007-09-08','R',1),
  (412,1,'2007-09-13','R',1),
  (413,1,'2007-09-14','R',1),
  (414,1,'2007-09-15','R',1),
  (415,1,'2007-09-20','R',1),
  (416,1,'2007-09-21','R',1),
  (417,1,'2007-09-22','R',1),
  (418,1,'2007-09-27','R',1),
  (419,1,'2007-09-28','R',1),
  (420,1,'2007-09-29','R',1),
  (421,1,'2007-10-04','R',1),
  (422,1,'2007-10-05','R',1),
  (423,1,'2007-10-06','R',1),
  (424,1,'2007-10-11','R',1),
  (425,1,'2007-10-12','R',1),
  (426,1,'2007-10-13','R',1),
  (427,1,'2007-10-18','R',1),
  (428,1,'2007-10-19','R',1),
  (429,1,'2007-10-20','R',1),
  (430,1,'2007-10-25','R',1),
  (431,1,'2007-10-26','R',1),
  (432,1,'2007-10-02','R',1),
  (433,1,'2007-11-01','R',1),
  (434,1,'2007-11-02','R',1),
  (435,1,'2007-11-03','R',1),
  (436,1,'2007-11-08','R',1),
  (437,1,'2007-11-09','R',1),
  (438,1,'2007-11-10','R',1),
  (439,1,'2007-11-15','R',1),
  (440,1,'2007-11-16','R',1),
  (441,1,'2007-11-17','R',1),
  (442,1,'2007-11-22','R',1),
  (443,1,'2007-11-23','R',1),
  (444,1,'2007-11-24','R',1),
  (445,1,'2007-11-29','R',1),
  (446,1,'2007-11-30','R',1),
  (447,1,'2007-12-01','R',1),
  (448,1,'2007-12-06','R',1),
  (449,1,'2007-12-07','R',1),
  (450,1,'2007-12-08','R',1),
  (451,1,'2007-12-13','R',1),
  (452,1,'2007-12-14','R',1),
  (453,1,'2007-12-15','R',1),
  (454,1,'2007-12-20','R',1),
  (455,1,'2007-12-21','R',1),
  (456,1,'2007-12-22','R',1),
  (457,1,'2007-12-27','R',1),
  (458,1,'2007-12-28','R',1),
  (459,1,'2007-12-29','R',1),
  (460,1,'2008-01-03','R',1),
  (461,1,'2008-01-04','R',1),
  (462,1,'2008-01-05','R',1),
  (463,1,'2008-01-10','R',1),
  (464,1,'2008-01-11','R',1),
  (465,1,'2008-01-12','R',1),
  (466,1,'2008-01-17','R',1),
  (467,1,'2008-01-18','R',1),
  (468,1,'2008-01-19','R',1),
  (469,1,'2008-01-24','R',1),
  (470,1,'2008-01-25','R',1),
  (471,1,'2008-01-26','R',1),
  (472,1,'2008-01-31','R',1),
  (473,1,'2008-02-01','R',1),
  (474,1,'2008-02-02','R',1),
  (475,1,'2008-02-07','R',1),
  (476,1,'2008-02-08','R',1),
  (477,1,'2008-02-09','R',1),
  (478,1,'2008-02-14','R',1),
  (479,1,'2008-02-15','R',1),
  (480,1,'2008-02-16','R',1),
  (481,1,'2008-02-21','R',1),
  (482,1,'2008-02-22','R',1),
  (483,1,'2008-02-23','R',1),
  (484,1,'2008-02-28','R',1),
  (485,1,'2008-02-29','R',1),
  (486,1,'2008-03-01','R',1),
  (487,1,'2008-03-06','R',1),
  (488,1,'2008-03-07','R',1),
  (489,1,'2008-03-08','R',1),
  (490,1,'2008-03-13','R',1),
  (491,1,'2008-03-14','R',1),
  (492,1,'2008-03-15','R',1),
  (493,1,'2008-03-20','R',1),
  (494,1,'2008-03-21','R',1),
  (495,1,'2008-03-22','R',1),
  (496,1,'2008-03-27','R',1),
  (497,1,'2008-03-28','R',1),
  (498,1,'2008-03-29','R',1),
  (499,1,'2008-04-03','R',1),
  (500,1,'2008-04-04','R',1),
  (501,1,'2008-04-05','R',1),
  (502,1,'2008-04-10','R',1),
  (503,1,'2008-04-11','R',1),
  (504,1,'2008-04-12','R',1),
  (505,1,'2008-04-17','R',1),
  (506,1,'2008-04-18','R',1),
  (507,1,'2008-04-19','R',1),
  (508,1,'2008-04-24','R',1),
  (509,1,'2008-04-25','R',1),
  (510,1,'2008-04-26','R',1),
  (511,1,'2008-05-01','R',1),
  (512,1,'2008-05-02','R',1),
  (513,1,'2008-05-03','R',1),
  (514,1,'2008-05-08','R',1),
  (515,1,'2008-05-09','R',1),
  (516,1,'2008-05-10','R',1),
  (517,1,'2008-05-15','R',1),
  (518,1,'2008-05-16','R',1),
  (519,1,'2008-05-17','R',1),
  (520,1,'2008-05-22','R',1),
  (521,1,'2008-05-23','R',1),
  (522,1,'2008-05-24','R',1),
  (523,1,'2008-05-29','R',1),
  (524,1,'2008-05-30','R',1),
  (525,1,'2008-05-31','R',1),
  (526,1,'2008-06-05','R',1),
  (527,1,'2008-06-06','R',1),
  (528,1,'2008-06-07','R',1),
  (529,1,'2008-06-12','R',1),
  (530,1,'2008-06-13','R',1),
  (531,1,'2008-06-14','R',1),
  (532,1,'2008-06-19','R',1),
  (533,1,'2008-06-20','R',1),
  (534,1,'2008-06-21','R',1),
  (535,1,'2008-06-26','R',1),
  (536,1,'2008-06-27','R',1),
  (537,1,'2008-06-28','R',1),
  (538,1,'2008-07-03','R',1),
  (539,1,'2008-07-04','R',1),
  (540,1,'2008-07-05','R',1),
  (541,1,'2008-07-10','R',1),
  (542,1,'2008-07-11','R',1),
  (543,1,'2008-07-12','R',1),
  (544,1,'2008-07-17','R',1),
  (545,1,'2008-07-18','R',1),
  (546,1,'2008-07-19','R',1),
  (547,1,'2008-07-24','R',1),
  (548,1,'2008-07-25','R',1),
  (549,1,'2008-07-26','R',1),
  (550,1,'2008-07-31','R',1),
  (551,1,'2008-08-01','R',1),
  (552,1,'2008-08-02','R',1),
  (553,1,'2008-08-07','R',1),
  (554,1,'2008-08-08','R',1),
  (555,1,'2008-08-09','R',1),
  (556,1,'2008-08-14','R',1),
  (557,1,'2008-08-15','R',1),
  (558,1,'2008-08-16','R',1),
  (559,1,'2008-08-21','R',1),
  (560,1,'2008-08-22','R',1),
  (561,1,'2008-08-23','R',1),
  (562,1,'2008-08-28','R',1),
  (563,1,'2008-08-29','R',1),
  (564,1,'2008-08-30','R',1),
  (565,1,'2008-09-04','R',1),
  (566,1,'2008-09-05','R',1),
  (567,1,'2008-09-06','R',1),
  (568,1,'2008-09-11','R',1),
  (569,1,'2008-09-12','R',1),
  (570,1,'2008-09-13','R',1),
  (571,1,'2008-09-18','R',1),
  (572,1,'2008-09-19','R',1),
  (573,1,'2008-09-20','R',1),
  (574,1,'2008-09-25','R',1),
  (575,1,'2008-09-26','R',1),
  (576,1,'2008-09-27','R',1),
  (577,1,'2008-10-02','R',1),
  (578,1,'2008-10-03','R',1),
  (579,1,'2008-10-04','R',1),
  (580,1,'2008-10-09','R',1),
  (581,1,'2008-10-10','R',1),
  (582,1,'2008-10-11','R',1),
  (583,1,'2008-10-16','R',1),
  (584,1,'2008-10-17','R',1),
  (585,1,'2008-10-18','R',1),
  (586,1,'2008-10-23','R',1),
  (587,1,'2008-10-24','R',1),
  (588,1,'2008-10-25','R',1),
  (589,1,'2008-10-30','R',1),
  (590,1,'2008-10-31','R',1),
  (591,1,'2008-11-01','R',1),
  (592,1,'2008-11-06','R',1),
  (593,1,'2008-11-07','R',1),
  (594,1,'2008-11-08','R',1),
  (595,1,'2008-11-13','R',1),
  (596,1,'2008-11-14','R',1),
  (597,1,'2008-11-15','R',1),
  (598,1,'2008-11-20','R',1),
  (599,1,'2008-11-21','R',1),
  (600,1,'2008-11-22','R',1),
  (601,1,'2008-11-27','R',1),
  (602,1,'2008-11-28','R',1),
  (603,1,'2008-11-29','R',1),
  (604,1,'2008-12-04','R',1),
  (605,1,'2008-12-05','R',1);

#
# Data for the `events_sessions` table  (LIMIT 500,500)
#

INSERT INTO `events_sessions` (`sessions_id`, `events_id`, `start_date`, `sessions_type`, `recursive_sessions_id`) VALUES 
  (606,1,'2008-12-06','R',1),
  (607,1,'2008-12-11','R',1),
  (608,1,'2008-12-12','R',1),
  (609,1,'2008-12-13','R',1),
  (610,1,'2008-12-01','R',1),
  (611,1,'2008-12-19','R',1),
  (612,1,'2008-12-20','R',1),
  (613,1,'2008-12-25','R',1),
  (614,1,'2008-12-26','R',1),
  (615,1,'2008-12-27','R',1),
  (616,1,'2009-01-01','R',1),
  (617,1,'2009-01-02','R',1),
  (618,1,'2009-01-03','R',1),
  (619,1,'2009-01-08','R',1),
  (620,1,'2009-01-09','R',1),
  (621,1,'2009-01-10','R',1),
  (622,1,'2009-01-15','R',1),
  (623,1,'2009-01-16','R',1),
  (624,1,'2009-01-17','R',1),
  (625,1,'2009-01-22','R',1),
  (626,1,'2009-01-23','R',1),
  (627,1,'2009-01-24','R',1),
  (628,1,'2009-01-29','R',1),
  (629,1,'2009-01-30','R',1),
  (630,1,'2009-01-31','R',1),
  (631,1,'2009-02-05','R',1),
  (632,1,'2009-02-06','R',1),
  (633,1,'2009-02-07','R',1),
  (634,1,'2009-02-12','R',1),
  (635,1,'2009-02-13','R',1),
  (636,1,'2009-02-14','R',1),
  (637,1,'2009-02-19','R',1),
  (638,1,'2009-02-20','R',1),
  (639,1,'2009-02-21','R',1),
  (640,1,'2009-02-26','R',1),
  (641,1,'2009-02-27','R',1),
  (642,1,'2009-02-28','R',1),
  (643,1,'2009-03-05','R',1),
  (644,1,'2009-03-06','R',1),
  (645,1,'2009-03-07','R',1),
  (646,1,'2009-03-12','R',1),
  (647,1,'2009-03-13','R',1),
  (648,1,'2009-03-14','R',1),
  (649,1,'2009-03-19','R',1),
  (650,1,'2009-03-20','R',1),
  (651,1,'2009-03-21','R',1),
  (652,1,'2009-03-26','R',1),
  (653,1,'2009-03-27','R',1),
  (654,1,'2009-03-28','R',1),
  (655,1,'2009-04-02','R',1),
  (656,1,'2009-04-03','R',1),
  (657,1,'2009-04-04','R',1),
  (658,1,'2009-04-09','R',1),
  (659,1,'2009-04-10','R',1),
  (660,1,'2009-04-11','R',1),
  (661,1,'2009-04-16','R',1),
  (662,1,'2009-04-17','R',1),
  (663,1,'2009-04-18','R',1),
  (664,1,'2009-04-23','R',1),
  (665,1,'2009-04-24','R',1),
  (666,1,'2009-04-25','R',1),
  (667,1,'2009-04-30','R',1),
  (668,1,'2009-05-01','R',1),
  (669,1,'2009-05-02','R',1),
  (670,1,'2009-05-07','R',1),
  (671,1,'2009-05-08','R',1),
  (672,1,'2009-05-09','R',1),
  (673,1,'2009-05-14','R',1),
  (674,1,'2009-05-15','R',1),
  (675,1,'2009-05-16','R',1),
  (676,1,'2009-05-21','R',1),
  (677,1,'2009-05-22','R',1),
  (678,1,'2009-05-23','R',1),
  (679,1,'2009-05-28','R',1),
  (680,1,'2009-05-29','R',1),
  (681,1,'2009-05-30','R',1),
  (682,1,'2009-06-04','R',1),
  (683,1,'2009-06-05','R',1),
  (684,1,'2009-06-06','R',1),
  (685,1,'2009-06-11','R',1),
  (686,1,'2009-06-12','R',1),
  (687,1,'2009-06-13','R',1),
  (688,1,'2009-06-18','R',1),
  (689,1,'2009-06-19','R',1),
  (690,1,'2009-06-20','R',1),
  (691,1,'2009-06-25','R',1),
  (692,1,'2009-06-26','R',1),
  (693,1,'2009-06-27','R',1),
  (694,1,'2009-07-02','R',1),
  (695,1,'2009-07-03','R',1),
  (696,1,'2009-07-04','R',1),
  (697,1,'2009-07-09','R',1),
  (698,1,'2009-07-10','R',1),
  (699,1,'2009-07-11','R',1),
  (700,1,'2009-07-16','R',1),
  (701,1,'2009-07-17','R',1),
  (702,1,'2009-07-18','R',1),
  (703,1,'2009-07-23','R',1),
  (704,1,'2009-07-24','R',1),
  (705,1,'2009-07-25','R',1),
  (706,1,'2009-07-30','R',1),
  (707,1,'2009-07-31','R',1),
  (708,1,'2009-08-01','R',1),
  (709,1,'2009-08-06','R',1),
  (710,1,'2009-08-07','R',1),
  (711,1,'2009-08-08','R',1),
  (712,1,'2009-08-13','R',1),
  (713,1,'2009-08-14','R',1),
  (714,1,'2009-08-15','R',1),
  (715,1,'2009-08-20','R',1),
  (716,1,'2009-08-21','R',1),
  (717,1,'2009-08-22','R',1),
  (718,1,'2009-08-27','R',1),
  (719,1,'2009-08-28','R',1),
  (720,1,'2009-08-29','R',1),
  (721,1,'2009-09-03','R',1),
  (722,1,'2009-09-04','R',1),
  (723,1,'2009-09-05','R',1),
  (724,1,'2009-09-10','R',1),
  (725,1,'2009-09-11','R',1),
  (726,1,'2009-09-12','R',1),
  (727,1,'2009-09-17','R',1),
  (728,1,'2009-09-18','R',1),
  (729,1,'2009-09-19','R',1),
  (730,1,'2009-09-24','R',1),
  (731,1,'2009-09-25','R',1),
  (732,1,'2009-09-26','R',1),
  (733,1,'2009-10-01','R',1),
  (734,1,'2009-10-02','R',1),
  (735,1,'2009-10-03','R',1),
  (736,1,'2009-10-08','R',1),
  (737,1,'2009-10-09','R',1),
  (738,1,'2009-10-10','R',1),
  (739,1,'2009-10-15','R',1),
  (740,1,'2009-10-16','R',1),
  (741,1,'2009-10-17','R',1),
  (742,1,'2009-10-22','R',1),
  (743,1,'2009-10-23','R',1),
  (744,1,'2009-10-24','R',1),
  (745,1,'2009-10-29','R',1),
  (746,1,'2009-10-30','R',1),
  (747,1,'2009-10-31','R',1),
  (748,1,'2009-11-05','R',1),
  (749,1,'2009-11-06','R',1),
  (750,1,'2009-11-07','R',1),
  (751,1,'2009-11-12','R',1),
  (752,1,'2009-11-13','R',1),
  (753,1,'2009-11-14','R',1),
  (754,1,'2009-11-19','R',1),
  (755,1,'2009-11-20','R',1),
  (756,1,'2009-11-21','R',1),
  (757,1,'2009-11-26','R',1),
  (758,1,'2009-11-27','R',1),
  (759,1,'2009-11-28','R',1),
  (760,1,'2009-12-03','R',1),
  (761,1,'2009-12-04','R',1),
  (762,1,'2009-12-05','R',1),
  (763,1,'2009-12-10','R',1),
  (764,1,'2009-12-11','R',1),
  (765,1,'2009-12-12','R',1),
  (766,1,'2009-12-17','R',1),
  (767,1,'2009-12-18','R',1),
  (768,1,'2009-12-19','R',1),
  (769,1,'2009-12-24','R',1),
  (770,1,'2009-12-25','R',1),
  (771,1,'2009-12-26','R',1),
  (772,1,'2009-12-31','R',1),
  (1413,2,'2006-12-13','R',2),
  (1414,2,'2006-12-20','R',2),
  (1415,2,'2006-12-27','R',2),
  (1416,2,'2007-01-03','R',2),
  (1417,2,'2007-01-10','R',2),
  (1418,2,'2007-01-17','R',2),
  (1419,2,'2007-01-24','R',2),
  (1420,2,'2007-01-31','R',2),
  (1421,2,'2007-02-07','R',2),
  (1422,2,'2007-02-14','R',2),
  (1423,2,'2007-02-21','R',2),
  (1424,2,'2007-02-28','R',2),
  (1425,2,'2007-03-07','R',2),
  (1426,2,'2007-03-14','R',2),
  (1427,2,'2007-03-21','R',2),
  (1428,2,'2007-03-28','R',2),
  (1429,2,'2007-04-04','R',2),
  (1430,2,'2007-04-11','R',2),
  (1431,2,'2007-04-18','R',2),
  (1432,2,'2007-04-25','R',2),
  (1433,2,'2007-05-02','R',2),
  (1434,2,'2007-05-09','R',2),
  (1435,2,'2007-05-16','R',2),
  (1436,2,'2007-05-23','R',2),
  (1437,2,'2007-05-30','R',2),
  (1438,2,'2007-06-06','R',2),
  (1439,2,'2007-06-13','R',2),
  (1440,2,'2007-06-20','R',2),
  (1441,2,'2007-06-27','R',2),
  (1442,2,'2007-07-04','R',2),
  (1443,2,'2007-07-11','R',2),
  (1444,2,'2007-07-18','R',2),
  (1445,2,'2007-07-25','R',2),
  (1446,2,'2007-08-01','R',2),
  (1447,2,'2007-08-08','R',2),
  (1448,2,'2007-08-15','R',2),
  (1449,2,'2007-08-22','R',2),
  (1450,2,'2007-08-29','R',2),
  (1451,2,'2007-09-05','R',2),
  (1452,2,'2007-09-12','R',2),
  (1453,2,'2007-09-19','R',2),
  (1454,2,'2007-09-26','R',2),
  (1455,2,'2007-10-03','R',2),
  (1456,2,'2007-10-10','R',2),
  (1457,2,'2007-10-17','R',2),
  (1458,2,'2007-10-24','R',2),
  (1459,2,'2007-10-31','R',2),
  (1460,2,'2007-11-07','R',2),
  (1461,2,'2007-11-14','R',2),
  (1462,2,'2007-11-21','R',2),
  (1463,2,'2007-11-28','R',2),
  (1464,2,'2007-12-05','R',2),
  (1465,2,'2007-12-12','R',2),
  (1466,2,'2007-12-19','R',2),
  (1467,2,'2007-12-26','R',2),
  (1468,2,'2008-01-02','R',2),
  (1469,2,'2008-01-09','R',2),

  (1470,2,'2008-01-16','R',2),
  (1471,2,'2008-01-23','R',2),
  (1472,2,'2008-01-30','R',2),
  (1473,2,'2008-02-06','R',2),
  (1474,2,'2008-02-13','R',2),
  (1475,2,'2008-02-20','R',2),
  (1476,2,'2008-02-27','R',2),
  (1477,2,'2008-03-05','R',2),
  (1478,2,'2008-03-12','R',2),
  (1479,2,'2008-03-19','R',2),
  (1480,2,'2008-03-26','R',2),
  (1481,2,'2008-04-02','R',2),
  (1482,2,'2008-04-09','R',2),
  (1483,2,'2008-04-16','R',2),
  (1484,2,'2008-04-23','R',2),
  (1485,2,'2008-04-30','R',2),
  (1486,2,'2008-05-07','R',2),
  (1487,2,'2008-05-14','R',2),
  (1488,2,'2008-05-21','R',2),
  (1489,2,'2008-05-28','R',2),
  (1490,2,'2008-06-04','R',2),
  (1491,2,'2008-06-11','R',2),
  (1492,2,'2008-06-18','R',2),
  (1493,2,'2008-06-25','R',2),
  (1494,2,'2008-07-02','R',2),
  (1495,2,'2008-07-09','R',2),
  (1496,2,'2008-07-16','R',2),
  (1497,2,'2008-07-23','R',2),
  (1498,2,'2008-07-30','R',2),
  (1499,2,'2008-08-06','R',2),
  (1500,2,'2008-08-13','R',2),
  (1501,2,'2008-08-20','R',2),
  (1502,2,'2008-08-27','R',2),
  (1503,2,'2008-09-03','R',2),
  (1504,2,'2008-09-10','R',2),
  (1505,2,'2008-09-17','R',2),
  (1506,2,'2008-09-24','R',2),
  (1507,2,'2008-10-01','R',2),
  (1508,2,'2008-10-08','R',2),
  (1509,2,'2008-10-15','R',2),
  (1510,2,'2008-10-22','R',2),
  (1511,2,'2008-10-29','R',2),
  (1512,2,'2008-11-05','R',2),
  (1513,2,'2008-11-12','R',2),
  (1514,2,'2008-11-19','R',2),
  (1515,2,'2008-11-26','R',2),
  (1516,2,'2008-12-03','R',2),
  (1517,2,'2008-12-10','R',2),
  (1518,2,'2008-12-17','R',2),
  (1519,2,'2008-12-24','R',2),
  (1520,2,'2008-12-31','R',2),
  (1521,2,'2009-01-07','R',2),
  (1522,2,'2009-01-14','R',2),
  (1523,2,'2009-01-21','R',2),
  (1524,2,'2009-01-28','R',2),
  (1525,2,'2009-02-04','R',2),
  (1526,2,'2009-02-11','R',2),
  (1527,2,'2009-02-18','R',2),
  (1528,2,'2009-02-25','R',2),
  (1529,2,'2009-03-04','R',2),
  (1530,2,'2009-03-11','R',2),
  (1531,2,'2009-03-18','R',2),
  (1532,2,'2009-03-25','R',2),
  (1533,2,'2009-04-01','R',2),
  (1534,2,'2009-04-08','R',2),
  (1535,2,'2009-04-15','R',2),
  (1536,2,'2009-04-22','R',2),
  (1537,2,'2009-04-29','R',2),
  (1538,2,'2009-05-06','R',2),
  (1539,2,'2009-05-13','R',2),
  (1540,2,'2009-05-20','R',2),
  (1541,2,'2009-05-27','R',2),
  (1542,2,'2009-06-03','R',2),
  (1543,2,'2009-06-10','R',2),
  (1544,2,'2009-06-17','R',2),
  (1545,2,'2009-06-24','R',2),
  (1546,2,'2009-07-01','R',2),
  (1547,2,'2009-07-08','R',2),
  (1548,2,'2009-07-15','R',2),
  (1549,2,'2009-07-22','R',2),
  (1550,2,'2009-07-29','R',2),
  (1551,2,'2009-08-05','R',2),
  (1552,2,'2009-08-12','R',2),
  (1553,2,'2009-08-19','R',2),
  (1554,2,'2009-08-26','R',2),
  (1555,2,'2009-09-02','R',2),
  (1556,2,'2009-09-09','R',2),
  (1557,2,'2009-09-16','R',2),
  (1558,2,'2009-09-23','R',2),
  (1559,2,'2009-09-30','R',2),
  (1560,2,'2009-10-07','R',2),
  (1561,2,'2009-10-14','R',2),
  (1562,2,'2009-10-21','R',2),
  (1563,2,'2009-10-28','R',2),
  (1564,2,'2009-11-04','R',2),
  (1565,2,'2009-11-11','R',2),
  (1566,2,'2009-11-18','R',2),
  (1567,2,'2009-11-25','R',2),
  (1568,2,'2009-12-02','R',2),
  (1569,2,'2009-12-09','R',2),
  (1570,2,'2009-12-16','R',2),
  (1571,2,'2009-12-23','R',2),
  (1572,2,'2009-12-30','R',2);


#
# Data for the `events_to_events_categories` table  
#

INSERT INTO `events_to_events_categories` (`events_id`, `events_categories_id`) VALUES 
  (1,1),
  (2,2);


#
# Data for the `services` table  
#

INSERT INTO `services` (`service_id`, `service_image`, `service_date_added`, `service_last_modified`, `service_date_available`, `service_status`, `service_tax_class_id`, `service_costs`, `service_total_time`, `booking_granular`, `max_bookings`, `quantity`, `conditions`, `multiple_purchase`, `pending_period`, `service_location`, `no_booking_time`, `booking_type`, `span_days`, `include_resource`, `include_resource_price`, `service_renewal_start`, `service_renewal_end`, `include_loadings`, `booking_buffer`) VALUES 
  (1,'tennis.jpg','2007-04-26 17:36:30','0000-00-00','2007-04-26 17:36:30',1,0,0,1,1,5,2,'These are the service conditions','N',14,1,'Y','H','Y','Y','Y',7,3,'Y','N');

#
# Data for the `services_attributes` table  
#

INSERT INTO `services_attributes` (`services_attributes_id`, `service_id`, `options_id`, `options_values_id`, `options_values_price`, `price_prefix`, `services_options_sort_order`, `services_attributes_one_time`, `services_attributes_weight`, `services_attributes_weight_prefix`, `services_attributes_units`, `services_attributes_units_price`) VALUES 
  (1,1,1,2,15,'+',0,0,0,'',0,0),
  (2,1,2,1,10,'+',1,0,0,'',0,0),
  (3,1,3,3,8,'+',2,0,0,'',0,0),
  (4,1,4,4,0,'+',3,0,0,'',0,0);

#
# Data for the `services_categories` table  
#

INSERT INTO `services_categories` (`services_categories_id`, `services_categories_image`, `sort_order`, `date_added`, `last_modified`, `parent_id`) VALUES 
  (1,'tennis.jpg',1,'2007-04-26 17:36:30','0000-00-00',0);

#
# Data for the `services_categories_description` table  
#

INSERT INTO `services_categories_description` (`services_categories_id`, `services_categories_name`, `services_categories_heading_title`, `services_categories_description`, `language_id`, `services_categories_notes`) VALUES 
  (1,'Tennis','Tennis','Tennis classes are great for exercise and fun.',1,'');

#
# Data for the `services_description` table  
#

INSERT INTO `services_description` (`service_id`, `language_id`, `service_name`, `service_description`, `service_url`, `service_viewed`) VALUES 
  (1,1,'Sunnyside Tennis','<html><head></head><body>One of Brisbane''s premier clubs, Sunnyside Tennis Club began as a swimming club on the river in 1916. Now, a beautiful refurbished property offering exclusive, high quality facilities, Sunnyside is a vibrant and prestigious racquet club with over two thousand members.\r\n\r\nSunnyside''s?s spectacular clubhouse offers the Club?s exclusive membership base a place to engage in competitive play on the court, enhance their fitness potential, socialize with like-minded individuals, and bond with family members. <br />Sunnyside has twelve tennis courts, four squash courts, an outdoor heated pool and hot tub, plus an expansive fitness centre and spa.\r\n\r\nSocial functions and activities are a priority at Sunnyside. Members enjoy sports tournaments, outdoor BBQs on the deck, Friday evening entertainment and fun-filled, memorable dining experiences for the whole family.<br /></body></html>','',9);

#
# Data for the `services_loadings` table  
#

INSERT INTO `services_loadings` (`service_loadings_id`, `service_id`, `loadings_start_date`, `loadings_end_date`, `recurring_type`, `recurring_details`, `loadings_start_time`, `loadings_end_time`, `loadings_price`, `loadings_type`) VALUES 
  (3,1,'2007-04-26','2012-04-26','DD','1','19:00:00','22:00:00',5,'C');


#
# Data for the `services_no_booking_days` table  
#

INSERT INTO `services_no_booking_days` (`service_no_booking_id`, `service_id`, `no_booking_days`, `no_booking_start_date`, `no_booking_end_date`, `recurring_type`, `recurring_details`, `no_booking_start_time`, `no_booking_end_time`) VALUES 
  (5,1,'0000-00-00','2007-04-26','2012-04-26','DD','1','22:00:00','07:00:00');


#
# Data for the `services_options_values_to_services_options` table  
#

INSERT INTO `services_options_values_to_services_options` (`services_options_values_to_services_options_id`, `services_options_id`, `services_options_values_id`) VALUES 
  (1,1,1),
  (2,2,2),
  (3,3,3),
  (4,4,4);

#
# Data for the `services_to_services_categories` table  
#

INSERT INTO `services_to_services_categories` (`service_id`, `services_categories_id`) VALUES 
  (1,1);

#
# Data for the `services_to_services_resources` table  
#

INSERT INTO `services_to_services_resources` (`service_id`, `service_resource_id`) VALUES 
  (1,2),
  (1,1);

#
# Data for the `subscription_categories` table  
#

INSERT INTO `subscription_categories` (`subscription_categories_id`, `subscription_categories_image`, `sort_order`, `date_added`, `last_modified`, `parent_id`) VALUES 
  (1,'warm_ups.jpg',1,'2007-04-26 17:36:31','0000-00-00',0);

#
# Data for the `subscription_categories_description` table  
#

INSERT INTO `subscription_categories_description` (`subscription_categories_id`, `subscription_categories_name`, `subscription_categories_heading_title`, `subscription_categories_description`, `language_id`) VALUES 
  (1,'Dance','Dance','A variety of example dance subscriptions',1),
  (1,'Online','Online','Yearly Online Subscription',2),
  (1,'Online','Online','Yearly Online Subscription',3);

#
# Data for the `subscription_groups` table  
#

INSERT INTO `subscription_groups` (`subscription_group_id`, `subscription_group_name`, `date_added`, `last_modified`) VALUES 
  (1,'admin','2007-04-26 17:36:31','0000-00-00'),
  (2,'Directory','2007-04-26 17:36:31','0000-00-00'),
  (3,'Print','2007-04-26 17:36:31','0000-00-00'),
  (4,'Premium','2007-04-26 17:36:31','0000-00-00'),
  (5,'Standard','2007-04-26 17:36:31','0000-00-00'),
  (6,'Writers','2007-04-26 17:36:31','0000-00-00'),
  (7,'Writers_add','2007-04-26 17:36:31','0000-00-00'),
  (8,'Experts','2007-04-26 17:36:31','0000-00-00'),
  (9,'Confirmed','2007-04-26 17:36:31','0000-00-00'),
  (10,'Registered','2007-04-26 17:36:31','0000-00-00'),
  (11,'Online','2007-04-26 17:36:31','0000-00-00'),
  (12,'Print_advertisers','2007-04-26 17:36:31','0000-00-00');

#
# Data for the `subscription_to_subscription_categories` table  
#

INSERT INTO `subscription_to_subscription_categories` (`subscription_id`, `subscription_categories_id`) VALUES 
  (2,1),
  (3,1),
  (4,1),
  (5,1);

#
# Data for the `subscriptions` table  
#

INSERT INTO `subscriptions` (`subscription_id`, `subscription_image`, `subscription_date_added`, `subscription_last_modified`, `subscription_date_available`, `subscription_status`, `subscription_tax_class_id`, `subscription_costs`, `subscription_type`, `subscription_period`, `subscription_group`, `subscription_conditions`, `subscription_pending_period`, `subscription_renewal_start`, `subscription_renewal_end`, `subscription_forward_period`, `subscription_forward_length`, `subscription_packing_slip`, `subscription_free_trial`, `subscription_free_days`, `emarketing_on_renewal`, `wallet_payment`, `periodic_payment`, `periodic_days`, `periodic_type`, `deliveries`, `deliveries_perday`, `subscription_start_date`, `subscription_finish_date`, `subscription_date_period`, `subscription_latest_start_date`, `subscription_date_type`, `deliveries_name`) VALUES 
  (2,'leotard2.jpg','2007-04-26 17:36:31','0000-00-00','2007-04-26 17:36:31',1,2,100,'C',30,'','',14,7,3,'N',0,'','N',1,'S','Y','N',0,'A',2,7,'2007-04-26','2008-04-25',1,'2008-04-24','P','Deliveries'),
  (3,'hands.jpg','2007-04-26 17:36:31','0000-00-00','2007-04-26 17:36:31',1,2,100,'B',30,'','',14,7,3,'N',0,'','N',1,'S','Y','N',0,'A',2,0,'2007-04-26','2008-04-25',1,'2008-04-24','P','Deliveries'),
  (4,'male_unitard.jpg','2007-04-26 17:36:31','0000-00-00','2007-04-26 17:36:31',1,2,100,'S',120,'','',14,7,3,'N',0,'','N',1,'S','Y','N',0,'A',6,0,'2007-04-26','2008-04-25',1,'2008-04-24','P','Deliveries');

#
# Data for the `subscriptions_description` table  
#

INSERT INTO `subscriptions_description` (`subscription_id`, `language_id`, `subscription_name`, `subscription_description`, `subscription_url`, `subscription_viewed`) VALUES 
  (2,1,'Casual Dance Subscription','<html><head></head><body>There are four types of subscriptions in Freeway:<br /><ul><li>Casual: Casual attendance linked with seats in event sessions<br /></li><li>Seasonal: Season tickets linked with seats in event sessions<br /></li><li>Basic: For magazines etc.<br /></li><li>Digital: Used for downloadable products and to allow subscription access to resources on external systems <br /></li><li><span style=\"color: rgb(255, 102, 0); font-weight: bold;\">Deliveries: Coming soon, a full system for deliveries via subscription</span><br /></li></ul></body></html>','',2),
  (3,1,'Digital Subscription','<html><head></head><body>There are four types of subscriptions in Freeway:<br /><ul><li>Casual: Casual attendance linked with seats in event sessions<br /></li><li>Seasonal: Season tickets linked with seats in event sessions<br /></li><li>Basic: For magazines etc.<br /></li><li>Digital: Used for downloadable products and to allow subscription access to resources on external systems <br /></li><li><span style=\"color: rgb(255, 102, 0); font-weight: bold;\">Deliveries: Coming soon, a full system for deliveries via subscription</span><br /></li></ul></body></html>','',2),
  (4,1,'Seasonal Dance Subscription','<html><head></head><body>There are four types of subscriptions in Freeway:<br /><ul><li>Casual: Casual attendance linked with seats in event sessions<br /></li><li>Seasonal: Season tickets linked with seats in event sessions<br /></li><li>Basic: For magazines etc.<br /></li><li>Digital: Used for downloadable products and to allow subscription access to resources on external systems <br /></li><li><span style=\"color: rgb(255, 102, 0); font-weight: bold;\">Deliveries: Coming soon, a full system for deliveries via subscription</span><br /></li></ul></body></html>','',2);

INSERT into sql_queries values('freeway_sample_data.sql',now());
